2008-07-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99.2. (OPT_CFLAGS):
	Set to -O2.
	[588da1f5a429] [tip]

	* NEWS:
	* NEWS: Added 0.99.2 news.
	[a18bccb8cdb3]

	* src/vm/jit/arm/asmpart.S:
	Fixed PR89.
	* src/vm/jit/arm/asmpart.S (asm_vm_call_method_float)
	(asm_vm_call_method_double): Call the real function and removed the
	debugging functions.
	[649d426a9c91]

	* src/vm/jit/arm/asmpart.S:
	Fixed PR89.
	* src/vm/jit/arm/asmpart.S (asm_vm_call_method_float)
	(asm_vm_call_method_double): Call the real function and removed the
	debugging functions.
	[977d67511f9c]

	* tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR89.java:
	* tests/regression/bugzilla/All.java: Added PR89.
	* tests/regression/bugzilla/PR89.java: New file.
	[b66bf58536f9]

	* src/threads/posix/lock.c:
	* src/threads/posix/lock.c (lock_monitor_enter): Fixed compiler
	warnings.
	[f49a42e0c336]

2008-07-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/posix/lock.c:
	* src/threads/posix/lock.c (COMPARE_AND_SWAP_OLD_VALUE): Removed.
	[85ddfc2d5489]

2008-07-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (getDoubleVolatile): Added and
	implemented.
	[c335ccfbc967]

2008-07-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (compareAndSwapObject)
	(compareAndSwapInt, compareAndSwapLong): Removed #if 0.
	[847635391faa]

2008-07-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (getDoubleVolatile): Added and
	implemented.
	[db081a1677cf]

2008-07-07  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/mips/asmpart.S:
	* src/vm/jit/mips/asmpart.S (asm_handle_exception) [SIZEOF_VOID_P ==
	4 && !ENABLE_SOFT_FLOAT]: Fixed offsets when restoring floating
	point registers.
	[3e88f3bce526]

	* src/mm/boehm-gc/include/private/gcconfig.h:
	* src/mm/boehm-gc/include/private/gcconfig.h: Added __sun, since sun
	is not defined when compiling with standard C.
	[1d2437e46cb5]

	* m4/java-runtime-library.m4:
	* m4/java-runtime-library.m4
	(AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES): Don't escape
	variable for BOOTCLASSPATH. This should get javac working during
	configure.
	[aa0e8f86df17]

	* src/vm/jit/mips/asmpart.S:
	* src/vm/jit/mips/asmpart.S (asm_handle_exception): Removed
	comments.
	[2effc42cfb01]

	* src/vm/jit/mips/asmpart.S:
	* src/vm/jit/mips/asmpart.S (asm_handle_exception) [SIZEOF_VOID_P ==
	4 && !ENABLE_SOFT_FLOAT]: Fixed offsets when restoring floating
	point registers.
	[96a125f9de83]

	* src/mm/boehm-gc/include/private/gcconfig.h:
	* src/mm/boehm-gc/include/private/gcconfig.h: Added __sun, since sun
	is not defined when compiling with standard C.
	[4574d1361120]

	* m4/java-runtime-library.m4:
	* m4/java-runtime-library.m4
	(AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES): Don't escape
	variable for BOOTCLASSPATH. This should get javac working during
	configure.
	[b23fc77b4a0e]

	* configure.ac:
	* configure.ac (AC_CHECK_LIB): Check for socket on Solaris.
	[224b9bb32252]

2008-07-06  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/mips/md-atomic.hpp:
	* src/vm/jit/mips/md-atomic.hpp (memory_barrier): Renamed to
	instruction_barrier (duplicate name typo).
	[7a94ddeed8ca]

	* src/vm/jit/arm/md-atomic.hpp:
	* src/vm/jit/arm/md-atomic.hpp (compare_and_swap_64): Renamed to
	compare_and_swap (typo).
	[47292eab2d6d]

2008-07-06  Andreas HUBERT  <andreas.hubert@gmx.at>

	* .hgignore, src/cacaoh/dummy.c, src/vm/exceptions.c,
	src/vm/exceptions.h, src/vmcore/chararray.c, src/vmcore/chararray.h,
	src/vmcore/class.c, src/vmcore/javastring.c,
	src/vmcore/javastring.h, src/vmcore/stringconst.c,
	src/vmcore/stringconst.h:
	* src/vmcore/chararray.c: Changed exception handling.
	* src/vmcore/javastring.c: Changed exception handling.
	* src/vm/exceptions.c (exceptions_throw_utfdataformatexception)
	Added.
	* src/vmcore/stringconst.c (js_java_lang_UTFDataFormatException)
	Added.
	* src/vmcore/dummy.c (exceptions_throw_utfdataformatexception,
	exceptions_throw_illegalargumentexception) Added.
	* src/vmcore/class.c (class_set_packagename) Check for end >= start
	added.
	[14eda870a1c0]

2008-07-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (compareAndSwapObject)
	(compareAndSwapInt, compareAndSwapLong): Removed #if 0.
	[a03c4af66a39]

	* src/threads/Makefile.am, src/threads/atomic.c,
	src/threads/atomic.cpp, src/threads/atomic.hpp,
	src/threads/posix/lock.c, src/vm/jit/alpha/md-atomic.hpp,
	src/vm/jit/arm/md-atomic.hpp, src/vm/jit/i386/md-atomic.hpp,
	src/vm/jit/m68k/md-atomic.hpp, src/vm/jit/mips/md-atomic.hpp,
	src/vm/jit/powerpc/md-atomic.hpp, src/vm/jit/powerpc64/md-
	atomic.hpp, src/vm/jit/s390/md-atomic.hpp, src/vm/jit/sparc64/md-
	atomic.hpp, src/vm/jit/x86_64/md-atomic.hpp:
	* src/threads/atomic.cpp: New file.
	* src/threads/atomic.c: Removed.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Removed atomic.c,
	added atomic.cpp.
	* src/threads/atomic.hpp: C++'ified.
	* src/threads/posix/lock.c: Use new atomic function names.
	* src/vm/jit/alpha/md-atomic.hpp, src/vm/jit/arm/md-atomic.hpp,
	src/vm/jit/i386/md-atomic.hpp, src/vm/jit/m68k/md-atomic.hpp,
	src/vm/jit/mips/md-atomic.hpp, src/vm/jit/powerpc/md-atomic.hpp,
	src/vm/jit/powerpc64/md-atomic.hpp, src/vm/jit/s390/md-atomic.hpp,
	src/vm/jit/sparc64/md-atomic.hpp, src/vm/jit/x86_64/md-atomic.hpp:
	C++'ified. (STORE_ORDER_BARRIER, MEMORY_BARRIER_AFTER_ATOMIC):
	Removed. (write_memory_barrier, instruction_barrier): New functions.
	[c5ca44e22500]

	* src/threads/posix/lock.c:
	* src/threads/posix/lock.c (COMPARE_AND_SWAP_OLD_VALUE): Removed.
	[26c1c4cdd213]

	* src/threads/Makefile.am, src/threads/posix/generic-primitives.h,
	src/threads/posix/lock.c, src/threads/posix/thread-posix.c,
	src/vm/jit/alpha/machine-instr.h, src/vm/jit/arm/machine-instr.h,
	src/vm/jit/asmpart.h, src/vm/jit/i386/machine-instr.h,
	src/vm/jit/m68k/machine-instr.h, src/vm/jit/mips/machine-instr.h,
	src/vm/jit/powerpc/machine-instr.h, src/vm/jit/powerpc64/linux/md-
	os.c, src/vm/jit/powerpc64/machine-instr.h, src/vm/jit/s390/machine-
	instr.h, src/vm/jit/sparc64/machine-instr.h, src/vm/jit/x86_64
	/machine-instr.h:
	* Merged in new atomic instructions (twisti branch).
	[ccde3fa072f3]

	* src/vm/jit/s390/md-atomic.hpp:
	* src/vm/jit/s390/md-atomic.hpp (Atomic_memory_barrier): Fixed typo.
	[ffc149c4ff6c]

	* src/vm/jit/s390/md-atomic.hpp:
	* src/vm/jit/s390/md-atomic.hpp (Atomic_memory_barrier): Fixed typo.
	[109217e4a05d]

2008-07-04  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/sparc64/Makefile.am, src/vm/jit/sparc64/machine-instr.h,
	src/vm/jit/sparc64/md-atomic.hpp:
	* src/vm/jit/sparc64/md-atomic.hpp: New file.
	* src/vm/jit/sparc64/machine-instr.h: Removed.
	* src/vm/jit/sparc64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[03342d89d94c]

	* src/vm/jit/s390/Makefile.am, src/vm/jit/s390/machine-instr.h,
	src/vm/jit/s390/md-atomic.hpp:
	* src/vm/jit/s390/md-atomic.hpp: New file.
	* src/vm/jit/s390/machine-instr.h: Removed.
	* src/vm/jit/s390/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[b0e8912dd996]

	* src/vm/jit/arm/md-atomic.hpp, src/vm/jit/i386/md-atomic.hpp,
	src/vm/jit/mips/md-atomic.hpp, src/vm/jit/powerpc/md-atomic.hpp:
	* src/vm/jit/arm/md-atomic.hpp (Atomic_compare_and_swap_64): Use
	generic version.
	* src/vm/jit/i386/md-atomic.hpp: Likewise.
	* src/vm/jit/mips/md-atomic.hpp: Likewise.
	* src/vm/jit/powerpc/md-atomic.hpp: Likewise.
	[fdda62775cbb]

	* src/vm/jit/m68k/Makefile.am, src/vm/jit/m68k/machine-instr.h,
	src/vm/jit/m68k/md-atomic.hpp:
	* src/vm/jit/m68k/md-atomic.hpp: New file.
	* src/vm/jit/m68k/machine-instr.h: Removed.
	* src/vm/jit/m68k/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[f9e9000c5a5a]

	* src/threads/Makefile.am, src/threads/atomic.c,
	src/threads/atomic.hpp:
	* src/threads/atomic.c: New file.
	* src/threads/atomic.hpp: Export generic functions.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Added atomic.c.
	[ff102eabcbcc]

	* src/threads/posix/generic-primitives.h, src/threads/posix/thread-
	posix.c, src/vm/jit/intrp/engine.c, src/vm/jit/parisc/arch.h:
	* src/threads/posix/generic-primitives.h: Removed.
	* src/threads/posix/thread-posix.c: Removed
	USE_FAKE_ATOMIC_INSTRUCTIONS stuff.
	* src/vm/jit/intrp/engine.c: Likewise.
	* src/vm/jit/parisc/arch.h: Likewise.
	[c098b6b8edc7]

	* src/vm/jit/powerpc/Makefile.am, src/vm/jit/powerpc/atomic.hpp,
	src/vm/jit/powerpc/md-atomic.hpp:
	* src/vm/jit/powerpc/atomic.hpp: Renamed to...
	* src/vm/jit/powerpc/md-atomic.hpp: New file.
	* src/vm/jit/powerpc/Makefile.am (noinst_HEADERS): Likewise.
	[5481ecd21f6a]

	* src/vm/jit/mips/Makefile.am, src/vm/jit/mips/asmpart.S,
	src/vm/jit/mips/machine-instr.h, src/vm/jit/mips/md-atomic.hpp:
	* src/vm/jit/mips/md-atomic.hpp: New file.
	* src/vm/jit/mips/machine-instr.h: Removed.
	* src/vm/jit/mips/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	* src/vm/jit/mips/asmpart.S (compare_and_swap): Removed.
	[1166e4fee02a]

	* src/vm/jit/arm/Makefile.am, src/vm/jit/arm/machine-instr.h,
	src/vm/jit/arm/md-atomic.hpp:
	* src/vm/jit/arm/md-atomic.hpp: New file.
	* src/vm/jit/arm/machine-instr.h: Removed.
	* src/vm/jit/arm/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[d15ba03850b9]

2008-07-03  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/alpha/Makefile.am, src/vm/jit/alpha/asmpart.S,
	src/vm/jit/alpha/machine-instr.h, src/vm/jit/alpha/md-atomic.hpp:
	* src/vm/jit/alpha/md-atomic.hpp: New file.
	* src/vm/jit/alpha/machine-instr.h: Removed.
	* src/vm/jit/alpha/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	* src/vm/jit/alpha/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	[9ad02b673ff4]

	* src/vm/jit/powerpc64/Makefile.am, src/vm/jit/powerpc64/machine-
	instr.h, src/vm/jit/powerpc64/md-atomic.hpp:
	* src/vm/jit/powerpc64/md-atomic.hpp: New file.
	* src/vm/jit/powerpc64/machine-instr.h: Removed.
	* src/vm/jit/powerpc64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[55535116edd4]

	* src/vm/jit/powerpc64/linux/md-os.c:
	* src/vm/jit/powerpc64/linux/md-os.c (md_executionstate_read): New
	function, not implemented. (md_executionstate_write): Likewise.
	[ae5185eb2900]

2008-07-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/i386/Makefile.am, src/vm/jit/i386/machine-instr.h,
	src/vm/jit/i386/md-atomic.hpp:
	* src/vm/jit/i386/md-atomic.hpp: New file.
	* src/vm/jit/i386/machine-instr.h: Removed.
	* src/vm/jit/i386/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[0c22b8ceebe4]

	* src/vm/jit/x86_64/md-atomic.hpp:
	* src/vm/jit/x86_64/md-atomic.hpp (Atomic_compare_and_swap_32): Use
	unsigned return variable. (Atomic_compare_and_swap_64): Likewise.
	[f1e12b93bc18]

2008-06-30  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c, src/threads/Makefile.am,
	src/threads/atomic.hpp, src/threads/posix/lock.c,
	src/vm/jit/x86_64/Makefile.am, src/vm/jit/x86_64/atomic.hpp,
	src/vm/jit/x86_64/md-atomic.hpp:
	* src/native/vm/sun_misc_Unsafe.c (atomic.hpp): Removed.
	(threads/atomic.hpp): Added.
	* src/threads/posix/lock.c: Likewise.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Added atomic.hpp.
	* src/threads/atomic.hpp: New file.
	* src/vm/jit/x86_64/Makefile.am (noinst_HEADERS): Removed atomic.hpp,
	added md-atomic.hpp.
	* src/vm/jit/x86_64/atomic.hpp: Moved from here...
	* src/vm/jit/x86_64/md-atomic.hpp: ...to here.
	[5d1e36c9be68]

2008-06-20  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/powerpc/Makefile.am, src/vm/jit/powerpc/asmpart.S,
	src/vm/jit/powerpc/atomic.hpp, src/vm/jit/powerpc/machine-instr.h:
	* src/vm/jit/powerpc/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added atomic.hpp.
	* src/vm/jit/powerpc/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	* src/vm/jit/powerpc/atomic.hpp: New file.
	* src/vm/jit/powerpc/machine-instr.h: Removed.
	[293bb8ffc57a]

	* src/vm/jit/asmpart.h:
	* src/vm/jit/asmpart.h (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	[21d24482608a]

2008-06-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c, src/threads/posix/lock.c,
	src/threads/posix/thread-posix.c, src/vm/jit/x86_64/Makefile.am,
	src/vm/jit/x86_64/asmpart.S, src/vm/jit/x86_64/atomic.hpp,
	src/vm/jit/x86_64/machine-instr.h:
	* src/native/vm/sun_misc_Unsafe.c: Use new atomic primitve
	functions.
	* src/threads/posix/lock.c: Likewise.
	* src/threads/posix/thread-posix.c: Likewise.
	* src/vm/jit/x86_64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added atomic.hpp.
	* src/vm/jit/x86_64/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	* src/vm/jit/x86_64/atomic.hpp: New file.
	* src/vm/jit/x86_64/machine-instr.h: Removed.
	[faeaadb6af57]

2008-07-04  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/sparc64/Makefile.am, src/vm/jit/sparc64/machine-instr.h,
	src/vm/jit/sparc64/md-atomic.hpp:
	* src/vm/jit/sparc64/md-atomic.hpp: New file.
	* src/vm/jit/sparc64/machine-instr.h: Removed.
	* src/vm/jit/sparc64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[7689c6b9521a]

	* src/vm/jit/s390/Makefile.am, src/vm/jit/s390/machine-instr.h,
	src/vm/jit/s390/md-atomic.hpp:
	* src/vm/jit/s390/md-atomic.hpp: New file.
	* src/vm/jit/s390/machine-instr.h: Removed.
	* src/vm/jit/s390/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[b4508c800ff3]

	* src/vm/jit/arm/md-atomic.hpp, src/vm/jit/i386/md-atomic.hpp,
	src/vm/jit/mips/md-atomic.hpp, src/vm/jit/powerpc/md-atomic.hpp:
	* src/vm/jit/arm/md-atomic.hpp (Atomic_compare_and_swap_64): Use
	generic version.
	* src/vm/jit/i386/md-atomic.hpp: Likewise.
	* src/vm/jit/mips/md-atomic.hpp: Likewise.
	* src/vm/jit/powerpc/md-atomic.hpp: Likewise.
	[a76c7d9d8a28]

	* src/vm/jit/m68k/Makefile.am, src/vm/jit/m68k/machine-instr.h,
	src/vm/jit/m68k/md-atomic.hpp:
	* src/vm/jit/m68k/md-atomic.hpp: New file.
	* src/vm/jit/m68k/machine-instr.h: Removed.
	* src/vm/jit/m68k/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[419c3cad98a0]

	* src/threads/Makefile.am, src/threads/atomic.c,
	src/threads/atomic.hpp:
	* src/threads/atomic.c: New file.
	* src/threads/atomic.hpp: Export generic functions.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Added atomic.c.
	[3a6f75e262f1]

	* src/threads/posix/generic-primitives.h, src/threads/posix/thread-
	posix.c, src/vm/jit/intrp/engine.c, src/vm/jit/parisc/arch.h:
	* src/threads/posix/generic-primitives.h: Removed.
	* src/threads/posix/thread-posix.c: Removed
	USE_FAKE_ATOMIC_INSTRUCTIONS stuff.
	* src/vm/jit/intrp/engine.c: Likewise.
	* src/vm/jit/parisc/arch.h: Likewise.
	[62de17550a2d]

	* src/vm/jit/powerpc/Makefile.am, src/vm/jit/powerpc/atomic.hpp,
	src/vm/jit/powerpc/md-atomic.hpp:
	* src/vm/jit/powerpc/atomic.hpp: Renamed to...
	* src/vm/jit/powerpc/md-atomic.hpp: New file.
	* src/vm/jit/powerpc/Makefile.am (noinst_HEADERS): Likewise.
	[0dd36b9b2a1c]

	* src/vm/jit/mips/Makefile.am, src/vm/jit/mips/asmpart.S,
	src/vm/jit/mips/machine-instr.h, src/vm/jit/mips/md-atomic.hpp:
	* src/vm/jit/mips/md-atomic.hpp: New file.
	* src/vm/jit/mips/machine-instr.h: Removed.
	* src/vm/jit/mips/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	* src/vm/jit/mips/asmpart.S (compare_and_swap): Removed.
	[5dbc79b7e5a4]

	* src/vm/jit/arm/Makefile.am, src/vm/jit/arm/machine-instr.h,
	src/vm/jit/arm/md-atomic.hpp:
	* src/vm/jit/arm/md-atomic.hpp: New file.
	* src/vm/jit/arm/machine-instr.h: Removed.
	* src/vm/jit/arm/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[3cf8a01637cf]

	* * Merged in c3fccb040bf0.
	[78d6fba489f8]

2008-06-29  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/include/Makefile.am, src/native/jvmti/jvmti.c,
	src/native/vm/gnuclasspath/java_lang_VMClassLoader.c:
	* src/native/include/Makefile.am (COMMON_HEADER_FILES): Removed
	java_util_Vector.h.
	* src/native/jvmti/jvmti.c (native/include/java_util_Vector.h):
	Removed.
	* src/native/vm/gnuclasspath/java_lang_VMClassLoader.c
	(native/include/java_util_Vector.h): Likewise.
	(Java_java_lang_VMClassLoader_nativeGetResources): Added struct to
	return type.
	[c3fccb040bf0]

	* src/native/include/Makefile.am,
	src/native/vm/gnuclasspath/java_lang_VMRuntime.c:
	* src/native/include/Makefile.am (JAVASE_HEADER_FILES): Removed
	java_io_File.h.
	* src/native/vm/gnuclasspath/java_lang_VMRuntime.c
	(native/include/java_io_File.h): Removed.
	[39af40fd12b2]

2008-07-03  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/alpha/Makefile.am, src/vm/jit/alpha/asmpart.S,
	src/vm/jit/alpha/machine-instr.h, src/vm/jit/alpha/md-atomic.hpp:
	* src/vm/jit/alpha/md-atomic.hpp: New file.
	* src/vm/jit/alpha/machine-instr.h: Removed.
	* src/vm/jit/alpha/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	* src/vm/jit/alpha/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	[81c49f2e4e4a]

	* src/vm/jit/powerpc64/Makefile.am, src/vm/jit/powerpc64/machine-
	instr.h, src/vm/jit/powerpc64/md-atomic.hpp:
	* src/vm/jit/powerpc64/md-atomic.hpp: New file.
	* src/vm/jit/powerpc64/machine-instr.h: Removed.
	* src/vm/jit/powerpc64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[84747b26c32d]

	* src/vm/jit/powerpc64/linux/md-os.c:
	* src/vm/jit/powerpc64/linux/md-os.c (md_executionstate_read): New
	function, not implemented. (md_executionstate_write): Likewise.
	[bb85a81bf759]

2008-07-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/i386/Makefile.am, src/vm/jit/i386/machine-instr.h,
	src/vm/jit/i386/md-atomic.hpp:
	* src/vm/jit/i386/md-atomic.hpp: New file.
	* src/vm/jit/i386/machine-instr.h: Removed.
	* src/vm/jit/i386/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added md-atomic.hpp.
	[c867921736d3]

	* src/vm/jit/x86_64/md-atomic.hpp:
	* src/vm/jit/x86_64/md-atomic.hpp (Atomic_compare_and_swap_32): Use
	unsigned return variable. (Atomic_compare_and_swap_64): Likewise.
	[996ffce649dc]

2008-06-30  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c, src/threads/Makefile.am,
	src/threads/atomic.hpp, src/threads/posix/lock.c,
	src/vm/jit/x86_64/Makefile.am, src/vm/jit/x86_64/atomic.hpp,
	src/vm/jit/x86_64/md-atomic.hpp:
	* src/native/vm/sun_misc_Unsafe.c (atomic.hpp): Removed.
	(threads/atomic.hpp): Added.
	* src/threads/posix/lock.c: Likewise.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Added atomic.hpp.
	* src/threads/atomic.hpp: New file.
	* src/vm/jit/x86_64/Makefile.am (noinst_HEADERS): Removed atomic.hpp,
	added md-atomic.hpp.
	* src/vm/jit/x86_64/atomic.hpp: Moved from here...
	* src/vm/jit/x86_64/md-atomic.hpp: ...to here.
	[2bfde40a7f86]

	* src/threads/mutex.h, src/threads/posix/mutex-posix.h:
	* Merged with c259010fc9d5.
	[a3a8a7520b2d]

	* src/classes/gnuclasspath/sun/reflect/annotation/AnnotationParser.jav
	a,
	src/classes/gnuclasspath/sun/reflect/annotation/AnnotationType.java:
	* src/classes/gnuclasspath/sun/reflect/annotation/AnnotationParser.j
	ava: Removed umlauts.
	* src/classes/gnuclasspath/sun/reflect/annotation/AnnotationType.java:
	Likewise.
	[dc92e5b729fb]

2008-06-30  Andreas HUBERT  <andreas.hubert@gmx.at>

	* src/vm/exceptions.c, src/vmcore/chararray.c:
	src/vm/exceptions.c: Changed an occurence of utf_java_lang_Error to
	js_java_lang_Error src/vmcore/chararray.c: Corrected length-counting
	in js_from_*. Previously, only characters where counted (which is
	wrong, as UTF8 may have multi-byte characters und UCS has 2-Byte
	characters).
	[e46f3121fbdd]

2008-06-28  Andreas HUBERT  <andreas.hubert@gmx.at>

	* src/vm/jit/codegen-common.c, src/vmcore/class.c,
	src/vmcore/javastring.c:
	Corrected errors in js_overwrite and js_is_interned
	[263972a898a7]

2008-06-22  Andreas HUBERT  <andreas.hubert@gmx.at>

	* .hgignore, src/vmcore/javastring.c:
	Added testing-code to javastring.c
	[ff3089eb712a]

2008-06-11  Andreas HUBERT  <andreas.hubert@gmx.at>

	* src/cacaoh/cacaoh.c, src/cacaoh/dummy.c, src/cacaoh/headers.c,
	src/mm/boehm.c, src/mm/memory.c, src/native/jni.c,
	src/native/native.c,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c, src/native/vm/
	gnu/gnu_java_lang_management_VMClassLoadingMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMRuntimeMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMThreadMXBeanImpl.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMObject.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/gnu/java_lang_VMString.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_VMThread.c,
	src/native/vm/gnu/java_lang_VMThrowable.c,
	src/native/vm/gnu/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/gnu/java_lang_reflect_Method.c,
	src/native/vm/gnu/java_security_VMAccessController.c,
	src/native/vm/gnu/java_util_concurrent_atomic_AtomicLong.c,
	src/native/vm/gnu/sun_reflect_ConstantPool.c,
	src/native/vm/java_lang_Class.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/reflect.c, src/native/vm/sun_misc_Unsafe.c,
	src/threads/posix/lock.c, src/threads/posix/threads.c, src/threads
	/threads-common.c, src/vm/Makefile.am, src/vm/access.c,
	src/vm/builtin.c, src/vm/exceptions.c, src/vm/finalizer.c,
	src/vm/initialize.c, src/vm/jit/allocator/simplereg.c,
	src/vm/jit/alpha/freebsd/md-os.c, src/vm/jit/codegen-common.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/i386/cygwin/md-os.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/intrp/codegen.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/mips/irix/md-os.c, src/vm/jit/optimizing/recompile.c,
	src/vm/jit/parse.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc/netbsd/md-os.c, src/vm/jit/powerpc64/codegen.c,
	src/vm/jit/s390/codegen.c, src/vm/jit/show.c,
	src/vm/jit/sparc64/linux/md-os.c, src/vm/jit/sparc64/solaris/md-
	os.c, src/vm/jit/stack.c, src/vm/jit/stacktrace.c,
	src/vm/jit/trace.c, src/vm/jit/verify/icmds.c, src/vm/jit/verify
	/typecheck-builtins.inc, src/vm/jit/verify/typecheck-invoke.inc,
	src/vm/jit/verify/typecheck-multianewarray.inc, src/vm/jit/verify
	/typecheck-stackbased-gen.inc, src/vm/jit/verify/typecheck-
	stackbased.c, src/vm/jit/verify/typecheck-typeinferer.c,
	src/vm/jit/verify/typecheck-variablesbased-gen.inc,
	src/vm/jit/verify/typecheck.c, src/vm/jit/verify/typeinfo.c,
	src/vm/jit/x86_64/codegen.c, src/vm/package.c, src/vm/properties.c,
	src/vm/resolve.c, src/vm/signal.c, src/vm/vm.c,
	src/vmcore/Makefile.am, src/vmcore/chararray.c,
	src/vmcore/chararray.h, src/vmcore/class.c, src/vmcore/classcache.c,
	src/vmcore/classcache.h, src/vmcore/descriptor.c,
	src/vmcore/field.c, src/vmcore/javastring.c,
	src/vmcore/javastring.h, src/vmcore/linker.c, src/vmcore/loader.c,
	src/vmcore/method.c, src/vmcore/primitivecore.c,
	src/vmcore/stringconst.c, src/vmcore/stringconst.h,
	src/vmcore/zip.c:
	updated files to javastring-code. cacaoh is working, cacao is not
	working
	[64132fe4fa4f]

2008-04-09  Andreas HUBERT  <andreas.hubert@gmx.at>

	* src/vm/string.c, src/vm/stringlocal.h, src/vmcore/chararray.c,
	src/vmcore/chararray.h, src/vmcore/javastring.c,
	src/vmcore/javastring.h, src/vmcore/stringconst.c,
	src/vmcore/stringconst.h, src/vmcore/utf8.c, src/vmcore/utf8.h,
	tests/havoc.class:
	removed old utf-code files and added new javastring files
	[12d117fc4e5b]

	* .hgignore, src/cacaoh/cacaoh.c, src/cacaoh/dummy.c,
	src/cacaoh/headers.c, src/cacaoh/headers.h, src/native/jni.c,
	src/native/native.c, src/native/native.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c, src/native/vm/
	gnu/gnu_java_lang_management_VMClassLoadingMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMRuntimeMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMThreadMXBeanImpl.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/gnu/java_lang_reflect_Method.c,
	src/native/vm/gnu/java_lang_reflect_VMProxy.c,
	src/native/vm/nativevm.c, src/threads/threads-common.c, src/threads
	/threads-common.h, src/toolbox/hashtable.h, src/toolbox/logging.c,
	src/toolbox/logging.h, src/vm/access.c, src/vm/builtin.c,
	src/vm/builtin.h, src/vm/exceptions.c, src/vm/exceptions.h,
	src/vm/finalizer.c, src/vm/initialize.c, src/vm/jit/i386/codegen.c,
	src/vm/jit/trace.c, src/vm/package.c, src/vm/package.h,
	src/vm/primitive.c, src/vm/primitive.h, src/vm/properties.c,
	src/vm/resolve.c, src/vm/resolve.h, src/vm/signal.c, src/vm/vm.c,
	src/vmcore/Makefile.am, src/vmcore/class.c, src/vmcore/class.h,
	src/vmcore/classcache.c, src/vmcore/classcache.h,
	src/vmcore/descriptor.c, src/vmcore/descriptor.h,
	src/vmcore/field.c, src/vmcore/field.h, src/vmcore/linker.c,
	src/vmcore/loader.c, src/vmcore/loader.h, src/vmcore/method.c,
	src/vmcore/method.h, src/vmcore/primitivecore.c,
	src/vmcore/references.h, src/vmcore/statistics.c,
	src/vmcore/statistics.h, src/vmcore/suck.c, src/vmcore/zip.c,
	src/vmcore/zip.h:
	creating javastring branch with (not yet working) javastring-code
	[73beba075e42]

2008-06-27  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/cacao/cacao.c, src/threads/Makefile.am,
	src/threads/condition.hpp, src/threads/mutex.h,
	src/threads/mutex.hpp, src/threads/posix/Makefile.am,
	src/threads/posix/condition-posix.hpp, src/threads/posix/lock.c,
	src/threads/posix/lock.h, src/threads/posix/mutex-posix.h,
	src/threads/posix/mutex-posix.hpp, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h, src/threads/removeme.cpp,
	src/threads/thread.h, src/threads/threadlist.c, src/vm/vm.c:
	* src/threads/mutex.h: Renamed to...
	* src/threads/mutex.hpp: New file.
	* src/threads/posix/mutex-posix.h: Renamed to...
	* src/threads/posix/mutex-posix.hpp: New file.
	* src/threads/condition.hpp: Likewise.
	* src/threads/posix/condition-posix.hpp: Likewise.
	* src/threads/removeme.cpp: New file which contains legacy C wrapper.
	This one should be removed ASAP.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Removed mutex.h,
	added condition.hpp and removeme.cpp and mutex.hpp.
	* src/threads/posix/Makefile.am (libthreadsposix_la_SOURCES): Removed
	mutex-posix.h, added condition-posix.hpp and mutex-posix.hpp.
	* src/cacao/cacao.c (threads/mutex.h): Removed. (main) [ENABLE_JVMTI]:
	Comment added.
	* src/vm/vm.c (threads/mutex.h): Removed. (vm_shutdown)
	[ENABLE_JVMTI]: Comment added.
	* src/threads/posix/lock.c, src/threads/posix/lock.h,
	src/threads/posix/thread-posix.c, src/threads/posix/thread-posix.h,
	src/threads/thread.h, src/threads/threadlist.c: Use new Mutex and
	Condition functions.
	[c259010fc9d5]

2008-06-25  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES):
	Added.
	[4ea649697197]

	* m4/java-runtime-library.m4:
	* m4/java-runtime-library.m4 (java-runtime-library-classes): Added
	missing ]). (build-java-runtime-library-classes): Added missing ],
	removed duplicate ]).
	[75692fefba15]

2008-06-24  rob  <rob@linkist.lan>

	* m4/java-runtime-library.m4:
	2008-06-24 Robert Schuster <robertschuster@fsfe.org>

	 * m4/java-runtime-library.m4: Added
	AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES function.
	[ee14e5deab31]

2008-06-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* * Merged with tip.
	[ee2a45e1e921]

	* src/mm/codememory.h, src/mm/gc-common.h, src/native/localref.h,
	src/native/native.h, src/native/vm/nativevm.h, src/threads/lock-
	common.h, src/threads/posix/lock.h, src/threads/thread.h,
	src/threads/threadlist.h, src/vm/array.h, src/vm/assertion.h,
	src/vm/builtin.h, src/vm/finalizer.h, src/vm/initialize.h,
	src/vm/jit/argument.h, src/vm/jit/methodtree.h,
	src/vm/jit/optimizing/profile.h, src/vm/jit/optimizing/recompile.h,
	src/vm/jit/trap.h, src/vm/primitive.h, src/vm/properties.h,
	src/vm/signallocal.h, src/vmcore/classcache.h, src/vmcore/options.h,
	src/vmcore/suck.h:
	* src/mm/codememory.h, src/mm/gc-common.h, src/native/localref.h,
	src/native/native.h, src/native/vm/nativevm.h, src/threads/lock-
	common.h, src/threads/posix/lock.h, src/threads/thread.h,
	src/threads/threadlist.h, src/vm/array.h, src/vm/assertion.h,
	src/vm/builtin.h, src/vm/finalizer.h, src/vm/initialize.h,
	src/vm/jit/argument.h, src/vm/jit/methodtree.h,
	src/vm/jit/optimizing/profile.h, src/vm/jit/optimizing/recompile.h,
	src/vm/jit/trap.h, src/vm/primitive.h, src/vm/properties.h,
	src/vm/signallocal.h, src/vmcore/classcache.h, src/vmcore/options.h,
	src/vmcore/suck.h [__cplusplus]: Added extern "C".
	[7930f802e8e0]

	* src/vm/vm.h:
	* src/vm/vm.h [__cplusplus]: Added extern "C".
	[d418e5769e8c]

2008-06-25  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES):
	Added.
	[b3243bddbdb9]

	* m4/java-runtime-library.m4:
	* m4/java-runtime-library.m4 (java-runtime-library-classes): Added
	missing ]). (build-java-runtime-library-classes): Added missing ],
	removed duplicate ]).
	[9d5848dcbfeb]

	* * Merged with tip.
	[fe03f8d9d4d2]

	* src/vm/jit/trap.c, src/vm/signal.c:
	* src/vm/jit/trap.c (mm/memory.h): Added.
	* src/vm/signal.c [ENABLE_GC_BOEHM] (mm/memory.h): Likewise.
	[1d63b796d270]

	* src/mm/boehm-gc/include/gc.h, src/mm/boehm-gc/pthread_stop_world.c,
	src/threads/Makefile.am, src/threads/critical.c,
	src/threads/critical.h, src/threads/posix/thread-posix.c,
	src/threads/thread.c, src/vm/jit/alpha/codegen.c,
	src/vm/jit/alpha/freebsd/md-os.c, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/arm/codegen.c, src/vm/jit/arm/linux/md-os.c,
	src/vm/jit/asmpart.h, src/vm/jit/codegen-common.c, src/vm/jit
	/codegen-common.h, src/vm/jit/i386/codegen.c, src/vm/jit/i386/cygwin
	/md-os.c, src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/freebsd
	/md-os.c, src/vm/jit/i386/linux/md-os.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/mips/irix/md-os.c,
	src/vm/jit/mips/linux/md-os.c, src/vm/jit/mips/uclinux/md-os.c,
	src/vm/jit/powerpc/codegen.c, src/vm/jit/powerpc/darwin/md-os.c,
	src/vm/jit/powerpc/linux/md-os.c, src/vm/jit/powerpc/netbsd/md-os.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/powerpc64/linux/md-os.c,
	src/vm/jit/s390/codegen.c, src/vm/jit/s390/md.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/linux/md-os.c,
	src/vm/jit/sparc64/solaris/md-os.c, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/freebsd/md-os.c, src/vm/jit/x86_64/linux/md-os.c,
	src/vm/vm.c, src/vmcore/linker.c:
	* src/threads/critical.c: Removed.
	* src/threads/critical.h: Likewise.
	* src/mm/boehm-gc/include/gc.h (GC_signum1, GC_signum2): Removed.
	* src/mm/boehm-gc/pthread_stop_world.c (lock_stopworld)
	(unlock_stopworld): Likewise. (GC_signum1, GC_signum2): Likewise.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Removed
	critical.[ch].
	* src/threads/posix/thread-posix.c (STOPWORLD_FROM_GC)
	(STOPWORLD_FROM_CLASS_NUMBERING): Removed. (stopworldwhere):
	Likewise. [__IRIX__] (suspend_ack_lock, suspend_cond): Likewise.
	(lock_stopworld, unlock_stopworld, threads_cast_sendsignals)
	(threads_cast_darwinstop, threads_cast_darwinresume)
	(threads_cast_irixresume, threads_sigsuspend_handler): Likewise.
	[ENABLE_GC_CACAO] (threads_stopworld, threads_startworld): Added
	#ifdef, replaced {lock,unlock}_stopworld with mutex_{lock,unlock}.
	[ENABLE_GC_CACAO] (threads_suspend_ack, threads_resume_thread):
	Added #ifdef.
	* src/threads/thread.c (threads/critical.h): Removed.
	* src/vm/jit/asmpart.h [ENABLE_THREADS] (threads/critical.h):
	Likewise.
	* src/vm/jit/codegen-common.c (codegen_setup): Removed listcritical.
	(codegen_reset): Likewise. [ENABLE_THREADS]
	(codegen_critical_section_new) (codegen_critical_section_start,
	codegen_critical_section_end) (codegen_critical_section_finish):
	Removed. (codegen_finish) [ENABLE_THREADS]: Removed
	codegen_critical_section_finish.
	* src/vm/jit/codegen-common.h (critical_section_ref_t): Removed.
	(codegendata): Removed listcritical. [ENABLE_THREADS]
	(codegen_critical_section_new) (codegen_critical_section_start,
	codegen_critical_section_end) (codegen_critical_section_finish,
	CODEGEN_CRITICAL_SECTION_NEW) (CODEGEN_CRITICAL_SECTION_START,
	CODEGEN_CRITICAL_SECTION_END): Removed.
	* src/vm/vm.c (vm_create): Removed critical_init.
	* src/vmcore/linker.c (linker_compute_subclasses): Removed obsolete
	threads_{stop,start}world.
	* src/vm/jit/alpha/codegen.c, src/vm/jit/arm/codegen.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/s390/codegen.c
	(codegen_emit): Removed CODEGEN_CRITICAL_SECTION_NEW,
	CODEGEN_CRITICAL_SECTION_START, CODEGEN_CRITICAL_SECTION_END.
	* src/vm/jit/alpha/freebsd/md-os.c, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/arm/linux/md-os.c, src/vm/jit/sparc64/codegen.c,
	src/vm/jit/x86_64/codegen.c, src/vm/jit/i386/cygwin/md-os.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/freebsd/md-os.c,
	src/vm/jit/i386/linux/md-os.c, src/vm/jit/mips/irix/md-os.c,
	src/vm/jit/mips/linux/md-os.c, src/vm/jit/mips/uclinux/md-os.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc/netbsd/md-os.c, src/vm/jit/powerpc64/linux/md-
	os.c, src/vm/jit/s390/md.c, src/vm/jit/sparc64/linux/md-os.c,
	src/vm/jit/sparc64/solaris/md-os.c, src/vm/jit/x86_64/freebsd/md-
	os.c, src/vm/jit/x86_64/linux/md-os.c (md_critical_section_restart):
	Removed.
	[3a6552a0aea2]

	* src/mm/boehm-gc/include/gc.h, src/mm/boehm-gc/pthread_stop_world.c,
	src/threads/Makefile.am, src/threads/critical.c,
	src/threads/critical.h, src/threads/posix/thread-posix.c,
	src/threads/thread.c, src/vm/jit/alpha/codegen.c,
	src/vm/jit/alpha/freebsd/md-os.c, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/arm/codegen.c, src/vm/jit/arm/linux/md-os.c,
	src/vm/jit/asmpart.h, src/vm/jit/codegen-common.c, src/vm/jit
	/codegen-common.h, src/vm/jit/i386/codegen.c, src/vm/jit/i386/cygwin
	/md-os.c, src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/freebsd
	/md-os.c, src/vm/jit/i386/linux/md-os.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/mips/irix/md-os.c,
	src/vm/jit/mips/linux/md-os.c, src/vm/jit/mips/uclinux/md-os.c,
	src/vm/jit/powerpc/codegen.c, src/vm/jit/powerpc/darwin/md-os.c,
	src/vm/jit/powerpc/linux/md-os.c, src/vm/jit/powerpc/netbsd/md-os.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/powerpc64/linux/md-os.c,
	src/vm/jit/s390/codegen.c, src/vm/jit/s390/md.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/linux/md-os.c,
	src/vm/jit/sparc64/solaris/md-os.c, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/freebsd/md-os.c, src/vm/jit/x86_64/linux/md-os.c,
	src/vm/vm.c, src/vmcore/linker.c:
	* src/threads/critical.c: Removed.
	* src/threads/critical.h: Likewise.
	* src/mm/boehm-gc/include/gc.h (GC_signum1, GC_signum2): Removed.
	* src/mm/boehm-gc/pthread_stop_world.c (lock_stopworld)
	(unlock_stopworld): Likewise. (GC_signum1, GC_signum2): Likewise.
	* src/threads/Makefile.am (libthreads_la_SOURCES): Removed
	critical.[ch].
	* src/threads/posix/thread-posix.c (STOPWORLD_FROM_GC)
	(STOPWORLD_FROM_CLASS_NUMBERING): Removed. (stopworldwhere):
	Likewise. [__IRIX__] (suspend_ack_lock, suspend_cond): Likewise.
	(lock_stopworld, unlock_stopworld, threads_cast_sendsignals)
	(threads_cast_darwinstop, threads_cast_darwinresume)
	(threads_cast_irixresume, threads_sigsuspend_handler): Likewise.
	[ENABLE_GC_CACAO] (threads_stopworld, threads_startworld): Added
	#ifdef, replaced {lock,unlock}_stopworld with mutex_{lock,unlock}.
	[ENABLE_GC_CACAO] (threads_suspend_ack, threads_resume_thread):
	Added #ifdef.
	* src/threads/thread.c (threads/critical.h): Removed.
	* src/vm/jit/asmpart.h [ENABLE_THREADS] (threads/critical.h):
	Likewise.
	* src/vm/jit/codegen-common.c (codegen_setup): Removed listcritical.
	(codegen_reset): Likewise. [ENABLE_THREADS]
	(codegen_critical_section_new) (codegen_critical_section_start,
	codegen_critical_section_end) (codegen_critical_section_finish):
	Removed. (codegen_finish) [ENABLE_THREADS]: Removed
	codegen_critical_section_finish.
	* src/vm/jit/codegen-common.h (critical_section_ref_t): Removed.
	(codegendata): Removed listcritical. [ENABLE_THREADS]
	(codegen_critical_section_new) (codegen_critical_section_start,
	codegen_critical_section_end) (codegen_critical_section_finish,
	CODEGEN_CRITICAL_SECTION_NEW) (CODEGEN_CRITICAL_SECTION_START,
	CODEGEN_CRITICAL_SECTION_END): Removed.
	* src/vm/vm.c (vm_create): Removed critical_init.
	* src/vmcore/linker.c (linker_compute_subclasses): Removed obsolete
	threads_{stop,start}world.
	* src/vm/jit/alpha/codegen.c, src/vm/jit/arm/codegen.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/s390/codegen.c
	(codegen_emit): Removed CODEGEN_CRITICAL_SECTION_NEW,
	CODEGEN_CRITICAL_SECTION_START, CODEGEN_CRITICAL_SECTION_END.
	* src/vm/jit/alpha/freebsd/md-os.c, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/arm/linux/md-os.c, src/vm/jit/sparc64/codegen.c,
	src/vm/jit/x86_64/codegen.c, src/vm/jit/i386/cygwin/md-os.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/freebsd/md-os.c,
	src/vm/jit/i386/linux/md-os.c, src/vm/jit/mips/irix/md-os.c,
	src/vm/jit/mips/linux/md-os.c, src/vm/jit/mips/uclinux/md-os.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc/netbsd/md-os.c, src/vm/jit/powerpc64/linux/md-
	os.c, src/vm/jit/s390/md.c, src/vm/jit/sparc64/linux/md-os.c,
	src/vm/jit/sparc64/solaris/md-os.c, src/vm/jit/x86_64/freebsd/md-
	os.c, src/vm/jit/x86_64/linux/md-os.c (md_critical_section_restart):
	Removed.
	[d9de19bc1127]

	* src/vm/jit/trap.c, src/vm/signal.c:
	* src/vm/jit/trap.c (mm/memory.h): Added.
	* src/vm/signal.c [ENABLE_GC_BOEHM] (mm/memory.h): Likewise.
	[dc074c0471a7]

2008-06-24  rob  <rob@linkist.lan>

	* m4/java-runtime-library.m4:
	2008-06-24 Robert Schuster <robertschuster@fsfe.org>

	 * m4/java-runtime-library.m4: Added
	AC_CHECK_WITH_BUILD_JAVA_RUNTIME_LIBRARY_CLASSES function.
	[fa9bb7a6969d]

2008-06-22  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac, m4/threads.m4, src/cacao/Makefile.am,
	src/cacaoh/dummy.c, src/cacaoh/headers.c, src/mm/boehm-
	gc/configure.ac, src/mm/memory.h, src/native/jni.h,
	src/native/vm/openjdk/jvm.c, src/toolbox/list.h, src/vm/Makefile.am,
	src/vm/package.c, src/vm/package.cpp, src/vm/package.h,
	src/vm/package.hpp, src/vm/vm.c, src/vmcore/loader.c:
	This commit introduces C++ support.

	* configure.ac (OPT_CXXFLAGS): New variable. (ARCH_CFLAGS): Renamed
	to ARCH_FLAGS. (OS_FLAGS): New variable. (CC_FLAGS, CXX_FLAGS):
	Likewise.
	* m4/threads.m4 (ENABLE_THREADS): Set OS_FLAGS instead of ARCH_CFLAGS.
	* src/cacao/Makefile.am (nodist_EXTRA_libjvm_la_SOURCES): Added to
	force C++ linking.
	* src/cacaoh/dummy.c (instruction_call_site): Added. (icmd_table):
	Likewise. (package_add): Renamed to Package_add. [HAVE___THREAD]
	(thread_current): Added. [!HAVE___THREAD) (thread_current_key):
	Likewise.
	* src/cacaoh/headers.c (printmethod): Print _this instead of this, as
	it's a C++ keyword.
	* src/mm/boehm-gc/configure.ac: Don't use CACAO's CFLAGS anymore.
	* src/mm/memory.h [__cplusplus]: Added define.
	* src/native/jni.h [__cplusplus] (_Jv_JNIEnv): Likewise. [__cplusplus]
	(_Jv_JavaVM): Likewise.
	* src/native/vm/openjdk/jvm.c (vm/package.h): Removed.
	(vm/package.hpp): Added. (JVM_GetSystemPackage): Renamed
	package_find to Package_find.
	* src/toolbox/list.h [__cplusplus]: Added define.
	* src/vm/Makefile.am (libvm_la_SOURCES): Removed package.[ch], added
	package.{cpp,hpp}.
	* src/vm/vm.c (vm/package.h): Removed. (vm/package.hpp): Added.
	(vm_create): Renamed package_init to Package_initialize.
	* src/vmcore/loader.c (vm/package.h): Removed. (vm/package.hpp):
	Added. (load_class_bootstrap): Renamed package_add to Package_add.
	* src/vm/package.c, src/vm/package.h: Moved from C...
	* src/vm/package.cpp, src/vm/package.hpp: ...to C++.
	[8484332b813c]

	* configure.ac, m4/ifconv.m4:
	* configure.ac (AC_CHECK_ENABLE_IFCONV): Added.
	* m4/ifconv.m4: New file.
	[96a1f8910261]

	* configure.ac, m4/cycle-stats.m4:
	* configure.ac (AC_CHECK_ENABLE_CYCLE_STATS): Added.
	* m4/cycle-stats.m4: New file.
	[1f8678296226]

	* configure.ac, m4/rt-timing.m4:
	* configure.ac (AC_CHECK_ENABLE_RT_TIMING): Added.
	* m4/rt-timing.m4: New file.
	[7f15bb23163a]

	* configure.ac, m4/replacement.m4:
	* configure.ac (AC_CHECK_ENABLE_REPLACEMENT): Added.
	* m4/replacement.m4: New file.
	[a7f47adee751]

	* configure.ac, m4/inlining.m4:
	* configure.ac (AC_CHECK_ENABLE_INLINING): Added.
	(AC_CHECK_ENABLE_INLINING_DEBUG): Likewise.
	* m4/inlining.m4: New file.
	[c1dc702a398b]

	* configure.ac, m4/jvmti.m4:
	* configure.ac (AC_CHECK_ENABLE_JVMTI): Added.
	* m4/jvmti.m4: New file.
	[fc6a6feee69f]

	* configure.ac, m4/verifier.m4:
	* configure.ac (AC_CHECK_ENABLE_VERIFIER): Added.
	* m4/verifier.m4: New file.
	[ee65d125fef2]

	* configure.ac, m4/statistics.m4:
	* configure.ac (AC_CHECK_ENABLE_STATISTICS): Added.
	* m4/statistics.m4: New file.
	[6ab2bd4add31]

	* configure.ac, m4/disassembler.m4:
	* configure.ac (AC_CHECK_ENABLE_DISASSEMBLER): Added.
	* m4/disassembler.m4: New file.
	[0ca35e51b2f8]

2008-06-21  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac, m4/vmlog.m4:
	* configure.ac (AC_CHECK_ENABLE_VMLOG): Added.
	* m4/vmlog.m4: New file.
	[42c8ec66c87f]

	* configure.ac, m4/handles.m4:
	* configure.ac (AC_CHECK_ENABLE_HANDLES): Added.
	* m4/handles.m4: New file.
	[fb00ad63ee81]

	* configure.ac, m4/memcheck.m4:
	* configure.ac (AC_CHECK_ENABLE_MEMCHECK): Added.
	* m4/memcheck.m4: New file.
	[cee4fa6be81b]

2008-06-20  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac: Removed stdint checks for fdlibm, I'm not sure we
	ever needed them.
	[fadcef38d8e6]

	* src/vm/jit/powerpc/Makefile.am, src/vm/jit/powerpc/asmpart.S,
	src/vm/jit/powerpc/atomic.hpp, src/vm/jit/powerpc/machine-instr.h:
	* src/vm/jit/powerpc/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added atomic.hpp.
	* src/vm/jit/powerpc/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	* src/vm/jit/powerpc/atomic.hpp: New file.
	* src/vm/jit/powerpc/machine-instr.h: Removed.
	[1cacc6e2690e]

	* src/vm/jit/asmpart.h:
	* src/vm/jit/asmpart.h (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	[20c5ef6e022a]

2008-06-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c, src/threads/posix/lock.c,
	src/threads/posix/thread-posix.c, src/vm/jit/x86_64/Makefile.am,
	src/vm/jit/x86_64/asmpart.S, src/vm/jit/x86_64/atomic.hpp,
	src/vm/jit/x86_64/machine-instr.h:
	* src/native/vm/sun_misc_Unsafe.c: Use new atomic primitve
	functions.
	* src/threads/posix/lock.c: Likewise.
	* src/threads/posix/thread-posix.c: Likewise.
	* src/vm/jit/x86_64/Makefile.am (noinst_HEADERS): Removed machine-
	instr.h, added atomic.hpp.
	* src/vm/jit/x86_64/asmpart.S (asm_compare_and_swap): Removed.
	(asm_memory_barrier): Likewise.
	* src/vm/jit/x86_64/atomic.hpp: New file.
	* src/vm/jit/x86_64/machine-instr.h: Removed.
	[bd614015578d]

	* src/native/jni.c:
	* src/native/jni.c (TRACEJNICALLSENTER, TRACEJNICALLSEXIT): New
	macro. (_Jv_JNI_NewObject): Renamed to jni_NewObject, added trace
	macro. (_Jv_JNI_NewGlobalRef): Renamed to jni_NewGlobalRef.
	(_Jv_JNI_DeleteGlobalRef): Renamed to jni_DeleteGlobalRef.
	(_Jv_JNI_NewDirectByteBuffer): Renamed to jni_NewDirectByteBuffer.
	[f2c147cbb468]

2008-06-19  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/native/jni.c, src/vm/jit/x86_64/patcher.c:
	Merged trunk.
	[e423d35c699b]

	* src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/codegen.h:
	Merged subtype fix.
	[58417ed8e8a8]

	* src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/codegen.h:
	* src/vm/jit/x86_64/codegen.c: Fixed INSTANCEOF for d == REG_ITMP2.
	* src/vm/jit/x86_64/codegen.h: Added M_SETE.
	[257d082704da]

2008-06-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/jni.c:
	Fixes PR83.
	* src/native/jni.c (_Jv_JNI_NewGlobalRef): Allocate the data structure
	containing the global reference on the GC heap.
	(_Jv_JNI_DeleteGlobalRef): Free likewise.
	[c898353e7208]

	* src/native/jni.c:
	Fixes PR83.
	* src/native/jni.c (_Jv_JNI_NewGlobalRef): Allocate the data structure
	containing the global reference on the GC heap.
	(_Jv_JNI_DeleteGlobalRef): Free likewise.
	[93decefa1711]

	* src/native/vm/gnuclasspath/java_lang_VMThread.c,
	src/native/vm/openjdk/jvm.c:
	* src/native/vm/gnuclasspath/java_lang_VMThread.c
	(countStackFrames): Print an clear warning that this method is
	deprecated and not implemented (see http://java.sun.com/javase/6/doc
	s/technotes/guides/concurrency/threadPrimitiveDeprecation.html).
	(suspend, resume, nativeStop): Likewise.
	* src/native/vm/openjdk/jvm.c (JVM_StopThread, JVM_SuspendThread)
	(JVM_ResumeThread, JVM_CountStackFrames): Likewise.
	[f9d18b31e38c]

	* src/native/vm/gnuclasspath/java_lang_VMThread.c,
	src/native/vm/openjdk/jvm.c:
	* src/native/vm/gnuclasspath/java_lang_VMThread.c
	(countStackFrames): Print an clear warning that this method is
	deprecated and not implemented (see http://java.sun.com/javase/6/doc
	s/technotes/guides/concurrency/threadPrimitiveDeprecation.html).
	(suspend, resume, nativeStop): Likewise.
	* src/native/vm/openjdk/jvm.c (JVM_StopThread, JVM_SuspendThread)
	(JVM_ResumeThread, JVM_CountStackFrames): Likewise.
	[5b86c5527a2e]

2008-06-17  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* NEWS:
	* NEWS: Added 0.99.1 release notes.
	[1d418bc57b6e]

2008-06-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* m4/junit.m4:
	* m4/junit.m4 (AC_CHECK_WITH_JUNIT_JAR): Changed the filename to
	junit4.jar, this is the default on Debian.
	[d43851eb185b]

2008-06-18  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/jit/x86_64/patcher.c:
	* src/vm/jit/x86_64/patcher.c (patcher_putfieldconst): Fixed.
	[af831cc09d27]

	* src/vm/builtin.c, src/vm/builtin.h, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/codegen.h, src/vm/jit/x86_64/emit.c,
	src/vm/jit/x86_64/emit.h:
	Merged subtype branch.
	[86ab8c6b5dd5]

	* src/vm/jit/patcher-common.c, src/vm/jit/patcher-common.h,
	src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/patcher.c:
	* src/vm/jit/patcher-common.c (patcher_add_patch_ref): Return new
	patchref, initialize new auxiliary field.
	* src/vm/jit/patcher-common.h (patchref_t): New auxiliary field.

	* src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/patcher.c: Patch
	out useless mfence instructions.
	[734fe2320322]

	* src/vm/jit/x86_64/codegen.c:
	* src/vm/jit/x86_64/codegen.c (codegen_emit): Emit mfence
	instructions after volatile writes.
	[ea2b8f4be496]

	* src/vm/jit/x86_64/codegen.h, src/vm/jit/x86_64/emit.c,
	src/vm/jit/x86_64/emit.h:
	* src/vm/jit/x86_64/codegen.h: Generate mfence instruction.
	* src/vm/jit/x86_64/emit.c, src/vm/jit/x86_64/emit.h: Likewise.
	[864ea9d2c217]

	* src/native/jni.c:
	* src/native/jni.c (_Jv_JNI_SetObjectField): Use a memory barrier
	for volatile fields. (_Jv_JNI_SetStaticObjectField): Likewise.
	[d53d813a5b09]

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c
	(Java_sun_misc_Unsafe_compareAndSwapObject): Do a real CAS.
	(Java_sun_misc_Unsafe_compareAndSwapInt): Likewise.
	(Java_sun_misc_Unsafe_compareAndSwapLong): Likewise.
	(Java_sun_misc_Unsafe_putObjectVolatile): Added missing memory
	barrier.
	[150c0147ad3b]

	* src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/patcher.c:
	* src/vm/jit/x86_64/codegen.c (codegen_emit PUTFIELDCONST,
	PUTSTATICCONST): Don't split store.
	* src/vm/jit/x86_64/patcher.c (patcher_putfieldconst): Handle
	different machine code.

	The reason is that unresolved fields might be volatile. We could
	handle known non-volatile fields the old way and only unresolved or
	known volatile fields the new way but I don't like that case
	explosion. There's enough if-statements already.
	[0d5acacad2ff]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_thread_interrupt): Use
	the same signal as Sun.
	[46a4658ce761]

2008-06-18  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vmcore/class.h:
	* src/vmcore/class.h (class_getconstant): Renamed class argument to
	c.
	[d6c3fe682b52]

	* src/vm/builtin.c, src/vm/builtin.h:
	* src/vm/builtin.c (builtin_instanceof): Renamed class argument to
	c, C++ doesn't like it. (builtin_checkcast): Likewise.
	* src/vm/builtin.h: Likewise.
	[509ce5c63609]

	* configure.ac, m4/jasmin.m4, tests/regression/jasmin/Makefile.am:
	* configure.ac (AC_CHECK_WITH_JASMIN_JAR): Added.
	* m4/jasmin.m4: New file.
	* tests/regression/jasmin/Makefile.am (build): Use JASMIN_JAR.
	[cd9caf49cf6c]

2008-06-17  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac, m4/junit.m4, tests/regression/base/Makefile.am,
	tests/regression/bugzilla/Makefile.am:
	* configure.ac (AC_CHECK_WITH_JUNIT_JAR): Added.
	* m4/junit.m4: New file.
	* tests/regression/base/Makefile.am (build): Use JUNIT_JAR. (run):
	Likewise.
	* tests/regression/bugzilla/Makefile.am (JAVACMD): Added -source 1.5
	-target 1.5 -nowarn. (build): Use JUNIT_JAR. (run): Likewise.
	[197ef4b7b1d6]

	* tests/regression/bugzilla/All.java:
	* tests/regression/bugzilla/All.java (Suite.SuiteClasses): Removed ,
	for last entry. Sun's javac doesn't like it, while ECJ does.
	[6ba37f66c4c5]

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 1.0.0pre, again.
	(OPT_CFLAGS): Set -O0.
	[32991266e811]

	* .hgtags:
	Added tag cacao-0.99.1 for changeset cb38cfa407fe
	[769a15c352cd]

	* ChangeLog:
	* ChangeLog: Updated for 0.99.1.
	[cb38cfa407fe] [cacao-0.99.1]

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99.1. (OPT_CFLAGS):
	Set -O2.
	[f53ef222e4a0]

	* tests/regression/bugzilla/All.java:
	* tests/regression/bugzilla/All.java: Removed accidentally added
	PR70.
	[86c45045090d]

	* tests/regression/base/All.java,
	tests/regression/base/TestExceptionInStaticClassInitializer.java,
	tests/regression/base/TestPatcher.java,
	tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR52.java,
	tests/regression/bugzilla/PR57.java,
	tests/regression/bugzilla/PR58.java,
	tests/regression/bugzilla/PR65.java,
	tests/regression/bugzilla/PR80.java:
	* tests/regression/base/All.java,
	tests/regression/base/TestExceptionInStaticClassInitializer.java,
	tests/regression/base/TestPatcher.java,
	tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR52.java,
	tests/regression/bugzilla/PR57.java,
	tests/regression/bugzilla/PR58.java,
	tests/regression/bugzilla/PR65.java,
	tests/regression/bugzilla/PR80.java: Ported to JUnit 4.
	[877abcd9243d]

	* NEWS:
	* NEWS: Added 0.99.1 release notes.
	[268018a4e616]

	* configure.ac:
	* configure.ac ($host_os): Moved *kfreebsd*-gnu before *freebsd*.
	[1384888f31fb]

	* configure.ac:
	* configure.ac ($host_os): Moved *kfreebsd*-gnu before *freebsd*.
	[073aa5c74e95]

	* THIRDPARTY, contrib/svn2cl.xsl:
	* THIRDPARTY: Updated.
	* contrib/svn2cl.xsl: Removed.
	[ffbc59261a4f]

	* THIRDPARTY, contrib/svn2cl.xsl:
	* THIRDPARTY: Updated.
	* contrib/svn2cl.xsl: Removed.
	[231bce804212]

	* contrib/Makefile.am:
	* contrib/Makefile.am (EXTRA_DIST): New and added mapfile-vers-
	product.
	[9f2c8d484596]

	* contrib/Makefile.am:
	* contrib/Makefile.am (EXTRA_DIST): New and added mapfile-vers-
	product.
	[ecaed63de347]

	* src/mm/boehm-gc/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/mkinstalldirs, src/mm/boehm-
	gc/libatomic_ops-1.2/src/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am, src/mm
	/boehm-gc/libatomic_ops-1.2/tests/test_atomic_include.h:
	* src/mm/boehm-gc/Makefile.am (DISTCLEANFILES): Added.
	* src/mm/boehm-gc/libatomic_ops-1.2/doc/Makefile.am: Don't install
	files.
	* src/mm/boehm-gc/libatomic_ops-1.2/src/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am: Likewise.
	* src/mm/boehm-gc/libatomic_ops-1.2/tests/test_atomic_include.h:
	Something changed.
	* src/mm/boehm-gc/libatomic_ops-1.2/mkinstalldirs: Removed.
	[470eb4c47a42]

	* src/vm/jit/intrp/Makefile.am:
	* src/vm/jit/intrp/Makefile.am (EXTRA_DIST): Removed BUILT_SOURCES.
	[774bfd75688c]

	* src/mm/boehm-gc/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/mkinstalldirs, src/mm/boehm-
	gc/libatomic_ops-1.2/src/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am, src/mm
	/boehm-gc/libatomic_ops-1.2/tests/test_atomic_include.h:
	* src/mm/boehm-gc/Makefile.am (DISTCLEANFILES): Added.
	* src/mm/boehm-gc/libatomic_ops-1.2/doc/Makefile.am: Don't install
	files.
	* src/mm/boehm-gc/libatomic_ops-1.2/src/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am: Likewise.
	* src/mm/boehm-gc/libatomic_ops-1.2/tests/test_atomic_include.h:
	Something changed.
	* src/mm/boehm-gc/libatomic_ops-1.2/mkinstalldirs: Removed.
	[b04fce856333]

	* src/vm/jit/intrp/Makefile.am:
	* src/vm/jit/intrp/Makefile.am (EXTRA_DIST): Removed BUILT_SOURCES.
	[fb4d6f584893]

	* Makefile.am:
	* Makefile.am (EXTRA_DIST): Added ChangeLog-2006, ChangeLog-2007.
	[97a8aff9b66d]

	* src/mm/boehm-gc/Makefile.am:
	* src/mm/boehm-gc/Makefile.am (EXTRA_DIST): Removed libtool.m4.
	[f455432c60f8]

	* Makefile.am:
	* Makefile.am (EXTRA_DIST): Added ChangeLog-2006, ChangeLog-2007.
	[7b111ee4736e]

	* src/mm/boehm-gc/Makefile.am:
	* src/mm/boehm-gc/Makefile.am (EXTRA_DIST): Removed libtool.m4.
	[4459a6ba3156]

	* src/threads/thread.c:
	* src/threads/thread.c (thread_detach_current_external_thread)
	[ENABLE_GC_BOEHM]: Don't detach main thread.
	[3e53ea4b2f00]

	* src/threads/thread.c:
	* src/threads/thread.c (thread_detach_current_external_thread)
	[ENABLE_GC_BOEHM]: Don't detach main thread.
	[f01b86ba04b6]

	* configure.ac, src/mm/boehm-gc/Makefile.am, src/mm/boehm-
	gc/include/include.am:
	* configure.ac (AC_PROG_RANLIB): Removed.
	* src/mm/boehm-gc/Makefile.am (include_HEADERS, pkginclude_HEADERS):
	Commented to not install include/gc.
	* src/mm/boehm-gc/include/include.am (include_HEADERS): Made
	dist_noinst_HEADERS to not install headers.
	[5d2b6d28bfa5]

	* configure.ac, src/mm/boehm-gc/Makefile.am, src/mm/boehm-
	gc/include/include.am:
	* configure.ac (AC_PROG_RANLIB): Removed.
	* src/mm/boehm-gc/Makefile.am (include_HEADERS, pkginclude_HEADERS):
	Commented to not install include/gc.
	* src/mm/boehm-gc/include/include.am (include_HEADERS): Made
	dist_noinst_HEADERS to not install headers.
	[8471ab91ccd5]

2008-06-16  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac, src/cacao/Makefile.am:
	* configure.ac (AC_SUBST): Added JAVA_ARCH.
	* src/cacao/Makefile.am [WITH_JAVA_RUNTIME_LIBRARY_OPENJDK] (install-
	data-local, uninstall-local): New targets creating files required
	for OpenJDK.
	[8871f6796f2e]

	* configure.ac, src/cacao/Makefile.am:
	* configure.ac (AC_SUBST): Added JAVA_ARCH.
	* src/cacao/Makefile.am [WITH_JAVA_RUNTIME_LIBRARY_OPENJDK] (install-
	data-local, uninstall-local): New targets creating files required
	for OpenJDK.
	[59d547e55461]

	* src/native/vm/nativevm.c, src/native/vm/openjdk/hpi.c,
	src/native/vm/openjdk/jvm.c:
	* src/native/vm/nativevm.c (nativevm_preinit): Removed libltdl
	stuff.
	* src/native/vm/openjdk/hpi.c (hpi_initialize): Likewise.
	* src/native/vm/openjdk/jvm.c (ltdl.h): Removed.
	(JVM_FindLibraryEntry): Use HPI function.
	[b1d09d066062]

	* src/native/vm/nativevm.c, src/native/vm/openjdk/hpi.c,
	src/native/vm/openjdk/jvm.c:
	* src/native/vm/nativevm.c (nativevm_preinit): Removed libltdl
	stuff.
	* src/native/vm/openjdk/hpi.c (hpi_initialize): Likewise.
	* src/native/vm/openjdk/jvm.c (ltdl.h): Removed.
	(JVM_FindLibraryEntry): Use HPI function.
	[a0187730179f]

	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	Updated to current CVS version.
	[c348969dfb45]

	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	Updated to current CVS version.
	[2ed8d6c3b51f]

	* src/mm/boehm-gc/libtool.m4, src/mm/boehm-gc/mkinstalldirs:
	* src/mm/boehm-gc/libtool.m4: Removed.
	* src/mm/boehm-gc/mkinstalldirs: Likewise.
	[cbe054030670]

	* autogen.sh, src/mm/boehm-gc/autogen.sh, src/mm/boehm-
	gc/libatomic_ops-1.2/autogen.sh:
	* autogen.sh: Use autoreconf.
	* src/mm/boehm-gc/autogen.sh: Removed.
	* src/mm/boehm-gc/libatomic_ops-1.2/autogen.sh: Removed.
	[833b1ab8e609]

	* src/mm/boehm-gc/libtool.m4, src/mm/boehm-gc/mkinstalldirs:
	* src/mm/boehm-gc/libtool.m4: Removed.
	* src/mm/boehm-gc/mkinstalldirs: Likewise.
	[8caeeb0f9ea6]

	* autogen.sh, src/mm/boehm-gc/autogen.sh, src/mm/boehm-
	gc/libatomic_ops-1.2/autogen.sh:
	* autogen.sh: Use autoreconf.
	* src/mm/boehm-gc/autogen.sh: Removed.
	* src/mm/boehm-gc/libatomic_ops-1.2/autogen.sh: Removed.
	[960f8fabf4ff]

2008-06-15  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/fdlibm/ieeefp.h:
	* src/fdlibm/ieeefp.h [__i386] (__IEEE_LITTLE_ENDIAN): Added define.
	[0c7dc073f7bb]

	* src/fdlibm/ieeefp.h:
	* src/fdlibm/ieeefp.h [__i386] (__IEEE_LITTLE_ENDIAN): Added define.
	[353b84e663b9]

2008-06-15  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/native/jvmti/jvmti.c:
	* src/native/jvmti/jvmti.c (GetThreadState): Removed incorrect usage
	of sleeping.
	[69b92de70c2c]

	* src/threads/posix/thread-posix.c, src/threads/posix/thread-posix.h,
	src/threads/thread.h:
	Merged to new trunk.
	[a9b5d3c8ebb6]

2008-06-14  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/signal.c:
	* src/vm/signal.c (signal_thread_handler): Exit with non-zero status
	when Ctrl-C is pressed.
	[799d0577b13f]

2008-06-13  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/threads/posix/lock.c, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h:
	* src/threads/posix/thread-posix.h: Removed sleeping flag.
	* src/threads/posix/thread-posix.c: Likewise.
	* src/threads/posix/lock.c: Likewise.
	[2a951f68a838]

	* src/threads/thread.h:
	* src/threads/thread.h: thread_is_interrupted bugfix.
	[023499292a55]

2008-06-14  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 1.1.0pre. (OPT_CFLAGS):
	Set -O0.
	[13cf84055d92]

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 1.0.0pre. (OPT_CFLAGS):
	Set -O0.
	[44e1d99de3f6]

	* .hgtags:
	Added tag cacao-0.99 for changeset 633b9803f4f4
	[b5e781fbf95a]

	* ChangeLog, ChangeLog-2007:
	* ChangeLog: Updated.
	* ChangeLog-2007: New file.
	[633b9803f4f4] [cacao-0.99]

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99. (OPT_CFLAGS): Set
	to -O2.
	[ea12d8e7f38d]

	* NEWS:
	* NEWS: Added latest 0.99 news.
	[3d976222eac4]

	* src/vm/properties.c:
	* src/vm/properties.c (properties_set): Changed java.vm.vendor to
	CACAOVM - Verein zur Foerderung der freien virtuellen Maschine
	CACAO.
	[801e8faac4a0]

	* .hgignore, configure.ac, tests/regression/Makefile.am,
	tests/regression/base/All.java, tests/regression/base/Makefile.am,
	tests/regression/base/TestExceptionInStaticClassInitializer.java,
	tests/regression/base/TestPatcher.java,
	tests/regression/junit/All.java, tests/regression/junit/Makefile.am,
	tests/regression/junit/TestExceptionInStaticClassInitializer.java,
	tests/regression/junit/TestPatcher.java:
	* .hgignore: Removed tests/regression/junit/*.class, added
	tests/regression/base/*.class.
	* configure.ac (AC_CONFIG_FILES): Removed
	tests/regression/junit/Makefile, added
	tests/regression/base/Makefile.
	* tests/regression/Makefile.am (SUBDIRS): Removed junit, added base.
	* tests/regression/junit/All.java, tests/regression/junit/Makefile.am,
	tests/regression/junit/TestExceptionInStaticClassInitializer.java,
	tests/regression/junit/TestPatcher.java: Moved from here...
	* tests/regression/base/All.java, tests/regression/base/Makefile.am,
	tests/regression/base/TestExceptionInStaticClassInitializer.java,
	tests/regression/base/TestPatcher.java: ...to here.
	[c08a0a544e42]

2008-06-13  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac: Bumped _XOPEN_SOURCE version to 600.
	[fcabb9585a21]

	* src/vm/builtin.c, tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR80.java:
	Fixes PR80.
	* src/vm/builtin.c (builtin_arraycopy): Fixed range checks, cast to
	unsigned values.
	* tests/regression/bugzilla/All.java (suite): Added PR80.
	* tests/regression/bugzilla/PR80.java: New file.
	[75bfed30df25]

	* autogen.sh:
	* autogen.sh (CACAO_ACLOCAL): Added aclocal-1.10. (CACAO_AUTOMAKE):
	Added automake-1.10.
	[f1f4b00872fb]

2008-06-12  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc7.
	(AM_INIT_AUTOMAKE): Added tar-ustar for long filename support
	(thanks to Mark Wielaard). (OPT_CFLAGS): Only use -g to be portable.
	[b35960d5977e]

	* src/vm/vm.c:
	* src/vm/vm.c (vm_run): Fixed compiler warning.
	[62e3843fdbfa]

	* src/vm/jit/i386/darwin/md-os.c:
	* src/vm/jit/i386/darwin/md-os.c: Ported to UNIX03
	(__DARWIN_UNIX03).
	[f8847b43a1aa]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_startup_thread)
	[__DARWIN__]: Don't register the thread to Boehm-GC, it's not
	implemented yet.
	[dfff3126e8cb]

	* configure.ac, src/vm/global.h:
	* configure.ac (INTRP_CFLAGS, ARCH_CFLAGS): Use -std=c99 instead of
	-ansi and bumped _POSIX_C_SOURCE to version 200112L.
	(AC_CHECK_HEADERS): Added stdbool.h and stdint.h.
	* src/vm/global.h (boolm true, false): Removed.
	[f2cd982f6ab5]

	* src/vm/jit/x86_64/emit.c:
	* src/vm/jit/x86_64/emit.c (emit_store): Removed inline keyword.
	[6c549a21d7ec]

	* src/toolbox/set.c, src/toolbox/set.h:
	* src/toolbox/set.c (config.h): Added. (vm/global.h): Likewise.
	* src/toolbox/set.h (config.h): Likewise.
	[7b5a9fbd4309]

	* * Merged with tip.
	[e195cdba0d70]

	* configure.ac, m4/dl.m4, m4/ltdl.m4, src/cacao/cacao.c,
	src/native/native.c, src/native/native.h,
	src/native/vm/gnuclasspath/java_lang_VMRuntime.c,
	src/vmcore/system.h:
	* configure.ac (AC_CHECK_ENABLE_LTDL): Removed.
	(AC_CHECK_ENABLE_DL): Added.
	* m4/ltdl.m4: Removed.
	* m4/dl.m4: New file.

	* src/cacao/cacao.c [ENABLE_LIBJVM] (ltdl.h): Removed.
	(vmcore/system.h): Added. (LIBJVM_NAME): New define. (main): Use
	system_dl* functions.

	* src/native/native.c: Replaced ltdl stuff with sytem_dl* stuff.
	* src/native/native.h (NATIVE_LIBRARY_PREFIX): New define.
	(NATIVE_LIBRARY_SUFFIX): Likewise.

	* src/native/vm/gnuclasspath/java_lang_VMRuntime.c (mapLibraryName):
	Use NATIVE_LIBRARY_* defines.

	* src/vmcore/system.h [HAVE_DLFCN_H] (dlfcn.h): Added.
	(system_dlclose): New function. (system_dlerror): Likewise.
	(system_dlopen): Likewise. (system_dlsym): Likewise.
	[9ce78261b91c]

	* src/native/include/Makefile.am:
	* src/native/include/Makefile.am (VM_ZIP) [ENABLE_ZLIB]: Added if.
	[aba8982958ea]

	* src/vm/jit/i386/darwin/md-os.c:
	* src/vm/jit/i386/darwin/md-os.c: Fixed indent.
	[377f38200eb2]

	* src/native/jni.c, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h, src/threads/thread.c,
	src/threads/thread.h, src/vm/vm.c:
	Fixes PR77.
	* src/native/jni.c (jni_attach_current_thread): Call
	thread_attach_current_external_thread instead of
	threads_attach_current_thread. (_Jv_JNI_AttachCurrentThread):
	Renamed to jni_AttachCurrentThread. (_Jv_JNI_DetachCurrentThread):
	Renamed to jni_DetachCurrentThread, call
	thread_detach_current_external_thread instead of
	threads_detach_thread. (_Jv_JNI_AttachCurrentThreadAsDaemon):
	Renamed to jni_AttachCurrentThreadAsDaemon.

	* src/threads/posix/thread-posix.c (threads_startup_thread)
	[ENABLE_GC_BOEHM]: Call GC_register_my_thread. Call
	thread_detach_current_thread instead of threads_detach_thread.
	(threads_detach_thread): Removed. (thread_detach_current_thread):
	New function.
	* src/threads/posix/thread-posix.h (threads_detach_thread): Removed.

	* src/threads/thread.c [ENABLE_GC_BOEHM] (mm/boehm-gc/include/gc.h):
	Added. (threads_attach_current_thread): Renamed to
	thread_attach_current_thread.
	(thread_attach_current_external_thread): New function.
	(thread_detach_current_external_thread): Likewise.
	* src/threads/thread.h (threads_attach_current_thread): Removed.
	(thread_attach_current_thread): Added.
	(thread_attach_current_external_thread): Likewise.
	(thread_detach_current_thread): Likewise.
	(thread_detach_current_external_thread): Likewise.

	* src/vm/vm.c (vm_run): Call thread_detach_current_thread instead of
	threads_detach_thread. (vm_destroy): Call
	thread_attach_current_thread instead of
	threads_attach_current_thread.
	[9aa5016cca58]

2008-06-12  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* .hgtags:
	Oops. Corrected cacao-0.97 tag.
	[1bcb1eb6f00b]

	* .hgtags:
	Added tag cacao-0.98 for changeset 430cdebdf7d1
	[93eb8ccd253b]

	* .hgtags:
	Added tag cacao-0.97 for changeset 430cdebdf7d1
	[32222043ce3e]

2008-06-09  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/cacaoh/dummy.c, src/vm/builtin.c, src/vm/builtin.h, src/vm/jit
	/emit-common.h, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/codegen.h, src/vm/jit/x86_64/emit.c,
	src/vm/jit/x86_64/emit.h, src/vmcore/class.c, src/vmcore/linker.c,
	src/vmcore/linker.h:
	* src/vm/builtin.c: Added fast_subtype_check.
	(builtin_fast_canstore, builtin_fast_canstore_onedim,
	builtin_fast_canstore_onedim_class): Using fast subtype check. Don't
	need to lock linker_classrenumber_lock anymore.
	* src/vm/builtin.h: Added fast_subtype_check.

	* src/vm/jit/emit-common.h: Added more branch labels.

	* src/vm/jit/x86_64/codegen.c (gen_method): New subtype checking
	code.
	* src/vm/jit/x86_64/codegen.h: Added some new mnemonics.
	* src/vm/jit/x86_64/emit.c: New mnemonics. (emit_classcast_check): New
	branch modes.
	* src/vm/jit/x86_64/emit.h: New mnemonics.
	* src/vmcore/class.c (class_isanysubclass): Using fast_subtype_check.

	* src/vmcore/linker.c: Removed linker_classrenumber_lock.
	(build_display): Implemented. (link_class_intern, link_array,
	linker_compute_subclasses): Minor changes.

	* src/vmcore/linker.h: Removed linker_compute_subclasses. Added
	subtype-related fields to _vftbl.

	* src/cacaoh/dummy.c: Added fast_subtype_check (link dependency).
	[f4d2cd262a58]

2008-06-11  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/jit/i386/codegen.c, src/vm/jit/i386/codegen.h,
	src/vm/jit/i386/emit.c, src/vm/jit/i386/emit.h,
	src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/codegen.h,
	src/vm/jit/x86_64/emit.c, src/vm/jit/x86_64/emit.h:
	Fixes PR72.
	* src/vm/jit/i386/codegen.c (codegen_emit_stub_native): Return value
	expansion in native stubs (for gcc 4.3).
	* src/vm/jit/x86_64/codegen.c (codegen_emit_stub_native): Likewise.

	* src/vm/jit/i386/codegen.h: Added more value extension operations.
	* src/vm/jit/i386/emit.c: Likewise.
	* src/vm/jit/i386/emit.h: Likewise.
	* src/vm/jit/x86_64/codegen.h: Likewise.
	* src/vm/jit/x86_64/emit.c: Likewise.
	* src/vm/jit/x86_64/emit.h: Likewise.
	[f4e23a5fb467]

2008-06-11  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/arm/emit.c:
	Fixes PR63.
	* src/vm/jit/arm/emit.c (emit_verbosecall_enter) [ENABLE_SOFTFLOAT]:
	Save and restore floating point types correctly.
	[cc3688ed7116]

	* src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h:
	* src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h: Fixed comment
	type.
	[d5092d317d71]

	* tests/havoc.class:
	* tests/havoc.class: Removed binary file.
	[0ec52c695779]

2008-06-09  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/jni.c:
	* src/native/jni.c (_Jv_JNI_GetEnv): Renamed to jni_GetEnv.
	[5e61d64d83a9]

	* src/native/jni.c:
	* src/native/jni.c (_Jv_JNI_PushLocalFrame): Renamed to
	jni_PushLocalFrame, added trace output. (_Jv_JNI_PopLocalFrame):
	Renamed to jni_PopLocalFrame. (_Jv_JNI_DeleteLocalRef): Renamed to
	jni_DeleteLocalRef. (_Jv_JNI_NewLocalRef): Renamed to
	jni_NewLocalRef. (_Jv_JNI_EnsureLocalCapacity): Renamed to
	jni_EnsureLocalCapacity.
	[b8487bde49f1]

	* src/threads/thread.c:
	* src/threads/thread.c (threads_preinit): Check if main thread index
	is 1.
	[e747bbe9a38e]

	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	* src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java:
	Updated to current GNU Classpath CVS version.
	[d6187703cf55]

2008-06-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* * Merged with 7d4cc49cbd31.
	[b5d519382b16]

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc6. This reflects
	the update to Boehm-GC 7.1.
	[a7955e22203b]

	* configure.ac, src/mm/boehm-gc/configure.in, src/mm/boehm-
	gc/doc/Makefile.am, src/mm/boehm-gc/gcc_support.c, src/mm/boehm-
	gc/include/Makefile.am, src/mm/boehm-gc/include/gc_alloc.h, src/mm
	/boehm-gc/include/gc_inl.h, src/mm/boehm-
	gc/include/gc_local_alloc.h, src/mm/boehm-
	gc/include/private/solaris_threads.h, src/mm/boehm-gc/ltconfig,
	src/mm/boehm-gc/pc_excludes, src/mm/boehm-
	gc/powerpc_darwin_mach_dep.s, src/mm/boehm-gc/solaris_pthreads.c,
	src/mm/boehm-gc/solaris_threads.c, src/mm/boehm-
	gc/tests/trace_test.c, src/mm/boehm-gc/version.h:
	* Merged with 31f9198caefc.
	[fee37d480fb4]

2008-06-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/mips.h:
	Missed a file again, grrrrrrrrr.

	* src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/mips.h: Patched.
	[31f9198caefc]

	* src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/s390.h:
	S390 patch applied from Thiemo Seufer. This is also already applied
	to bdwgc CVS.

	* src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/s390.h: Patched.
	[b5631b6d091a]

	* src/mm/boehm-gc/include/private/gcconfig.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am, src/mm
	/boehm-gc/mach_dep.c:
	MIPS patches applied from Thiemo Seufer. These are also already
	applied to bdwgc CVS.

	* src/mm/boehm-gc/include/private/gcconfig.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am, src/mm
	/boehm-gc/mach_dep.c: Patched.
	[1386a607d249]

	* src/mm/boehm-gc/Makefile.am:
	* src/mm/boehm-gc/Makefile.am (AM_CPPFLAGS): Use libatomic_ops
	instead of libatomic_ops-1.2, because only the former is linked into
	the build directory. Maybe this should go upstream?
	[8157901df4bf]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c: Added a comment why we include
	Boehm's gc.h.
	[1382eba18ad3]

	* configure.ac, src/mm/boehm-gc/configure.in, src/mm/boehm-
	gc/doc/Makefile.am, src/mm/boehm-gc/gcc_support.c, src/mm/boehm-
	gc/include/Makefile.am, src/mm/boehm-gc/include/gc_alloc.h, src/mm
	/boehm-gc/include/gc_inl.h, src/mm/boehm-
	gc/include/gc_local_alloc.h, src/mm/boehm-
	gc/include/private/solaris_threads.h, src/mm/boehm-gc/ltconfig,
	src/mm/boehm-gc/pc_excludes, src/mm/boehm-
	gc/powerpc_darwin_mach_dep.s, src/mm/boehm-gc/solaris_pthreads.c,
	src/mm/boehm-gc/solaris_threads.c, src/mm/boehm-
	gc/tests/trace_test.c, src/mm/boehm-gc/version.h, src/threads/posix
	/thread-posix.c:
	* Merged gc7-branch to default.
	[71c85ba866cf]

2008-06-08  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/vm/jit/i386/codegen.c, src/vm/jit/i386/emit.h,
	src/vm/jit/optimizing/bytecode_escape.c,
	src/vm/jit/optimizing/escape.c, src/vm/jit/optimizing/escape.h:
	* src/vm/jit/i386/codegen.c (codegen_emit): Commented out escape
	checks.
	* src/vm/jit/i386/emit.h: Fixed typo.
	* src/vm/jit/optimizing/bytecode_escape.c,
	src/vm/jit/optimizing/escape.c, src/vm/jit/optimizing/escape.h:
	Added copyright header.
	[7d4cc49cbd31]

2008-06-06  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/vm/jit/optimizing/escape.h:
	* src/vm/jit/optimizing/escape.h: Added forgotten file.
	[c8ec78cfd2db]

	* configure.ac, src/vm/global.h, src/vm/jit/asmpart.h,
	src/vm/jit/i386/asmpart.S, src/vm/jit/i386/codegen.c,
	src/vm/jit/i386/emit.c, src/vm/jit/i386/emit.h,
	src/vm/jit/optimizing/escape.c:
	* configure.ac: [ENABLE_SSA] define ENABLE_ESCAPE_CHECK.
	* src/vm/global.h [ENABLE_ESCAPE_CHECK] add additional fields to
	java_object_t for escape analysis verification.
	* src/vm/jit/asmpart.h, src/vm/jit/i386/asmpart.S
	[ENABLE_ESCAPE_CHECK] (asm_escape_check): new symbol.
	* src/vm/jit/i386/codegen.c [ENABLE_ESCAPE_CHECK] (codegen_emit):
	First stetps of annotating all objects with escape information and
	checking that information upon every access to an object.
	* src/vm/jit/i386/emit.c, src/vm/jit/i386/emit.h (emit_escape_check):
	New symbol.
	* src/vm/jit/optimizing/escape.c (escape_analysis_escape_check): New
	symbol.
	[348a7d510d11]

2008-06-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* .hgignore, src/mm/boehm-gc/NT_X64_THREADS_MAKEFILE, src/mm/boehm-
	gc/include/extra/gc.h, src/mm/boehm-gc/include/extra/gc_cpp.h,
	src/mm/boehm-gc/include/gc_version.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/armcc/arm_v6.h, src/mm
	/boehm-gc/tests/huge_test.c, src/mm/boehm-gc/tests/smash_test.c,
	src/mm/boehm-gc/version.h:
	Files missed in the Boehm-GC 7.1 import (sorry).

	* .hgignore: Added src/mm/boehm-gc/.dirstamp.
	* src/mm/boehm-gc/NT_X64_THREADS_MAKEFILE: Added.
	* src/mm/boehm-gc/include/extra/gc.h, src/mm/boehm-
	gc/include/extra/gc_cpp.h, src/mm/boehm-gc/include/gc_version.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/armcc/arm_v6.h, src/mm
	/boehm-gc/tests/huge_test.c, src/mm/boehm-gc/tests/smash_test.c:
	Likewise.
	* src/mm/boehm-gc/version.h: Removed.
	[0340b2f6a236]

	* src/mm/boehm-gc/configure.ac, src/mm/boehm-
	gc/libatomic_ops-1.2/configure.ac:
	* src/mm/boehm-gc/configure.ac: Made autogen.sh warning free.
	* src/mm/boehm-gc/libatomic_ops-1.2/configure.ac: Likewise.
	[7256403a4a32]

	* src/mm/boehm-gc/ChangeLog, src/mm/boehm-gc/Makefile.am, src/mm
	/boehm-gc/Makefile.direct, src/mm/boehm-gc/Makefile.dj, src/mm
	/boehm-gc/NT_X64_STATIC_THREADS_MAKEFILE, src/mm/boehm-
	gc/add_gc_prefix.c, src/mm/boehm-gc/allchblk.c, src/mm/boehm-
	gc/alloc.c, src/mm/boehm-gc/backgraph.c, src/mm/boehm-
	gc/configure.ac, src/mm/boehm-gc/darwin_stop_world.c, src/mm/boehm-
	gc/dbg_mlc.c, src/mm/boehm-gc/doc/README, src/mm/boehm-
	gc/doc/README.macros, src/mm/boehm-gc/doc/README.win32, src/mm
	/boehm-gc/doc/README.win64, src/mm/boehm-gc/doc/gcinterface.html,
	src/mm/boehm-gc/doc/scale.html, src/mm/boehm-gc/dyn_load.c, src/mm
	/boehm-gc/finalize.c, src/mm/boehm-gc/gc_cpp.cc, src/mm/boehm-
	gc/gcname.c, src/mm/boehm-gc/headers.c, src/mm/boehm-
	gc/include/gc.h, src/mm/boehm-gc/include/gc_cpp.h, src/mm/boehm-
	gc/include/gc_inline.h, src/mm/boehm-gc/include/gc_tiny_fl.h, src/mm
	/boehm-gc/include/include.am, src/mm/boehm-
	gc/include/private/gc_locks.h, src/mm/boehm-
	gc/include/private/gc_pmark.h, src/mm/boehm-
	gc/include/private/gc_priv.h, src/mm/boehm-
	gc/include/private/gcconfig.h, src/mm/boehm-
	gc/include/private/thread_local_alloc.h, src/mm/boehm-
	gc/libatomic_ops-1.2/ChangeLog, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/README.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/generalize.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/powerpc.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/x86.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/x86_64.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/msftc/x86.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/msftc/x86_64.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/standard_ao_double_t.h,
	src/mm/boehm-gc/mach_dep.c, src/mm/boehm-gc/malloc.c, src/mm/boehm-
	gc/mark.c, src/mm/boehm-gc/mark_rts.c, src/mm/boehm-gc/misc.c,
	src/mm/boehm-gc/msvc_dbg.c, src/mm/boehm-gc/obj_map.c, src/mm/boehm-
	gc/os_dep.c, src/mm/boehm-gc/pthread_stop_world.c, src/mm/boehm-
	gc/pthread_support.c, src/mm/boehm-gc/reclaim.c, src/mm/boehm-
	gc/tests/test.c, src/mm/boehm-gc/tests/tests.am, src/mm/boehm-
	gc/thread_local_alloc.c, src/mm/boehm-gc/typd_mlc.c, src/mm/boehm-
	gc/win32_threads.c:
	* Imported Boehm-GC 7.1.
	[a09ac5792898]

	* .hgignore:
	* .hgignore: Added src/mm/boehm-gc/atomic_ops.c, src/mm/boehm-
	gc/atomic_ops_sysdeps.S, src/mm/boehm-gc/bdw-gc.pc, src/mm/boehm-
	gc/libatomic_ops, src/mm/boehm-gc/cord/.dirstamp.
	[c0c33aa59df7]

	* configure.ac, src/mm/boehm-gc/Makefile.am, src/mm/boehm-
	gc/cord/cord.am:
	* configure.ac (ac_configure_args): Removed --disable-shared, add
	--disable-static.
	* src/mm/boehm-gc/Makefile.am (lib_LTLIBRARIES): Renamed to
	noinst_LTLIBRARIES.
	* src/mm/boehm-gc/cord/cord.am: Likewise.
	[ded63b659817]

2008-06-01  Peter Molnar  <pm@complang.tuwien.ac.at>

	* configure.ac, src/vm/global.h, src/vm/jit/cfg.c, src/vm/jit/jit.c,
	src/vm/jit/jit.h, src/vm/jit/optimizing/Makefile.am,
	src/vm/jit/optimizing/bytecode_escape.c,
	src/vm/jit/optimizing/escape.c, src/vm/jit/optimizing/ssa3.c,
	src/vmcore/method.h:
	* configure.ac: Define ENABLE_ESCAPE if ENABLE_SSA is defined.
	* src/vm/global.h (ACC_METHOD_EA): new symbol.
	* src/vm/jit/cfg.c (cfg_add_root): correctly initialize method member
	of basicblock.
	* src/vm/jit/jit.c (basicblock) [ENABLE_SSA]: new members phis and
	phicount.
	* src/vm/jit/jit.h (jit_compile_intern): Transform exception handlers
	only if -lsra is given.
	* src/vm/jit/optimizing/Makefile.am: Adpated.
	* src/vm/jit/optimizing/bytecode_escape.c: New file. Implementation of
	escape analysis on bytecode.
	* src/vm/jit/optimizing/escape.c: Changed a lot.
	* src/vm/jit/optimizing/ssa3.c: Changed a lot.
	* src/vmcore/method.h (methodinfo) [ENABLE_ESCAPE]: New member
	paramescape.
	[76f979c4a7dc]

2008-05-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* m4/classpath.m4, src/classes/gnu/gnu/classpath/VMStackWalker.java,
	src/classes/gnu/gnu/classpath/VMSystemProperties.java,
	src/classes/gnu/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/VMCPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/classes/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/classes/gnu/java/lang/VMClassLoader.java,
	src/classes/gnu/java/lang/VMString.java,
	src/classes/gnu/java/lang/VMThread.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/lang/reflect/Modifier.java,
	src/classes/gnu/java/lang/reflect/VMConstructor.java,
	src/classes/gnu/java/lang/reflect/VMField.java,
	src/classes/gnu/java/lang/reflect/VMMethod.java,
	src/classes/gnu/java/security/VMAccessController.java,
	src/classes/gnu/sun/misc/Unsafe.java,
	src/classes/gnu/sun/reflect/ConstantPool.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationType.java, src/clas
	ses/gnu/sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.
	java, src/classes/gnu/sun/reflect/annotation/EnumConstantNotPresentE
	xceptionProxy.java,
	src/classes/gnu/sun/reflect/annotation/ExceptionProxy.java, src/clas
	ses/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/native/vm/gnu/Makefile.am, src/native/vm/gnu/VMjdwp.c,
	src/native/vm/gnu/VMjdwp.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMFrame.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnu/gnu_java_lang_VMCPStringBuilder.c, src/native/vm/g
	nu/gnu_java_lang_management_VMClassLoadingMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMRuntimeMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMThreadMXBeanImpl.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMObject.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/gnu/java_lang_VMString.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_VMThread.c,
	src/native/vm/gnu/java_lang_VMThrowable.c,
	src/native/vm/gnu/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnu/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnu/java_lang_reflect_VMField.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c,
	src/native/vm/gnu/java_lang_reflect_VMProxy.c,
	src/native/vm/gnu/java_security_VMAccessController.c,
	src/native/vm/gnu/java_util_concurrent_atomic_AtomicLong.c,
	src/native/vm/gnu/sun_reflect_ConstantPool.c,
	src/native/vm/openjdk/jvm.c, src/native/vm/sun/Makefile.am,
	src/native/vm/sun/hpi.c, src/native/vm/sun/hpi.h,
	src/native/vm/sun/jvm.c:
	* Merged with tip.
	[b3b00c455d2b]

2008-05-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/m68k/linux/md-os.h, tests/regression/HelloWorld.java,
	tests/regression/codepatching/Makefile.am,
	tests/regression/codepatching/aastoreconstClass.java,
	tests/regression/codepatching/checkcastC.java,
	tests/regression/codepatching/checkcastI.java,
	tests/regression/codepatching/getfieldD.java,
	tests/regression/codepatching/getfieldF.java,
	tests/regression/codepatching/getfieldI.java,
	tests/regression/codepatching/getfieldJ.java,
	tests/regression/codepatching/getfieldL.java,
	tests/regression/codepatching/getstaticD.java,
	tests/regression/codepatching/getstaticF.java,
	tests/regression/codepatching/getstaticI.java,
	tests/regression/codepatching/getstaticJ.java,
	tests/regression/codepatching/getstaticL.java,
	tests/regression/codepatching/instanceofC.java,
	tests/regression/codepatching/instanceofI.java,
	tests/regression/codepatching/invokespecial.java,
	tests/regression/codepatching/invokestatic.java,
	tests/regression/codepatching/multianewarray.java,
	tests/regression/codepatching/newarray.java,
	tests/regression/codepatching/putfieldD.java,
	tests/regression/codepatching/putfieldF.java,
	tests/regression/codepatching/putfieldI.java,
	tests/regression/codepatching/putfieldJ.java,
	tests/regression/codepatching/putfieldL.java,
	tests/regression/codepatching/putfieldconstC.java,
	tests/regression/codepatching/putfieldconstD.java,
	tests/regression/codepatching/putfieldconstF.java,
	tests/regression/codepatching/putfieldconstI.java,
	tests/regression/codepatching/putfieldconstJ.java,
	tests/regression/codepatching/putfieldconstL.java,
	tests/regression/codepatching/putstaticD.java,
	tests/regression/codepatching/putstaticF.java,
	tests/regression/codepatching/putstaticI.java,
	tests/regression/codepatching/putstaticJ.java,
	tests/regression/codepatching/putstaticL.java,
	tests/regression/codepatching/putstaticconstC.java,
	tests/regression/codepatching/putstaticconstD.java,
	tests/regression/codepatching/putstaticconstF.java,
	tests/regression/codepatching/putstaticconstI.java,
	tests/regression/codepatching/putstaticconstJ.java,
	tests/regression/codepatching/putstaticconstL.java,
	tests/regression/codepatching/test.java,
	tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j:
	* Merged with tip.
	[b0f1bca06030]

2008-04-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (JVM_GetEnclosingMethodInfo): Use
	class_get_enclosingmethod_raw instead of class_get_enclosingmethod.
	[14d10bd7f425]

2008-05-15  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/classes/gnuclasspath/java/lang/.VMClassLoader.java.swp:
	* src/classes/gnuclasspath/java/lang/.VMClassLoader.java.swp:
	Removed. How did this get in?
	[7c99307ac907]

2008-05-14  Peter Molnar  <pm@complang.tuwien.ac.at>

	* m4/classpath.m4, src/classes/gnu/gnu/classpath/VMStackWalker.java,
	src/classes/gnu/gnu/classpath/VMSystemProperties.java,
	src/classes/gnu/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/VMCPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/classes/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/classes/gnu/java/lang/VMClassLoader.java,
	src/classes/gnu/java/lang/VMString.java,
	src/classes/gnu/java/lang/VMThread.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/lang/reflect/Modifier.java,
	src/classes/gnu/java/lang/reflect/VMConstructor.java,
	src/classes/gnu/java/lang/reflect/VMField.java,
	src/classes/gnu/java/lang/reflect/VMMethod.java,
	src/classes/gnu/java/security/VMAccessController.java,
	src/classes/gnu/sun/misc/Unsafe.java,
	src/classes/gnu/sun/reflect/ConstantPool.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationType.java, src/clas
	ses/gnu/sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.
	java, src/classes/gnu/sun/reflect/annotation/EnumConstantNotPresentE
	xceptionProxy.java,
	src/classes/gnu/sun/reflect/annotation/ExceptionProxy.java, src/clas
	ses/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/classes/gnuclasspath/java/lang/.VMClassLoader.java.swp,
	src/native/vm/gnu/Makefile.am, src/native/vm/gnu/VMjdwp.c,
	src/native/vm/gnu/VMjdwp.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMFrame.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnu/gnu_java_lang_VMCPStringBuilder.c, src/native/vm/g
	nu/gnu_java_lang_management_VMClassLoadingMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMRuntimeMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMThreadMXBeanImpl.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMObject.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/gnu/java_lang_VMString.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_VMThread.c,
	src/native/vm/gnu/java_lang_VMThrowable.c,
	src/native/vm/gnu/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnu/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnu/java_lang_reflect_VMField.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c,
	src/native/vm/gnu/java_lang_reflect_VMProxy.c,
	src/native/vm/gnu/java_security_VMAccessController.c,
	src/native/vm/gnu/java_util_concurrent_atomic_AtomicLong.c,
	src/native/vm/gnu/sun_reflect_ConstantPool.c,
	src/native/vm/sun/Makefile.am, src/native/vm/sun/hpi.c,
	src/native/vm/sun/hpi.h, src/native/vm/sun/jvm.c, src/vm/jit/jit.c:
	Merging 8179.
	[e1df59a7c5b8]

	* src/vm/jit/cfg.c, src/vm/jit/optimizing/ssa3.c:
	* src/vm/jit/cfg.c: Changed all occurences of class to clazz.
	* src/vm/jit/optimizing/ssa3.c: Removed accidentally forgotten diff
	marker resulting from previous merge.
	[3497103d748b]

	* src/vm/jit/allocator/simplereg.c, src/vm/jit/cfg.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/icmdtable.inc,
	src/vm/jit/jit.c, src/vm/jit/jit.h, src/vm/jit/optimizing/ssa.c,
	src/vm/jit/optimizing/ssa3.c, src/vm/jit/show.c:
	* src/vm/jit/allocator/simplereg.c (simplereg_allocate_temporaries):
	Support for ICMD_GETEXCEPTION.
	* src/vm/jit/cfg.c (cfg_eliminate_edges_to_unreachable,
	cfg_calculate_reachability, cfg_remove_predecessors,
	cfg_eliminate_edges_to_unreachable): new functions.
	* src/vm/jit/i386/codegen.c [ENABLE_SSA] (codegen_emit): Don't copy
	itmp1 into invar 1 in exh blocks.
	* src/vm/jit/icmdtable.inc (ICMD_GETEXCEPTION, ICMD_PHI): new opcodes.
	* src/vm/jit/jit.c (jit_compile_intern) [ENABLE_SSA]: Normalizing
	exception handlers before SSA transformation.
	* src/vm/jit/jit.h (var_is_inout): Correctly handling TYPE_RET
	variables.
	* src/vm/jit/optimizing/ssa.c: adapted.
	* src/vm/jit/optimizing/ssa3.c: Changed a lot.
	* src/vm/jit/show.c (show_icmd): Support for ICMD_GETEXCEPTION.
	[3224e4058498]

2008-05-14  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/classes/Makefile.am,
	src/classes/gnu/gnu/classpath/VMStackWalker.java,
	src/classes/gnu/gnu/classpath/VMSystemProperties.java,
	src/classes/gnu/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/VMCPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/classes/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/classes/gnu/java/lang/VMClassLoader.java,
	src/classes/gnu/java/lang/VMString.java,
	src/classes/gnu/java/lang/VMThread.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/lang/reflect/Modifier.java,
	src/classes/gnu/java/lang/reflect/VMConstructor.java,
	src/classes/gnu/java/lang/reflect/VMField.java,
	src/classes/gnu/java/lang/reflect/VMMethod.java,
	src/classes/gnu/java/security/VMAccessController.java,
	src/classes/gnu/sun/misc/Unsafe.java,
	src/classes/gnu/sun/reflect/ConstantPool.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationType.java, src/clas
	ses/gnu/sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.
	java, src/classes/gnu/sun/reflect/annotation/EnumConstantNotPresentE
	xceptionProxy.java,
	src/classes/gnu/sun/reflect/annotation/ExceptionProxy.java, src/clas
	ses/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/classes/gnuclasspath/gnu/classpath/VMStackWalker.java,
	src/classes/gnuclasspath/gnu/classpath/VMSystemProperties.java,
	src/classes/gnuclasspath/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnuclasspath/gnu/java/lang/VMCPStringBuilder.java, src/c
	lasses/gnuclasspath/gnu/java/lang/management/VMMemoryMXBeanImpl.java
	, src/classes/gnuclasspath/gnu/java/lang/management/VMRuntimeMXBeanI
	mpl.java, src/classes/gnuclasspath/java/lang/VMClassLoader.java,
	src/classes/gnuclasspath/java/lang/VMString.java,
	src/classes/gnuclasspath/java/lang/VMThread.java,
	src/classes/gnuclasspath/java/lang/reflect/Constructor.java,
	src/classes/gnuclasspath/java/lang/reflect/Field.java,
	src/classes/gnuclasspath/java/lang/reflect/Method.java,
	src/classes/gnuclasspath/java/lang/reflect/Modifier.java,
	src/classes/gnuclasspath/java/lang/reflect/VMConstructor.java,
	src/classes/gnuclasspath/java/lang/reflect/VMField.java,
	src/classes/gnuclasspath/java/lang/reflect/VMMethod.java,
	src/classes/gnuclasspath/java/security/VMAccessController.java,
	src/classes/gnuclasspath/sun/misc/Unsafe.java,
	src/classes/gnuclasspath/sun/reflect/ConstantPool.java, src/classes/
	gnuclasspath/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnuclasspath/sun/reflect/annotation/AnnotationType.java,
	src/classes/gnuclasspath/sun/reflect/annotation/AnnotationTypeMismat
	chExceptionProxy.java, src/classes/gnuclasspath/sun/reflect/annotati
	on/EnumConstantNotPresentExceptionProxy.java,
	src/classes/gnuclasspath/sun/reflect/annotation/ExceptionProxy.java,
	src/classes/gnuclasspath/sun/reflect/annotation/TypeNotPresentExcept
	ionProxy.java:
	* src/classes/gnu: Renamed to src/classes/gnuclasspath.
	[caa690b0970d]

	* src/classes/Makefile.am:
	* src/classes/Makefile.am (BOOTCLASSPATH): Removed, this is set
	during configure.
	[b46e2a411a24]

	* configure.ac, src/native/vm/Makefile.am,
	src/native/vm/gnu/Makefile.am, src/native/vm/gnu/VMjdwp.c,
	src/native/vm/gnu/VMjdwp.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMFrame.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnu/gnu_java_lang_VMCPStringBuilder.c, src/native/vm/g
	nu/gnu_java_lang_management_VMClassLoadingMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMRuntimeMXBeanImpl.c,
	src/native/vm/gnu/gnu_java_lang_management_VMThreadMXBeanImpl.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMObject.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/gnu/java_lang_VMString.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_VMThread.c,
	src/native/vm/gnu/java_lang_VMThrowable.c,
	src/native/vm/gnu/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnu/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnu/java_lang_reflect_VMField.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c,
	src/native/vm/gnu/java_lang_reflect_VMProxy.c,
	src/native/vm/gnu/java_security_VMAccessController.c,
	src/native/vm/gnu/java_util_concurrent_atomic_AtomicLong.c,
	src/native/vm/gnu/sun_reflect_ConstantPool.c,
	src/native/vm/gnuclasspath/Makefile.am,
	src/native/vm/gnuclasspath/VMjdwp.c,
	src/native/vm/gnuclasspath/VMjdwp.h,
	src/native/vm/gnuclasspath/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnuclasspath/gnu_classpath_VMSystemProperties.c,
	src/native/vm/gnuclasspath/gnu_classpath_jdwp_VMFrame.c,
	src/native/vm/gnuclasspath/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnuclasspath/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnuclasspath/gnu_java_lang_VMCPStringBuilder.c, src/na
	tive/vm/gnuclasspath/gnu_java_lang_management_VMClassLoadingMXBeanIm
	pl.c, src/native/vm/gnuclasspath/gnu_java_lang_management_VMMemoryMX
	BeanImpl.c, src/native/vm/gnuclasspath/gnu_java_lang_management_VMRu
	ntimeMXBeanImpl.c, src/native/vm/gnuclasspath/gnu_java_lang_manageme
	nt_VMThreadMXBeanImpl.c,
	src/native/vm/gnuclasspath/java_lang_VMClass.c,
	src/native/vm/gnuclasspath/java_lang_VMClassLoader.c,
	src/native/vm/gnuclasspath/java_lang_VMObject.c,
	src/native/vm/gnuclasspath/java_lang_VMRuntime.c,
	src/native/vm/gnuclasspath/java_lang_VMString.c,
	src/native/vm/gnuclasspath/java_lang_VMSystem.c,
	src/native/vm/gnuclasspath/java_lang_VMThread.c,
	src/native/vm/gnuclasspath/java_lang_VMThrowable.c, src/native/vm/gn
	uclasspath/java_lang_management_VMManagementFactory.c,
	src/native/vm/gnuclasspath/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnuclasspath/java_lang_reflect_VMField.c,
	src/native/vm/gnuclasspath/java_lang_reflect_VMMethod.c,
	src/native/vm/gnuclasspath/java_lang_reflect_VMProxy.c,
	src/native/vm/gnuclasspath/java_security_VMAccessController.c,
	src/native/vm/gnuclasspath/java_util_concurrent_atomic_AtomicLong.c,
	src/native/vm/gnuclasspath/sun_reflect_ConstantPool.c,
	src/native/vm/nativevm.c, src/native/vm/openjdk/Makefile.am,
	src/native/vm/openjdk/hpi.c, src/native/vm/openjdk/hpi.h,
	src/native/vm/openjdk/jvm.c, src/native/vm/sun/Makefile.am,
	src/native/vm/sun/hpi.c, src/native/vm/sun/hpi.h,
	src/native/vm/sun/jvm.c:
	* src/native/vm/gnu: Renamed to src/native/vm/gnuclasspath.
	* src/native/vm/sun: Renamed to src/native/vm/openjdk.
	[1c0d84d8f0dc]

	* m4/classpath.m4, m4/java-runtime-library.m4:
	* m4/classpath.m4: Moved from here...
	* m4/java-runtime-library.m4: ...to here.
	[0c5b61d3cdea]

	* contrib/setenvinstalled.in, contrib/setenvsource.in:
	* contrib/setenvinstalled.in: Missed in renaming.
	* contrib/setenvsource.in: Likewise.
	[69c19a930578]

	* configure.ac, contrib/setenvinstalled.in, contrib/setenvsource.in,
	m4/classpath.m4, m4/hpi.m4, src/cacao/Makefile.am,
	src/cacaoh/cacaoh.c, src/classes/Makefile.am,
	src/native/include/Makefile.am, src/native/jni.c,
	src/native/native.c, src/native/vm/Makefile.am,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/nativevm.c, src/native/vm/nativevm.h,
	src/native/vm/reflect.c, src/native/vm/reflect.h,
	src/native/vm/sun_misc_Unsafe.c, src/threads/posix/thread-posix.c,
	src/threads/thread.c, src/vm/access.c, src/vm/assertion.c,
	src/vm/initialize.c, src/vm/jit/codegen-common.c, src/vm/jit/jit.c,
	src/vm/jit/stacktrace.c, src/vm/properties.c, src/vm/signal.c,
	src/vm/vm.c, src/vmcore/class.c, src/vmcore/class.h,
	src/vmcore/linker.c, src/vmcore/loader.c, src/vmcore/utf8.c,
	src/vmcore/utf8.h:
	* m4/classpath.m4: Renamed --with-classpath* options to
	--with-java-runtime-library* and the defines respectively.

	* configure.ac, contrib/setenvinstalled.in, contrib/setenvsource.in,
	m4/hpi.m4, src/cacao/Makefile.am, src/cacaoh/cacaoh.c,
	src/classes/Makefile.am, src/native/include/Makefile.am,
	src/native/jni.c, src/native/native.c, src/native/vm/Makefile.am,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/nativevm.c, src/native/vm/nativevm.h,
	src/native/vm/reflect.c, src/native/vm/reflect.h,
	src/native/vm/sun_misc_Unsafe.c, src/threads/posix/thread-posix.c,
	src/threads/thread.c, src/vm/access.c, src/vm/assertion.c,
	src/vm/initialize.c, src/vm/jit/codegen-common.c, src/vm/jit/jit.c,
	src/vm/jit/stacktrace.c, src/vm/properties.c, src/vm/signal.c,
	src/vm/vm.c, src/vmcore/class.c, src/vmcore/class.h,
	src/vmcore/linker.c, src/vmcore/loader.c, src/vmcore/utf8.c,
	src/vmcore/utf8.h: Likewise.
	[ec4ce9fdb0b0]

2008-05-13  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/vm.c, src/vm/vm.h:
	* src/vm/vm.c (mainstring): Removed. (mainclass): Made static.
	(vm_create): Moved main-class argument handling from here...
	(vm_run): ...to here. (vm_compile_method): Pass class name to the
	function.
	* src/vm/vm.h (mainstring): Removed. (mainclass): Likewise.
	[0dc5ef768134]

	* src/threads/none/thread-none.h:
	* src/threads/none/thread-none.h (THREADINFO): Removed.
	[a68de3a1d5c6]

	* src/threads/none/thread-none.h, src/threads/posix/thread-posix.h:
	* src/threads/none/thread-none.h (THREADSPECIFIC): Removed because
	it's not used anymore.
	* src/threads/posix/thread-posix.h: Likewise.
	[5925f8258a23]

2008-05-11  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/jit/x86_64/asmpart.S:
	* src/vm/jit/x86_64/asmpart.S (asm_get_cycle_count): Repaired
	--enable-cycles-stats.
	[a63c117e1ebd]

	* src/mm/boehm-gc/pthread_stop_world.c, src/threads/posix/thread-
	posix.c:
	Merged cleanup -> gc7-branch
	[d12524409a9c]

	* configure.ac, src/lib/Makefile.am,
	src/lib/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/lib/gnu/gnu/classpath/VMStackWalker.java,
	src/lib/gnu/gnu/classpath/VMSystemProperties.java,
	src/lib/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/lib/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/lib/gnu/java/lang/VMClassLoader.java,
	src/lib/gnu/java/lang/VMString.java,
	src/lib/gnu/java/lang/VMThread.java,
	src/lib/gnu/java/lang/VMThrowable.java,
	src/lib/gnu/java/lang/reflect/Constructor.java,
	src/lib/gnu/java/lang/reflect/Field.java,
	src/lib/gnu/java/lang/reflect/Method.java,
	src/lib/gnu/java/security/VMAccessController.java,
	src/lib/gnu/sun/misc/Unsafe.java,
	src/lib/gnu/sun/reflect/ConstantPool.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationType.java, src/lib/gnu/
	sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.java, sr
	c/lib/gnu/sun/reflect/annotation/EnumConstantNotPresentExceptionProx
	y.java, src/lib/gnu/sun/reflect/annotation/ExceptionProxy.java, src/
	lib/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/gnu/java_lang_reflect_Method.c,
	src/native/vm/java_lang_Class.c, src/native/vm/java_lang_Class.h,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h,
	src/native/vm/java_lang_reflect_Method.c,
	src/native/vm/java_lang_reflect_Method.h,
	src/threads/native/Makefile.am, src/threads/native/generic-
	primitives.h, src/threads/native/lock.c, src/threads/native/lock.h,
	src/threads/native/threads.c, src/threads/native/threads.h,
	src/threads/none/threads.h, src/threads/posix/thread-posix.c,
	src/threads/threads-common.c, src/threads/threads-common.h,
	src/vm/jit/m68k/linux/md-os.h, tests/A2.java, tests/AA.java,
	tests/AA1.java, tests/AA2.java, tests/BB.java, tests/C.java,
	tests/C2.java, tests/C3.java, tests/CC.java, tests/D.java,
	tests/DD.java, tests/EE.java, tests/GG.java, tests/HI2.java,
	tests/II.java, tests/IIAA.java, tests/IIBB.java, tests/IICC.java,
	tests/IIexample.java, tests/n.java,
	tests/regression/HelloWorld.java,
	tests/regression/clinitexception.2output,
	tests/regression/clinitexception.java,
	tests/regression/codepatching/Makefile.am,
	tests/regression/codepatching/aastoreconstClass.java,
	tests/regression/codepatching/checkcastC.java,
	tests/regression/codepatching/checkcastI.java,
	tests/regression/codepatching/getfieldD.java,
	tests/regression/codepatching/getfieldF.java,
	tests/regression/codepatching/getfieldI.java,
	tests/regression/codepatching/getfieldJ.java,
	tests/regression/codepatching/getfieldL.java,
	tests/regression/codepatching/getstaticD.java,
	tests/regression/codepatching/getstaticF.java,
	tests/regression/codepatching/getstaticI.java,
	tests/regression/codepatching/getstaticJ.java,
	tests/regression/codepatching/getstaticL.java,
	tests/regression/codepatching/instanceofC.java,
	tests/regression/codepatching/instanceofI.java,
	tests/regression/codepatching/invokespecial.java,
	tests/regression/codepatching/invokestatic.java,
	tests/regression/codepatching/multianewarray.java,
	tests/regression/codepatching/newarray.java,
	tests/regression/codepatching/putfieldD.java,
	tests/regression/codepatching/putfieldF.java,
	tests/regression/codepatching/putfieldI.java,
	tests/regression/codepatching/putfieldJ.java,
	tests/regression/codepatching/putfieldL.java,
	tests/regression/codepatching/putfieldconstC.java,
	tests/regression/codepatching/putfieldconstD.java,
	tests/regression/codepatching/putfieldconstF.java,
	tests/regression/codepatching/putfieldconstI.java,
	tests/regression/codepatching/putfieldconstJ.java,
	tests/regression/codepatching/putfieldconstL.java,
	tests/regression/codepatching/putstaticD.java,
	tests/regression/codepatching/putstaticF.java,
	tests/regression/codepatching/putstaticI.java,
	tests/regression/codepatching/putstaticJ.java,
	tests/regression/codepatching/putstaticL.java,
	tests/regression/codepatching/putstaticconstC.java,
	tests/regression/codepatching/putstaticconstD.java,
	tests/regression/codepatching/putstaticconstF.java,
	tests/regression/codepatching/putstaticconstI.java,
	tests/regression/codepatching/putstaticconstJ.java,
	tests/regression/codepatching/putstaticconstL.java,
	tests/regression/codepatching/test.java,
	tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j,
	tests/scribble.java:
	Clean merge -> gc7-branch
	[98fcc574613e]

	* src/mm/boehm-gc/pthread_stop_world.c, src/threads/posix/thread-
	posix.c, src/threads/posix/thread-posix.h:
	* src/mm/boehm-gc/pthread_stop_world.c: Cleaned up some old Boehm-
	based stop-the-world code.
	* src/threads/posix/thread-posix.c: Likewise.
	* src/threads/posix/thread-posix.h: Likewise.
	[f1539535de4a]

2008-05-10  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/vm/jit/s390/codegen.c:
	* src/vm/jit/s390/codegen.c (codegen_emit): For ICMD_LALOAD,
	ICMD_LASTORE, ICMD_DALOAD, fixed offset of first array element. This
	fixes the failing dacapo antlr benchmark.
	[6d6dc5996014]

2008-05-09  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/threads/posix/lock.c:
	* src/threads/posix/lock.c: Replaced UTF-8 characters with ASCII.
	[d3272044b8ba]

2008-05-08  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc5.
	[487fdcb54770]

	* src/vm/jit/s390/md.c:
	* src/vm/jit/s390/md.c (md_executionstate_read): New function (stub
	only). (md_executionstate_write): Likewise.
	[1f78ff4da6c6]

2008-05-07  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* m4/cacaoh.m4, src/Makefile.am:
	* m4/cacaoh.m4 (AC_CHECK_WITH_CACAOH): Don't set ENABLE_CACAOH.
	* src/Makefile.am [ENABLE_CACAOH] (CACAOH_DIR): Removed. (SUBDIRS):
	Always build cacaoh because it's required e.g. when running make
	check on the target.
	[94ddb4bbdab5]

2008-05-06  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc4.
	[7eb41343fb41]

	* src/vmcore/system.h:
	* src/vmcore/system.h (system_scandir) [__IRIX__]: On IRIX the
	signature is a bit different. This prevents a lot of compiler
	warnings.
	[07aeecc03c14]

	* src/vm/jit/mips/linux/md-os.c:
	* src/vm/jit/mips/linux/md-os.c (md_executionstate_read): New
	function. (md_executionstate_write): Likewise.
	[a0a153d01b3b]

	* src/vm/jit/mips/asmpart.S, src/vm/jit/mips/md-asm.h:
	* src/vm/jit/mips/asmpart.S: Replaced ldc1/sdc1 with l.d/s.d macros.
	* src/vm/jit/mips/md-asm.h: Likewise.
	[683df1b2eac0]

	* src/vm/jit/alpha/md-asm.h:
	* src/vm/jit/alpha/md-asm.h (SAVE_RETURN_REGISTERS): Removed, it's
	not used anymore. (RESTORE_RETURN_REGISTERS): Likewise.
	[e4ed14b8cf28]

	* src/mm/boehm.c, src/mm/gc-common.h:
	* src/mm/boehm.c: Use stdint-types.
	* src/mm/gc-common.h: Likewise.
	[ddc2fa158b02]

	* tests/regression/jasmin/Makefile.am:
	* tests/regression/jasmin/Makefile.am (build): Added cup.jar to
	classpath.
	[da35822eaaf4]

	* tests/regression/bugzilla/PR65.java:
	* tests/regression/bugzilla/PR65.java (test): Fixed compiler
	warning.
	[7f91d6142bfa]

2008-05-05  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/jit/i386/darwin/md-asm.h, src/vm/jit/stacktrace.c:
	Merged with tip.
	[630215c2fbf8]

	* src/vm/jit/i386/darwin/md-asm.h, src/vm/jit/stacktrace.c:
	* src/vm/jit/i386/darwin/md-asm.h: Repaired --enable-cycles-stats.
	* src/vm/jit/stacktrace.c: Likewise.
	[36b6519d4b72]

2008-05-03  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/cacaoh/dummy.c, src/threads/critical.h, src/vm/jit/i386/cygwin
	/md-asm.h, src/vm/jit/i386/darwin/md-asm.h,
	src/vm/jit/intrp/asmpart.c:
	* src/cacaoh/dummy.c: Removed asm_criticalsections and
	asm_getclassvalues_atomic. They have not been used anywhere in a
	long time.
	* src/threads/critical.h: Likewise.
	* src/vm/jit/i386/cygwin/md-asm.h: Likewise.
	* src/vm/jit/i386/darwin/md-asm.h: Likewise.
	* src/vm/jit/intrp/asmpart.c: Likewise.
	[dc465902bf87]

	* tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR65.java:
	* tests/regression/bugzilla/All.java: Added test case for PR65.
	[c1ec27d0f8f0]

2008-05-02  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/builtin.c:
	* src/vm/builtin.c (builtin_descriptorscompatible): Experimental fix
	for bugzilla bug #65.
	[4436cc114a77]

2008-04-30  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* tests/threads/threadInterrupt.java,
	tests/threads/waitAndInterrupt.java:
	* tests/threads/threadInterrupt.java: Added brief comment explaining
	the purpose of this test.
	* tests/threads/waitAndInterrupt.java: Likewise.
	[9ca0035d4d04]

	* tests/weakref.java:
	* tests/weakref.java: New test for weak references.
	[6647d194cff1]

	* src/vm/jit/i386/machine-instr.h, src/vmcore/linker.c,
	tests/threads/threadInterrupt.java,
	tests/threads/waitAndInterrupt.java:
	Backed out changeset ecf451e74e7e
	[d0882f1633d5]

	* src/vm/jit/i386/machine-instr.h, src/vmcore/linker.c,
	tests/threads/threadInterrupt.java,
	tests/threads/waitAndInterrupt.java:
	* tests/threads/threadInterrupt.java: Added brief comment explaining
	the purpose of this test.
	* tests/threads/waitAndInterrupt.java: Likewise.
	[ecf451e74e7e]

2008-04-29  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* tests/regression/jasmin/Makefile.am,
	tests/regression/jasmin/runtest,
	tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j,
	tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j-no,
	tests/regression/jasmin/test_verify_fail_jsr_recursion.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion.j-no,
	tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j,
	tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j-
	no:
	* tests/regression/jasmin/Makefile.am (JAVA): Prefix
	LD_LIBRARY_PATH. (JASMIN_TESTS): Removed. (EXTRA_DIST): Removed
	JASMIN_TESTS, added $(srcdir)/*.j. (build): Target added. (run):
	Likewise.
	* tests/regression/jasmin/runtest: Removed compilation of the tests.

	* tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j:
	Moved from here...
	* tests/regression/jasmin/test_verify_fail_jsr_multiple_returns.j-no:
	... to here.

	* tests/regression/jasmin/test_verify_fail_jsr_recursion.j:
	Likewise.
	* tests/regression/jasmin/test_verify_fail_jsr_recursion.j-no:
	Likewise.

	*
	tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j:
	Likewise.
	* tests/regression/jasmin/test_verify_fail_jsr_recursion_terminates.j-
	no: Likewise.
	[845282affca0]

	* tests/regression/HelloWorld.java, tests/regression/Makefile.am:
	* tests/regression/Makefile.am (JAVACCMD): Added -source 1.5 -target
	1.5 -nowarn. (SOURCE_FILES): Removed HelloWorld.java.
	(SIMPLE_JAVA_TESTS): Removed. (run): Target added.
	* tests/regression/HelloWorld.java: Removed.
	[e91af259734b]

	* tests/regression/assertion/Makefile.am:
	* tests/regression/assertion/Makefile.am (JAVACCMD): Added -source
	1.5
	-target 1.5. (run): Target added.
	[4c49e26a4bd4]

	* tests/regression/bugzilla/Makefile.am:
	* tests/regression/bugzilla/Makefile.am (run): Target added.
	[d4377a3eef9c]

	* tests/regression/junit/Makefile.am:
	* tests/regression/junit/Makefile.am (JAVACCMD): Added -source 1.5
	-target 1.5 -nowarn (TODO: move this into a variable). (run): Target
	added.
	[46571e5bbf57]

2008-04-28  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc3.
	[c197b02ff123]

	* .hgignore:
	* .hgignore: Added m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	m4/ltversion.m4, m4/lt~obsolete.m4.
	[ebbb6e7a1914]

	* configure.ac, m4/jre-layout.m4, src/cacao/cacao.c,
	src/native/vm/gnu/gnu_classpath_VMSystemProperties.c,
	src/vm/properties.c, src/vm/vm.c, src/vmcore/system.h:
	* m4/jre-layout.m4 (AC_CHECK_WITH_JRE_LAYOUT): Renamed to
	AC_CHECK_ENABLE_JRE_LAYOUT.
	* configure.ac: Likewise.

	* src/cacao/cacao.c: Renamed WITH_JRE_LAYOUT to ENABLE_JRE_LAYOUT.
	* src/native/vm/gnu/gnu_classpath_VMSystemProperties.c: Likewise.
	* src/vm/properties.c: Likewise.
	* src/vm/vm.c: Likewise.
	* src/vmcore/system.h: Likewise.
	[59ee69e0f277]

	* .hgignore, configure.ac, doc/Makefile.am, doc/doxygen/Doxyfile,
	doc/doxygen/Makefile.am:
	* .hgignore: Added doc/doxygen/html, doc/doxygen/latex.
	* configure.ac (AC_CONFIG_FILES): Added doc/doxygen/Makefile.
	* doc/Makefile.am (SUBDIRS): Added doxygen.
	* doc/doxygen/Doxyfile: New file.
	* doc/doxygen/Makefile.am: Likewise.
	[809dfcaf02f9]

	* src/vm/jit/arm/linux/md-os.c:
	* src/vm/jit/arm/linux/md-os.c (md_executionstate_read): New
	function (but not implemted yet). (md_executionstate_write):
	Likewise.
	[0ad564b6fc63]

	* src/vm/jit/m68k/codegen.c, src/vm/jit/m68k/linux/md-os.h,
	src/vm/jit/mips/linux/md-os.c, src/vm/vm.c:
	* Merged in new trap code (twisti-branch).
	[8a2df154e6e2]

	* src/vm/jit/sparc64/Makefile.am, src/vm/jit/sparc64/codegen.c,
	src/vm/jit/sparc64/emit.c, src/vm/jit/sparc64/linux/md-os.c,
	src/vm/jit/sparc64/md-trap.h, src/vm/jit/sparc64/solaris/md-os.c:
	* src/vm/jit/sparc64/Makefile.am (libarch_la_SOURCES): Added md-
	trap.h.
	* src/vm/jit/sparc64/codegen.c: Use new trap stuff.
	* src/vm/jit/sparc64/emit.c: Likewise.
	* src/vm/jit/sparc64/linux/md-os.c: Likewise.
	* src/vm/jit/sparc64/md-trap.h: New file.
	* src/vm/jit/sparc64/solaris/md-os.c: Use new trap stuff.
	[55d40b03e4f4]

	* src/vm/jit/powerpc64/md.c:
	* src/vm/jit/powerpc64/md.c (md_patch_replacement_point): Use new
	trap stuff.
	[6b82b87fc058]

	* src/vm/jit/m68k/linux/Makefile.am, src/vm/jit/m68k/linux/md-os.h:
	* src/vm/jit/m68k/linux/md-os.h: Removed.
	* src/vm/jit/m68k/linux/Makefile.am (libmd_la_SOURCES): Removed md-
	os.h.
	[64717fad182b]

	* src/vm/jit/patcher-common.c:
	* src/vm/jit/patcher-common.c (patcher_handler): Fixed compiler
	warnings.
	[6e1285e13d18]

	* src/vm/jit/patcher-common.c:
	* src/vm/jit/patcher-common.c (patcher_handler)
	[ENABLE_DISASSEMBLER]: Use disassembler to print machine code.
	[f7850a0245ba]

	* src/vm/jit/m68k/Makefile.am, src/vm/jit/m68k/codegen.c,
	src/vm/jit/m68k/emit.c, src/vm/jit/m68k/linux/md-os.c,
	src/vm/jit/m68k/md-trap.h:
	* src/vm/jit/m68k/Makefile.am (libarch_la_SOURCES): Added md-trap.h.
	* src/vm/jit/m68k/codegen.c: Use new trap stuff.
	* src/vm/jit/m68k/emit.c: Likewise.
	* src/vm/jit/m68k/linux/md-os.c: Likewise.
	* src/vm/jit/m68k/md-trap.h: New file.
	[de0973a17a25]

	* src/vm/jit/codegen-common.c:
	* src/vm/jit/codegen-common.c (codegen_start_native_call)
	[__I386__]: Enable tracing native methods.
	(codegen_finish_native_call): Likewise.
	[784b956d8ecd]

	* * Merged with tip.
	[22e6633864b8]

	* src/vm/jit/codegen-common.c:
	* src/vm/jit/codegen-common.c (codegen_start_native_call): Added
	__M68K__ to trace native methods. (codegen_finish_native_call):
	Likewise.
	[ee12606c51c1]

	* src/vm/jit/m68k/codegen.c:
	* src/vm/jit/m68k/codegen.c (codegen_emit_stub_native): Removed old,
	deprecated stuff (patcher and call trace).
	[17c9c2559e52]

	* src/vm/jit/trace.c:
	* src/vm/jit/trace.c (trace_java_call_enter): Don't trace builtins,
	it does not work (because of the ABI). (trace_java_call_exit):
	Likewise.
	[928814cce084]

	* src/vmcore/method.h:
	* src/vmcore/method.h (method_is_builtin): New function.
	[137038362c4b]

	* src/vm/jit/mips/linux/md-os.c:
	* src/vm/jit/mips/linux/md-os.c (md_signal_handler_sigsegv): Added
	patch from http://bugs.debian.org/cgi-
	bin/bugreport.cgi?bug=441122#35.
	[4b1912970eac]

	* src/vm/jit/powerpc/Makefile.am, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/emit.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc/md-trap.h:
	* src/vm/jit/powerpc/Makefile.am (libarch_la_SOURCES): Added md-
	trap.h.
	* src/vm/jit/powerpc/codegen.c: Use new trap stuff.
	* src/vm/jit/powerpc/emit.c: Likewise.
	* src/vm/jit/powerpc/linux/md-os.c: Likewise.
	* src/vm/jit/powerpc/md-trap.h: New file.
	[f2da4ab3dcba]

	* src/vm/jit/s390/Makefile.am, src/vm/jit/s390/codegen.c,
	src/vm/jit/s390/emit.c, src/vm/jit/s390/md-trap.h,
	src/vm/jit/s390/md.c:
	* src/vm/jit/s390/Makefile.am (libarch_la_SOURCES): Added md-trap.h.
	* src/vm/jit/s390/codegen.c: Use new trap stuff.
	* src/vm/jit/s390/emit.c: Likewise.
	* src/vm/jit/s390/md-trap.h: New file.
	* src/vm/jit/s390/md.c: Use new trap stuff.
	[e7b71db899d5]

	* src/vm/jit/mips/Makefile.am, src/vm/jit/mips/codegen.c,
	src/vm/jit/mips/emit.c, src/vm/jit/mips/linux/md-os.c,
	src/vm/jit/mips/md-trap.h:
	* src/vm/jit/mips/Makefile.am (libarch_la_SOURCES): Added md-trap.h.
	* src/vm/jit/mips/codegen.c: Use new trap stuff.
	* src/vm/jit/mips/emit.c: Likewise.
	* src/vm/jit/mips/linux/md-os.c: Likewise.
	* src/vm/jit/mips/md-trap.h: New file.
	[64f0215ce5fe]

	* src/vm/jit/arm/Makefile.am, src/vm/jit/arm/emit.c,
	src/vm/jit/arm/linux/md-os.c, src/vm/jit/arm/md-trap.h:
	* src/vm/jit/arm/Makefile.am (libarch_la_SOURCES): Added md-trap.h.
	* src/vm/jit/arm/emit.c: Use new trap stuff.
	* src/vm/jit/arm/linux/md-os.c: Likewise.
	* src/vm/jit/arm/md-trap.h: New file.
	[f7e39c89f923]

	* src/vm/jit/powerpc64/Makefile.am, src/vm/jit/powerpc64/codegen.c,
	src/vm/jit/powerpc64/emit.c, src/vm/jit/powerpc64/linux/md-os.c,
	src/vm/jit/powerpc64/md-trap.h:
	* src/vm/jit/powerpc64/Makefile.am (libarch_la_SOURCES): Added md-
	trap.h.
	* src/vm/jit/powerpc64/codegen.c: Use new trap stuff.
	* src/vm/jit/powerpc64/emit.c: Likewise.
	* src/vm/jit/powerpc64/linux/md-os.c: Likewise.
	* src/vm/jit/powerpc64/md-trap.h: New file.
	[a9eafa03d678]

	* src/vm/jit/alpha/Makefile.am, src/vm/jit/alpha/codegen.c,
	src/vm/jit/alpha/emit.c, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/alpha/md-trap.h, src/vm/jit/alpha/md.c:
	* src/vm/jit/alpha/Makefile.am (libarch_la_SOURCES): Added md-
	trap.h.
	* src/vm/jit/alpha/codegen.c: Use new trap stuff.
	* src/vm/jit/alpha/emit.c: Likewise.
	* src/vm/jit/alpha/linux/md-os.c: Likewise.
	* src/vm/jit/alpha/md-trap.h: New file.
	* src/vm/jit/alpha/md.c: Use new trap stuff.
	[f97606f11648]

2008-04-27  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac:
	* configure.ac (AC_INIT): Bumped version to 0.99rc2.
	[e0c01948bb61]

	* * Merged with ea434f5851f4.
	[72249b4c9b1d]

	* .hgignore, configure.ac, tests/regression/Makefile.am,
	tests/regression/codepatching/Makefile.am,
	tests/regression/codepatching/aastoreconstClass.java,
	tests/regression/codepatching/checkcastC.java,
	tests/regression/codepatching/checkcastI.java,
	tests/regression/codepatching/getfieldD.java,
	tests/regression/codepatching/getfieldF.java,
	tests/regression/codepatching/getfieldI.java,
	tests/regression/codepatching/getfieldJ.java,
	tests/regression/codepatching/getfieldL.java,
	tests/regression/codepatching/getstaticD.java,
	tests/regression/codepatching/getstaticF.java,
	tests/regression/codepatching/getstaticI.java,
	tests/regression/codepatching/getstaticJ.java,
	tests/regression/codepatching/getstaticL.java,
	tests/regression/codepatching/instanceofC.java,
	tests/regression/codepatching/instanceofI.java,
	tests/regression/codepatching/invokespecial.java,
	tests/regression/codepatching/invokestatic.java,
	tests/regression/codepatching/multianewarray.java,
	tests/regression/codepatching/newarray.java,
	tests/regression/codepatching/putfieldD.java,
	tests/regression/codepatching/putfieldF.java,
	tests/regression/codepatching/putfieldI.java,
	tests/regression/codepatching/putfieldJ.java,
	tests/regression/codepatching/putfieldL.java,
	tests/regression/codepatching/putfieldconstC.java,
	tests/regression/codepatching/putfieldconstD.java,
	tests/regression/codepatching/putfieldconstF.java,
	tests/regression/codepatching/putfieldconstI.java,
	tests/regression/codepatching/putfieldconstJ.java,
	tests/regression/codepatching/putfieldconstL.java,
	tests/regression/codepatching/putstaticD.java,
	tests/regression/codepatching/putstaticF.java,
	tests/regression/codepatching/putstaticI.java,
	tests/regression/codepatching/putstaticJ.java,
	tests/regression/codepatching/putstaticL.java,
	tests/regression/codepatching/putstaticconstC.java,
	tests/regression/codepatching/putstaticconstD.java,
	tests/regression/codepatching/putstaticconstF.java,
	tests/regression/codepatching/putstaticconstI.java,
	tests/regression/codepatching/putstaticconstJ.java,
	tests/regression/codepatching/putstaticconstL.java,
	tests/regression/codepatching/test.java,
	tests/regression/junit/All.java, tests/regression/junit/Makefile.am,
	tests/regression/junit/TestPatcher.java:
	* .hgignore: Removed tests/regression/codepatching/*.class.
	* configure.ac (AC_CONFIG_FILES): Removed
	tests/regression/codepatching/Makefile.
	* tests/regression/Makefile.am (SUBDIRS): Removed codepatching.
	* tests/regression/junit/All.java (suite): Added TestPatcher.
	* tests/regression/junit/Makefile.am (EXTRA_DIST): Added $(srcdir) to
	actually find the files.
	* tests/regression/junit/TestPatcher.java: New file.

	* tests/regression/codepatching/Makefile.am,
	tests/regression/codepatching/aastoreconstClass.java,
	tests/regression/codepatching/checkcastC.java,
	tests/regression/codepatching/checkcastI.java,
	tests/regression/codepatching/getfieldD.java,
	tests/regression/codepatching/getfieldF.java,
	tests/regression/codepatching/getfieldI.java,
	tests/regression/codepatching/getfieldJ.java,
	tests/regression/codepatching/getfieldL.java,
	tests/regression/codepatching/getstaticD.java,
	tests/regression/codepatching/getstaticF.java,
	tests/regression/codepatching/getstaticI.java,
	tests/regression/codepatching/getstaticJ.java,
	tests/regression/codepatching/getstaticL.java,
	tests/regression/codepatching/instanceofC.java,
	tests/regression/codepatching/instanceofI.java,
	tests/regression/codepatching/invokespecial.java,
	tests/regression/codepatching/invokestatic.java,
	tests/regression/codepatching/multianewarray.java,
	tests/regression/codepatching/newarray.java,
	tests/regression/codepatching/putfieldD.java,
	tests/regression/codepatching/putfieldF.java,
	tests/regression/codepatching/putfieldI.java,
	tests/regression/codepatching/putfieldJ.java,
	tests/regression/codepatching/putfieldL.java,
	tests/regression/codepatching/putfieldconstC.java,
	tests/regression/codepatching/putfieldconstD.java,
	tests/regression/codepatching/putfieldconstF.java,
	tests/regression/codepatching/putfieldconstI.java,
	tests/regression/codepatching/putfieldconstJ.java,
	tests/regression/codepatching/putfieldconstL.java,
	tests/regression/codepatching/putstaticD.java,
	tests/regression/codepatching/putstaticF.java,
	tests/regression/codepatching/putstaticI.java,
	tests/regression/codepatching/putstaticJ.java,
	tests/regression/codepatching/putstaticL.java,
	tests/regression/codepatching/putstaticconstC.java,
	tests/regression/codepatching/putstaticconstD.java,
	tests/regression/codepatching/putstaticconstF.java,
	tests/regression/codepatching/putstaticconstI.java,
	tests/regression/codepatching/putstaticconstJ.java,
	tests/regression/codepatching/putstaticconstL.java,
	tests/regression/codepatching/test.java: Removed.
	[c7fbe6cfa0d0]

	* tests/Makefile.am, tests/regression/bugzilla/Makefile.am:
	* tests/Makefile.am (EXTRA_DIST): Added $(srcdir) to actually find
	the files.
	* tests/regression/bugzilla/Makefile.am: Likewise.
	[574e4f244959]

2008-04-27  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/threads/posix/lock.c:
	* src/threads/posix/lock.c (lock_record_notify): Skip the check for
	interrupted. It was data-race ridden anyway.
	[ea434f5851f4]

2008-04-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* * Merged with f9adc5b4d7f0.
	[9e1c37400fc1]

	* .hgignore, configure.ac, tests/regression/Makefile.am,
	tests/regression/clinitexception.2output,
	tests/regression/clinitexception.java,
	tests/regression/junit/All.java, tests/regression/junit/Makefile.am,
	tests/regression/junit/TestExceptionInStaticClassInitializer.java:
	* .hgignore: Added tests/regression/junit/*.class.

	* configure.ac (AC_CONFIG_FILES): Added
	tests/regression/junit/Makefile.

	* tests/regression/Makefile.am (SUBDIRS): Added junit.
	(SOURCE_FILES): Removed clinitexceptions.java. (EXTRA_DIST): Removed
	clinitexceptions.2output. (OUTPUT_JAVA_TESTS): Removed
	clinitexception.

	* tests/regression/junit/All.java: Likewise.
	* tests/regression/junit/Makefile.am: Likewise
	* tests/regression/junit/TestExceptionInStaticClassInitializer.java:
	Likewise.

	* tests/regression/clinitexception.2output: Removed.
	* tests/regression/clinitexception.java: Likewise.
	[4201a6a37d6e]

	* tests/regression/bugzilla/Makefile.am:
	* tests/regression/bugzilla/Makefile.am (build): Changed -cp to
	-classpath so GCJ works too. (check): Likewise.
	[5a22603f6b24]

	* src/native/vm/gnu/java_lang_reflect_VMMethod.c:
	* src/native/vm/gnu/java_lang_reflect_VMMethod.c (getDefaultValue):
	Pass the correct method object to the Java method.
	[e2470ff85c70]

	* src/vm/vm.c:
	* src/vm/vm.c (vm_get_mainclass_from_jar): Print error when Main-
	Class attribute not found.
	[d446954c2415]

	* m4/jre-layout.m4:
	* m4/jre-layout.m4 (AC_CHECK_WITH_JRE_LAYOUT): Fixed typo, used
	enableval instead of withval.
	[f9adc5b4d7f0]

2008-04-24  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/vm/jit/i386/darwin/md-os.c:
	* src/vm/jit/i386/darwin/md-os.c: Added md-trap.h (same as
	42dc5863f378).
	[1c792ca003e4]

2008-04-24  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/i386/Makefile.am, src/vm/jit/i386/codegen.c,
	src/vm/jit/i386/emit.c, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/i386/md-trap.h:
	* src/vm/jit/i386/Makefile.am (libarch_la_SOURCES): Added md-trap.h.
	* src/vm/jit/i386/codegen.c: Use new trap stuff.
	* src/vm/jit/i386/emit.c: Likewise.
	* src/vm/jit/i386/linux/md-os.c: Likewise.
	* src/vm/jit/i386/md-trap.h: New file.
	[42dc5863f378]

	* src/vm/jit/x86_64/Makefile.am:
	* src/vm/jit/x86_64/Makefile.am (libarch_la_SOURCES): Added md-
	trap.h.
	[0db016f6b071]

	* src/native/vm/gnu/gnu_classpath_jdwp_VMFrame.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c:
	* src/native/vm/gnu/gnu_classpath_jdwp_VMFrame.c: Use stdint-types.
	* src/native/vm/gnu/gnu_classpath_jdwp_VMMethod.c,
	src/native/vm/gnu/gnu_classpath_jdwp_VMVirtualMachine.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMSystem.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c: Likewise.
	[208f94c92da1]

	* src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c:
	* src/native/vm/gnu/gnu_java_lang_management_VMMemoryMXBeanImpl.c:
	Use stdint-types.
	[555b5c4eefa9]

	* src/cacaoh/dummy.c, src/mm/boehm.c, src/mm/gc-common.h:
	* src/cacaoh/dummy.c (heap_alloc_uncollectable): Use stdint-types.
	* src/mm/boehm.c: Likewise.
	* src/mm/gc-common.h: Likewise.
	[33887ab24ca7]

	* src/vm/exceptions.c, src/vm/exceptions.h, src/vm/jit/Makefile.am,
	src/vm/jit/trap.c, src/vm/jit/trap.h, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/emit.c, src/vm/jit/x86_64/linux/md-os.c,
	src/vm/jit/x86_64/md-trap.h, src/vm/signal.c, src/vm/signallocal.h,
	src/vm/vm.c:
	* src/vm/jit/trap.c: New file.
	* src/vm/jit/trap.h: Likewise.

	* src/vm/jit/Makefile.am [ENABLE_JIT] (TRAP_SOURCES): Added.
	(libjit_la_SOURCES): Added TRAP_SOURCES.

	* src/vm/exceptions.c (exceptions_init): Removed.
	* src/vm/exceptions.h (EXCEPTION_HARDWARE_*): Removed.

	* src/vm/signal.c (signal_handle): Removed.
	* src/vm/signallocal.h: Likewise.

	* src/vm/vm.c (vm_create): Removed exceptions_init call, added
	trap_init call.

	* src/vm/jit/x86_64/codegen.c: Use new trap stuff.
	* src/vm/jit/x86_64/emit.c: Likewise.
	* src/vm/jit/x86_64/linux/md-os.c: Likewise.
	* src/vm/jit/x86_64/md-trap.h: New file.
	[e1964528a1af]

	* src/cacaoh/dummy.c, src/mm/memory.c, src/mm/memory.h,
	src/vm/builtin.c, src/vm/builtin.h:
	* src/cacaoh/dummy.c: Use stdint-types.
	* src/mm/memory.c, src/mm/memory.h, src/vm/builtin.c,
	src/vm/builtin.h: Likewise.
	[3cf50ae219ef]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (JVM_GetHostName): Use TRACEJVMCALLSENTER
	and TRACEJVMCALLSEXIT.
	[999c2d2889c5]

	* src/vm/jit/arm/codegen.h:
	* src/vm/jit/arm/codegen.h (SPLIT_LOAD): Removed.
	[9affd9c7a536]

2008-04-23  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/abi.h, src/vm/jit/allocator/liveness.c,
	src/vm/jit/allocator/lsra.c, src/vm/jit/allocator/lsra.h,
	src/vm/jit/allocator/simplereg.c, src/vm/jit/alpha/md-abi.c,
	src/vm/jit/arm/md-abi.c, src/vm/jit/i386/asmpart.S, src/vm/jit/i386
	/md-abi.c, src/vm/jit/jit.h, src/vm/jit/loop/analyze.c,
	src/vm/jit/m68k/linux/md-abi.c, src/vm/jit/mips/md-abi.c,
	src/vm/jit/optimizing/lifetimes.h, src/vm/jit/optimizing/lsra.c,
	src/vm/jit/parse.c, src/vm/jit/powerpc/darwin/md-abi.c,
	src/vm/jit/powerpc/linux/md-abi.c, src/vm/jit/powerpc/netbsd/md-
	abi.c, src/vm/jit/powerpc64/linux/md-abi.c, src/vm/jit/s390/md-
	abi.c, src/vm/jit/sparc64/md-abi.c, src/vm/jit/stack.c,
	src/vm/jit/stack.h, src/vm/jit/x86_64/md-abi.c:
	* src/vm/jit/jit.h (stackptr): Removed. (stackelement): Moved from
	here...
	* src/vm/jit/stack.h (stackelement_t): ...to here.

	* src/vm/jit/abi.h, src/vm/jit/allocator/liveness.c,
	src/vm/jit/allocator/lsra.c, src/vm/jit/allocator/lsra.h,
	src/vm/jit/allocator/simplereg.c, src/vm/jit/alpha/md-abi.c,
	src/vm/jit/arm/md-abi.c, src/vm/jit/i386/asmpart.S, src/vm/jit/i386
	/md-abi.c, src/vm/jit/loop/analyze.c, src/vm/jit/m68k/linux/md-
	abi.c, src/vm/jit/mips/md-abi.c, src/vm/jit/optimizing/lifetimes.h,
	src/vm/jit/optimizing/lsra.c, src/vm/jit/parse.c,
	src/vm/jit/powerpc/darwin/md-abi.c, src/vm/jit/powerpc/linux/md-
	abi.c, src/vm/jit/powerpc/netbsd/md-abi.c,
	src/vm/jit/powerpc64/linux/md-abi.c, src/vm/jit/s390/md-abi.c,
	src/vm/jit/sparc64/md-abi.c, src/vm/jit/stack.c, src/vm/jit/x86_64
	/md-abi.c: Replaced stackptr with stackelement_t*.
	[ab0f521edd32]

2008-04-23  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/native/vm/gnu/java_lang_VMRuntime.c,
	src/vm/jit/executionstate.c:
	* src/native/vm/gnu/java_lang_VMRuntime.c: Compiler warning
	squashing.
	* src/vm/jit/executionstate.c (executionstate_println): Likewise.
	[d26a4fc535cd]

2008-04-23  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* autogen.sh:
	* autogen.sh: Fixed error output.
	[a00932f0646f]

	* autogen.sh:
	* autogen.sh: Support libtool-2.x.
	[3555026385e5]

	* src/vmcore/system.h:
	* src/vmcore/system.h (system_scandir) [__LINUX__]: The signature is
	different on various OSs.
	[f0e9ab27db0c]

2008-04-22  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/verify/typecheck.c:
	* src/vm/jit/verify/typecheck.c (typecheck): Fixed compiler warning.
	[f402b152d1f4]

	* src/cacaoh/dummy.c, src/native/jni.c, src/native/vm/Makefile.am,
	src/native/vm/cldc1.1/java_lang_Class.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMThrowable.c,
	src/native/vm/java_lang_Class.c, src/native/vm/java_lang_Class.h,
	src/native/vm/reflect.h, src/native/vm/sun/jvm.c,
	src/vmcore/class.c, src/vmcore/class.h:
	* src/native/vm/java_lang_Class.c: Removed.
	* src/native/vm/java_lang_Class.h: Likewise.
	* src/native/vm/Makefile.am (libnativevm_la_SOURCES): Removed
	java_lang_Class.[ch].

	* src/cacaoh/dummy.c (builtin_instanceof): New function.
	(reflect_constructor_new, reflect_field_new, reflect_method_new):
	Likewise.

	* src/native/jni.c (_Jv_JNI_IsAssignableFrom): Use new class
	functions. (_Jv_JNI_IsInstanceOf): Likewise.

	* src/native/vm/cldc1.1/java_lang_Class.c (forName): Implemented
	directly. (isInstance): Use new class functions. (isAssignableFrom):
	Likewise. (getName): Likewise.

	* src/native/vm/gnu/java_lang_VMClass.c (isInstance): Likewise.
	(isAssignableFrom): Likewise. (getName): Likewise.
	(getDeclaredClasses): Likewise. (getDeclaredFields): Likewise.
	(getDeclaredMethods): Likewise. (getDeclaredConstructors): Likewise.
	(forName): Implemented directly. (getDeclaredAnnotations): Likewise.
	(getEnclosingConstructor): Use new class functions.
	(getEnclosingMethod): Likewise.
	* src/native/vm/gnu/java_lang_VMThrowable.c (getStackTrace): Likewise.

	* src/native/vm/reflect.h (_REFLECT_H): Added.

	* src/native/vm/sun/jvm.c (JVM_GetStackTraceElement): Use new class
	functions. (JVM_GetClassName): Likewise.
	(JVM_GetClassDeclaredFields): Likewise.
	(JVM_GetClassDeclaredMethods): Likewise.
	(JVM_GetClassDeclaredConstructors): Likewise. (JVM_LoadLibrary): Use
	TRACEJVMCALLSENTER and TRACEJVMCALLSEXIT. (JVM_FindLibraryEntry):
	Likewise.

	* src/vmcore/class.c (class_is_assignable_from): New function.
	(class_is_instance): Likewise. (class_get_declaredconstructors):
	Likewise. (class_get_declaredfields): Likewise.
	(class_get_declaredmethods): Likewise.
	(class_get_enclosingconstructor): Likewise.
	(class_get_enclosingmethod): Renamed to
	class_get_enclosingmethod_raw. class_get_enclosingmethod): Likewise.
	* src/vmcore/class.h (class_get_classname): New function.
	[dfe0c5810056]

	* src/vm/jit/code.h:
	* src/vm/jit/code.h (codeinfo): Moved stackframesize outside of
	ENABLE_REPLACEMENT.
	[5c10cc5e0dce]

	* * Merged twisti branch.
	[989bfa895cd1]

	* NEWS:
	Dummy commit to remove twisti branch.
	* NEWS: Useless.
	[8bc236b29952]

	* NEWS:
	Dummy commit to create twisti branch.
	* NEWS: Useless.
	[c153a9d8f8ce]

	* * Merged with tip.
	[30024dee3c14]

	* src/vm/jit/Makefile.am, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/powerpc/linux/md-os.c, src/vm/jit/replace.c,
	src/vm/jit/x86_64/linux/md-os.c:
	* Merged executionstate branch.
	[becec2dbe184]

	* src/native/vm/sun/jvm.c:
	Reverted 40d6392fb38f.
	* src/native/vm/sun/jvm.c (JVM_FindLibraryEntry): Using HPI function
	crashes.
	[8c0ddfb79909]

	* src/vm/jit/i386/darwin/md-os.c:
	* src/vm/jit/i386/darwin/md-os.c (md_replace_executionstate_read):
	Renamed to md_executionstate_read.
	(md_replace_executionstate_write): Renamed to
	md_executionstate_write.
	[9bb627fa59f1]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (JVM_FindLibraryEntry): Use HPI.
	[40d6392fb38f]

	* src/vm/jit/powerpc/linux/md-os.c:
	* src/vm/jit/powerpc/linux/md-os.c (md_executionstate_write): Fixed
	comment typo.
	[3c102f278b7a]

	* src/vm/jit/powerpc/linux/md-os.c:
	* src/vm/jit/powerpc/linux/md-os.c (md_replace_executionstate_read):
	Renamed to md_executionstate_read.
	(md_replace_executionstate_write): Renamed to
	md_executionstate_write.
	[6f19ebc51c4c]

	* * Merged with tip.
	[d492fa9b3e05]

2008-04-20  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/jni.c:
	* src/native/jni.c (jni_GetPrimitiveArrayCritical): Implemented
	correcly. (jni_ReleasePrimitiveArrayCritical): Likewise.
	[9c681dc4dcc4]

2008-04-21  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/jni.h:
	* src/native/jni.h (_Jv_jni_invokeNative): Removed.
	[50357bec0c1a]

2008-04-17  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/linenumbertable.c:
	* src/vm/jit/linenumbertable.c (linenumbertable_create): Changed the
	direction of the list. (linenumbertable_list_entry_add): Likewise.
	(linenumbertable_list_entry_add_inline_start): Likewise.
	(linenumbertable_list_entry_add_inline_end): Likewise.
	[2536b88d4f77]

	* src/vm/jit/emit-common.c:
	* src/vm/jit/emit-common.c (emit_label_bccz): Code restructured.
	(emit_label): Likewise.
	[770ec75a0101]

	* src/vm/jit/codegen-common.c, src/vm/jit/patcher-common.c, src/vm/jit
	/patcher-common.h:
	* src/vm/jit/patcher-common.c (patcher_resolve): New function.
	* src/vm/jit/patcher-common.h (patcher_resolve): Export.
	* src/vm/jit/codegen-common.c (codegen_finish): Use patcher_resolve.
	[4cc078f655ff]

2008-04-16  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/reg.h, src/vm/jit/verify/typecheck-builtins.inc,
	src/vm/jit/verify/typecheck-common.h, src/vm/jit/verify/typecheck-
	fields.inc, src/vm/jit/verify/typecheck-invoke.inc,
	src/vm/jit/verify/typecheck-stackbased.c,
	src/vm/jit/verify/typecheck.c, src/vm/jit/verify/typeinfo.c,
	src/vm/jit/verify/typeinfo.h, src/vm/resolve.c, src/vm/resolve.h:
	* src/vm/jit/verify/typeinfo.h (typeinfo): Renamed to typeinfo_t.
	(typeinfo_mergedlist): Renamed to typeinfo_mergedlist_t.
	(typedescriptor): Renamed to typedescriptor_t.

	* src/vm/jit/reg.h, src/vm/jit/verify/typecheck-builtins.inc,
	src/vm/jit/verify/typecheck-common.h, src/vm/jit/verify/typecheck-
	fields.inc, src/vm/jit/verify/typecheck-invoke.inc,
	src/vm/jit/verify/typecheck-stackbased.c,
	src/vm/jit/verify/typecheck.c, src/vm/jit/verify/typeinfo.c,
	src/vm/resolve.c, src/vm/resolve.h: Likewise.
	[2b2ea4de2f79]

	* src/vmcore/descriptor.c, src/vmcore/references.h:
	* src/vmcore/references.h (parseddesc): Renamed to parseddesc_t.

	* src/vmcore/descriptor.c: Likewise.
	[8bf03b52775b]

	* src/native/jni.c, src/native/llni.h, src/vm/builtin.c,
	src/vm/exceptions.c, src/vm/jit/replace.c, src/vm/jit/trace.c,
	src/vm/jit/verify/typeinfo.c, src/vmcore/class.c,
	src/vmcore/linker.c, src/vmcore/linker.h:
	* src/vmcore/linker.h (_vftbl): Renamed class to clazz.

	* src/native/jni.c, src/native/llni.h, src/vm/builtin.c,
	src/vm/exceptions.c, src/vm/jit/replace.c, src/vm/jit/trace.c,
	src/vm/jit/verify/typeinfo.c, src/vmcore/class.c,
	src/vmcore/linker.c: Likewise.
	[b28587b87dba]

	* src/native/jni.c, src/native/native.c, src/native/native.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/java_lang_Class.c, src/native/vm/sun/jvm.c,
	src/native/vm/sun_misc_Unsafe.c, src/vm/jit/stacktrace.c,
	src/vm/jit/stacktrace.h, src/vmcore/class.c, src/vmcore/class.h,
	src/vmcore/classcache.c, src/vmcore/classcache.h,
	src/vmcore/loader.c, src/vmcore/loader.h:
	* src/vmcore/loader.h (classloader): Renamed to classloader_t.

	* src/native/jni.c, src/native/native.c, src/native/native.h,
	src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/gnu/java_lang_VMClass.c,
	src/native/vm/gnu/java_lang_VMClassLoader.c,
	src/native/vm/gnu/java_lang_VMRuntime.c,
	src/native/vm/java_lang_Class.c, src/native/vm/sun/jvm.c,
	src/native/vm/sun_misc_Unsafe.c, src/vm/jit/stacktrace.c,
	src/vm/jit/stacktrace.h, src/vmcore/class.c, src/vmcore/class.h,
	src/vmcore/classcache.c, src/vmcore/classcache.h,
	src/vmcore/loader.c: Likewise.
	[76cd2f513c2e]

	* src/vmcore/annotation.c, src/vmcore/class.c, src/vmcore/field.c,
	src/vmcore/loader.c, src/vmcore/loader.h, src/vmcore/method.c,
	src/vmcore/stackmap.c, src/vmcore/suck.c, src/vmcore/zip.c:
	* src/vmcore/loader.h (classbuffer): Renamed class to clazz.

	* src/vmcore/annotation.c, src/vmcore/class.c, src/vmcore/field.c,
	src/vmcore/loader.c, src/vmcore/method.c, src/vmcore/stackmap.c,
	src/vmcore/suck.c, src/vmcore/zip.c: Likewise.
	[1386fb01ffaf]

2008-04-15  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/s390/patcher.c:
	* src/vm/jit/s390/patcher.c (patcher_invokeinterface): Forgot to
	rename class to clazz.
	[c8a40a22ee20]

	* src/native/vm/reflect.c, src/vm/access.c,
	src/vm/jit/alpha/codegen.c, src/vm/jit/alpha/patcher.c,
	src/vm/jit/arm/codegen.c, src/vm/jit/arm/patcher.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/i386/patcher.c,
	src/vm/jit/intrp/codegen.c, src/vm/jit/intrp/disass.c,
	src/vm/jit/intrp/patcher.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/m68k/patcher.c, src/vm/jit/mips/codegen.c,
	src/vm/jit/mips/patcher.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/patcher.c, src/vm/jit/powerpc64/codegen.c,
	src/vm/jit/powerpc64/patcher.c, src/vm/jit/python.c,
	src/vm/jit/s390/codegen.c, src/vm/jit/s390/patcher.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/patcher.c,
	src/vm/jit/verify/typecheck-fields.inc, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/patcher.c, src/vm/resolve.c,
	src/vmcore/annotation.c, src/vmcore/field.c, src/vmcore/field.h,
	src/vmcore/references.h:
	* src/vmcore/field.h (fieldinfo): Renamed class to clazz.

	* src/native/vm/reflect.c, src/vm/access.c,
	src/vm/jit/alpha/codegen.c, src/vm/jit/alpha/patcher.c,
	src/vm/jit/arm/codegen.c, src/vm/jit/arm/patcher.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/i386/patcher.c,
	src/vm/jit/intrp/codegen.c, src/vm/jit/intrp/disass.c,
	src/vm/jit/intrp/patcher.c, src/vm/jit/m68k/codegen.c,
	src/vm/jit/m68k/patcher.c, src/vm/jit/mips/codegen.c,
	src/vm/jit/mips/patcher.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/patcher.c, src/vm/jit/powerpc64/codegen.c,
	src/vm/jit/powerpc64/patcher.c, src/vm/jit/python.c,
	src/vm/jit/s390/codegen.c, src/vm/jit/s390/patcher.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/patcher.c,
	src/vm/jit/verify/typecheck-fields.inc, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/patcher.c, src/vm/resolve.c,
	src/vmcore/annotation.c, src/vmcore/field.c,
	src/vmcore/references.h: Likewise.
	[5a14bfe129aa]

	* src/cacaoh/headers.c, src/native/native.c,
	src/native/vm/gnu/java_lang_VMThrowable.c, src/native/vm/reflect.c,
	src/native/vm/sun/jvm.c, src/toolbox/logging.c, src/vm/access.c,
	src/vm/exceptions.c, src/vm/jit/alpha/codegen.c,
	src/vm/jit/alpha/patcher.c, src/vm/jit/arm/codegen.c,
	src/vm/jit/arm/patcher.c, src/vm/jit/codegen-common.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/i386/patcher.c,
	src/vm/jit/inline/inline.c, src/vm/jit/intrp/asmpart.c,
	src/vm/jit/intrp/codegen.c, src/vm/jit/intrp/disass.c,
	src/vm/jit/intrp/patcher.c, src/vm/jit/jit.c,
	src/vm/jit/m68k/codegen.c, src/vm/jit/m68k/patcher.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/mips/patcher.c,
	src/vm/jit/optimizing/dominators.c,
	src/vm/jit/optimizing/lifetimes.c, src/vm/jit/optimizing/lsra.c,
	src/vm/jit/optimizing/ssa.c, src/vm/jit/optimizing/ssa3.c,
	src/vm/jit/optimizing/ssa_rename.c, src/vm/jit/parse.c,
	src/vm/jit/powerpc/codegen.c, src/vm/jit/powerpc/patcher.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/powerpc64/patcher.c,
	src/vm/jit/python.c, src/vm/jit/s390/codegen.c,
	src/vm/jit/s390/md.c, src/vm/jit/s390/patcher.c, src/vm/jit/show.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/patcher.c,
	src/vm/jit/stacktrace.c, src/vm/jit/trace.c,
	src/vm/jit/verify/icmds.c, src/vm/jit/verify/typecheck-common.c,
	src/vm/jit/verify/typecheck-fields.inc, src/vm/jit/verify/typecheck-
	invoke.inc, src/vm/jit/verify/typecheck-stackbased-gen.inc,
	src/vm/jit/verify/typecheck-stackbased.c, src/vm/jit/verify
	/typecheck-typeinferer-gen.inc, src/vm/jit/verify/typecheck-
	variablesbased-gen.inc, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/patcher.c, src/vm/resolve.c,
	src/vmcore/annotation.c, src/vmcore/linker.c, src/vmcore/loader.c,
	src/vmcore/method.c, src/vmcore/method.h, src/vmcore/references.h:
	* src/vmcore/method.h (methodinfo): Renamed class to clazz.

	* src/cacaoh/headers.c, src/native/native.c,
	src/native/vm/gnu/java_lang_VMThrowable.c, src/native/vm/reflect.c,
	src/native/vm/sun/jvm.c, src/toolbox/logging.c, src/vm/access.c,
	src/vm/exceptions.c, src/vm/jit/alpha/codegen.c,
	src/vm/jit/alpha/patcher.c, src/vm/jit/arm/codegen.c,
	src/vm/jit/arm/patcher.c, src/vm/jit/codegen-common.c,
	src/vm/jit/i386/codegen.c, src/vm/jit/i386/patcher.c,
	src/vm/jit/inline/inline.c, src/vm/jit/intrp/asmpart.c,
	src/vm/jit/intrp/codegen.c, src/vm/jit/intrp/disass.c,
	src/vm/jit/intrp/patcher.c, src/vm/jit/jit.c,
	src/vm/jit/m68k/codegen.c, src/vm/jit/m68k/patcher.c,
	src/vm/jit/mips/codegen.c, src/vm/jit/mips/patcher.c,
	src/vm/jit/optimizing/dominators.c,
	src/vm/jit/optimizing/lifetimes.c, src/vm/jit/optimizing/lsra.c,
	src/vm/jit/optimizing/ssa.c, src/vm/jit/optimizing/ssa3.c,
	src/vm/jit/optimizing/ssa_rename.c, src/vm/jit/parse.c,
	src/vm/jit/powerpc/codegen.c, src/vm/jit/powerpc/patcher.c,
	src/vm/jit/powerpc64/codegen.c, src/vm/jit/powerpc64/patcher.c,
	src/vm/jit/python.c, src/vm/jit/s390/codegen.c,
	src/vm/jit/s390/md.c, src/vm/jit/s390/patcher.c, src/vm/jit/show.c,
	src/vm/jit/sparc64/codegen.c, src/vm/jit/sparc64/patcher.c,
	src/vm/jit/stacktrace.c, src/vm/jit/trace.c,
	src/vm/jit/verify/icmds.c, src/vm/jit/verify/typecheck-common.c,
	src/vm/jit/verify/typecheck-fields.inc, src/vm/jit/verify/typecheck-
	invoke.inc, src/vm/jit/verify/typecheck-stackbased-gen.inc,
	src/vm/jit/verify/typecheck-stackbased.c, src/vm/jit/verify
	/typecheck-typeinferer-gen.inc, src/vm/jit/verify/typecheck-
	variablesbased-gen.inc, src/vm/jit/x86_64/codegen.c,
	src/vm/jit/x86_64/patcher.c, src/vm/resolve.c,
	src/vmcore/annotation.c, src/vmcore/linker.c, src/vmcore/loader.c,
	src/vmcore/method.c, src/vmcore/references.h: Likewise.
	[d3299bba3c70]

2008-04-14  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/threads/posix/thread-posix.c, src/threads/thread.c,
	src/threads/thread.h:
	Merging darwin compile fixes -> trunk.
	[9d2e729a6841]

	* src/threads/posix/thread-posix.c:
	Merging fixes.
	[d852f098fe45]

	* src/native/vm/gnu/java_lang_VMThread.c, src/threads/thread.c,
	src/threads/thread.h:
	* src/native/vm/gnu/java_lang_VMThread.c
	(Java_java_lang_VMThread_getState): Renamed thread_get_state because
	of a name conflict with mach headers.
	* src/threads/thread.c (thread_print_info, threads_thread_is_alive):
	Likewise.
	* src/threads/thread.h: Likewise.
	[dfe2ed3a1417]

	* src/threads/posix/thread-posix.c:
	Merging fixes.
	[61a938a77b77]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_startup_thread): Compile
	fix.
	[be94e07a636c]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (sem_*): Fixed compile errors.
	[bbaa09c52c9b]

2008-04-14  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/thread.c:
	* src/threads/thread.c (thread_set_state_runnable): Moved
	DEBUGTHREADS into if, so the output is correct.
	(thread_set_state_waiting): Likewise.
	(thread_set_state_timed_waiting): Likewise.
	[43d16d77d6e5]

	* src/threads/posix/thread-posix.c, src/threads/thread.c,
	src/threads/thread.h, src/vm/signal.c:
	* src/threads/thread.c (threads_thread_state_runnable): Renamed to
	thread_set_state_runnable. (threads_thread_state_waiting): Renamed
	to thread_set_state_waiting. (threads_thread_state_timed_waiting):
	Renamed to thread_set_state_timed_waiting.
	(thread_set_state_terminated): Renamed to
	thread_set_state_terminated.
	* src/threads/thread.h: Likewise.
	* src/threads/posix/thread-posix.c: Use new function names.
	* src/vm/signal.c: Likewise.
	[9e11431508ae]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_sleep): Clear
	interrupted flag in exception case.
	[39438e55e9d0]

	* src/native/vm/gnu/java_lang_VMThread.c, src/threads/thread.c,
	src/threads/thread.h:
	* src/threads/thread.h (thread_get_state): New function.
	(threads_thread_get_state): Removed.
	* src/threads/thread.c (thread_print_info): Use thread_get_state.
	(threads_thread_is_alive): Likewise. (threads_thread_get_state):
	Removed.
	* src/native/vm/gnu/java_lang_VMThread.c (getState): Implemented
	directly.
	[d6879d90499a]

	* src/threads/posix/thread-posix.c, src/threads/posix/thread-posix.h:
	* src/threads/posix/thread-posix.c (threads_sleep): Throw correct
	exceptions, use stdint.h types
	* src/threads/posix/thread-posix.h (threads_sleep): Use stdint.h
	types.
	[2a41965d0840]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_detach_thread): Reset
	threadgroup when thread has terminated.
	[d10959c776b1]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (JVM_IsInterrupted): Handle
	clear_interrupted.
	[865bf6ced98b]

	* src/threads/thread.c:
	* src/threads/thread.c (threads_attach_current_thread)
	[ENABLE_JAVASE]: Set group to NULL, as it might contain any value.
	[770449e5df5e]

	* src/threads/thread.c:
	* src/threads/thread.c (threads_attach_current_thread): Set the
	thread data-structure in the TSD.
	[c4f96b0c4d7d]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_startup_thread): Renamed
	variable thread to t.
	[fe21e42f3871]

	* src/native/jni.c:
	* src/native/jni.c (JNI_NEW_ARRAY): Fixed typo for short array.
	[ba3de48b4c29]

2008-04-13  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/access.c, src/vm/access.h:
	* src/vm/access.c [ENABLE_JAVASE] (access_check_field): Added
	#ifdef. [ENABLE_JAVASE] (access_check_method): Likewise.
	* src/vm/access.h: Likewise.
	[0d747a4b03c4]

	* src/native/vm/sun/hpi.c:
	* src/native/vm/sun/hpi.c (hpi_initialize): Fixed compiler warning.
	(hpi_initialize_socket_library): Likewise.
	[04c6c41e37cb]

	* src/vm/jit/stacktrace.c:
	* src/vm/jit/stacktrace.c (stacktrace_print_entry): Print newline
	for builtins.
	[3864e0d2176b]

2008-04-11  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* * Commited with tip.
	[f86b8b643b79]

	* src/threads/posix/thread-posix.c:
	* src/threads/posix/thread-posix.c (threads_sleep): Removed
	threads_check_if_interrupted_and_reset usage and use new functions.
	[afc6c05d1704]

	* src/native/vm/gnu/java_lang_reflect_VMField.c:
	* src/native/vm/gnu/java_lang_reflect_VMField.c
	(native/include/java_lang_reflect_Field.h): Added include.
	[655d7c04e703]

	* src/native/vm/gnu/java_lang_VMThread.c, src/threads/posix/thread-
	posix.c, src/threads/posix/thread-posix.h, src/threads/thread.h:
	* src/threads/thread.h (thread_set_interrupted): New function.
	* src/threads/posix/thread-posix.c
	(threads_check_if_interrupted_and_reset): Removed.
	* src/threads/posix/thread-posix.h: Likewise.
	* src/native/vm/gnu/java_lang_VMThread.c (interrupted): Use new
	function.
	[e33009dc3e7c]

	* src/native/vm/gnu/java_lang_VMThread.c, src/native/vm/sun/jvm.c,
	src/threads/posix/thread-posix.c, src/threads/posix/thread-posix.h,
	src/threads/thread.h:
	* src/threads/thread.h (thread_is_interrupted): New function.
	* src/threads/posix/thread-posix.c
	(threads_thread_has_been_interrupted): Removed.
	* src/threads/posix/thread-posix.h: Likewise.
	* src/native/vm/gnu/java_lang_VMThread.c (isInterrupted): Use new
	function.
	* src/native/vm/sun/jvm.c (JVM_IsInterrupted): Likewise.
	[f7128be365f8]

	* src/threads/none/thread-none.h, src/threads/posix/thread-posix.h,
	src/threads/thread.h:
	* src/threads/none/thread-none.h: Fixed define name.
	* src/threads/posix/thread-posix.h: Likewise.
	* src/threads/thread.h: Likewise.
	[d3a4c83bd558]

2008-04-10  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/arm/asmpart.S:
	* src/vm/jit/arm/asmpart.S (asm_cacheflush) [__ARM_EABI__]: Use
	syscall number 0.
	[ec144df42ca1]

	* src/Makefile.am, src/cacao/Makefile.am, src/threads/Makefile.am,
	src/threads/none/Makefile.am, src/threads/none/thread-none.c,
	src/threads/none/thread-none.h, src/threads/posix/Makefile.am,
	src/threads/thread.c, src/threads/thread.h, src/vm/jit/methodtree.c,
	src/vm/jit/s390/md.c, src/vm/jit/stacktrace.c,
	src/vm/jit/stacktrace.h:
	src/vm/jit/stacktrace.c (stacktrace_print_entry): New function.
	(stacktrace_print_current): Likewise. [ENABLE_THREADS]
	(stacktrace_print_of_thread): Likewise. [!ENABLE_THREADS]
	(_no_threads_stackframeinfo): Removed.
	* src/vm/jit/stacktrace.h: Likewise.

	* src/Makefile.am [ENABLE_THREADS] (THREADS_DIR): Removed.
	(SUBDIRS): Added threads.

	* src/cacao/Makefile.am [ENABLE_THREADS] (THREAD_LIB): Removed.
	(libjvm_la_LIBADD): Removed $(THREAD_LIB), added
	$(top_builddir)/src/threads/libthreads.la.
	* src/threads/Makefile.am [!ENABLE_THREADS]: Recurse into none/.
	* src/threads/none/Makefile.am (EXTRA_DIST): Removed. (AM_CPPFLAGS):
	Added. (LIBS): Likewise. (noinst_LTLIBRARIES): Likewise.
	(libthreadsnone_la_SOURCES): Likewise.

	* src/threads/none/thread-none.c: New file.
	* src/threads/none/thread-none.h (_no_threads_stackframeinfo): Export.

	* src/threads/posix/Makefile.am (noinst_LTLIBRARIES): Renamed
	library from libposix to libthreadsposix. (libposix_la_SOURCES):
	Renamed to libthreadsposix_la_SOURCES.

	* src/threads/thread.c (threads_dump): Use
	stacktrace_print_of_thread. (threads_thread_print_stacktrace):
	Removed. (threads_print_stacktrace): Likewise.
	* src/threads/thread.h (threads_thread_print_stacktrace): Likewise.
	(threads_print_stacktrace): Likewise.

	* src/vm/jit/methodtree.c (methodtree_find): Use
	stacktrace_print_current.
	* src/vm/jit/s390/md.c (md_dump_context): Likewise.
	[3457d7de230f]

	* src/vm/jit/arm/linux/md-os.c:
	* src/vm/jit/arm/linux/md-os.c (md_signal_handler_sigill): Use
	vm_abort instead of assert.
	[98fd037a7854]

	* src/vm/exceptions.c:
	* src/vm/exceptions.c (exceptions_print_stacktrace) [!NDEBUG]:
	#ifdef'ed class_print.
	[6b3787897afb]

	* src/threads/thread.h:
	* src/threads/thread.h (thread_current_is_attached): Check if t is
	NULL and return false in this case.
	[79e7e22055fa]

2008-04-07  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/classes/Makefile.am,
	src/classes/gnu/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/VMCPStringBuilder.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/lang/reflect/Modifier.java,
	src/classes/gnu/java/lang/reflect/VMConstructor.java,
	src/classes/gnu/java/lang/reflect/VMField.java,
	src/classes/gnu/java/lang/reflect/VMMethod.java,
	src/native/include/Makefile.am, src/native/jni.c,
	src/native/vm/gnu/Makefile.am,
	src/native/vm/gnu/gnu_java_lang_VMCPStringBuilder.c,
	src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/gnu/java_lang_reflect_Method.c,
	src/native/vm/gnu/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnu/java_lang_reflect_VMField.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c,
	src/native/vm/nativevm.c, src/native/vm/nativevm.h,
	src/native/vm/reflect.c, src/native/vm/sun_misc_Unsafe.c,
	src/vmcore/class.c, src/vmcore/class.h, src/vmcore/linker.c,
	src/vmcore/loader.c, src/vmcore/utf8.c, src/vmcore/utf8.h:
	* src/classes/Makefile.am (VM_JAVA_FILES_GNU): Added new VM
	interface files.
	* src/native/include/Makefile.am (JAVASE_HEADER_FILES): Likewise.

	* src/classes/gnu/gnu/java/lang/CPStringBuilder.java,
	src/classes/gnu/gnu/java/lang/VMCPStringBuilder.java,
	src/classes/gnu/java/lang/reflect/Modifier.java: New file.

	* src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java: Updated.

	* src/classes/gnu/java/lang/reflect/VMConstructor.java,
	src/classes/gnu/java/lang/reflect/VMField.java,
	src/classes/gnu/java/lang/reflect/VMMethod.java: New file.

	* src/native/jni.c (FromReflectedMethod): Adapted to new VM
	interface. (FromReflectedField): Likewise.

	* src/native/vm/gnu/Makefile.am (libnativevmcore_la_SOURCES):
	Removed java_lang_reflect_Constructor.c, java_lang_reflect_Field.c,
	java_lang_reflect_Method.c, added gnu_java_lang_VMCPStringBuilder.c,
	java_lang_reflect_VMConstructor.c, java_lang_reflect_VMField.c,
	java_lang_reflect_VMMethod.c.

	* src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/gnu/java_lang_reflect_Method.c: Removed.

	* src/native/vm/gnu/gnu_java_lang_VMCPStringBuilder.c,
	src/native/vm/gnu/java_lang_reflect_VMConstructor.c,
	src/native/vm/gnu/java_lang_reflect_VMField.c,
	src/native/vm/gnu/java_lang_reflect_VMMethod.c: New file.

	* src/native/vm/nativevm.c (nativevm_preinit): Added
	_Jv_gnu_java_lang_VMCPStringBuilder_init.
	* src/native/vm/nativevm.h: Likewise.

	* src/native/vm/reflect.c (reflect_constructor_new): Adapted to new
	VM interface. (reflect_field_new): Likewise. (reflect_method_new):
	Likewise.

	* src/native/vm/sun_misc_Unsafe.c (objectFieldOffset): Likewise.
	(staticFieldBase): Likewise.

	* src/vmcore/class.c [WITH_CLASSPATH_GNU]
	(class_java_lang_reflect_VMConstructor)
	(class_java_lang_reflect_VMField, class_java_lang_reflect_VMMethod):
	New global variable.
	* src/vmcore/class.h: Likewise.
	* src/vmcore/linker.c (linker_init): Added new classes.
	* src/vmcore/loader.c (loader_init): Likewise.

	* src/vmcore/utf8.c [WITH_CLASSPATH_GNU]
	(utf_java_lang_reflect_VMConstructor, utf_java_lang_reflect_VMField)
	(utf_java_lang_reflect_VMMethod): New global variable.
	* src/vmcore/utf8.h: Likewise.
	[1dba59001474]

	* src/native/jni.c, src/native/vm/Makefile.am,
	src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/gnu/java_lang_reflect_Method.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h,
	src/native/vm/java_lang_reflect_Method.c,
	src/native/vm/java_lang_reflect_Method.h, src/native/vm/reflect.c,
	src/native/vm/reflect.h, src/native/vm/sun/jvm.c:
	* src/native/vm/java_lang_reflect_Constructor.c: Removed.
	* src/native/vm/java_lang_reflect_Constructor.h: Likewise.
	* src/native/vm/java_lang_reflect_Method.c: Likewise.
	* src/native/vm/java_lang_reflect_Method.h: Likewise.

	* src/native/jni.c (_Jv_jni_invokeNative): Likewise.

	* src/native/vm/Makefile.am (JAVA_LANG_REFLECT_CONSTRUCTOR_SOURCES):
	Removed. (JAVA_LANG_REFLECT_METHOD_SOURCES): Likewise.
	(libnativevm_la_SOURCES): Removed
	JAVA_LANG_REFLECT_CONSTRUCTOR_SOURCES and
	JAVA_LANG_REFLECT_METHOD_SOURCES.

	* src/native/vm/reflect.c (reflect_invoke): New function.
	(reflect_constructor_newinstance): Likewise.
	(reflect_method_invoke): Likewise.
	* src/native/vm/reflect.h (reflect_constructor_newinstance): Export.
	(reflect_method_invoke): Likewise.

	* src/native/vm/gnu/java_lang_reflect_Constructor.c
	(constructNative): Use reflect_constructor_newinstance.
	* src/native/vm/gnu/java_lang_reflect_Method.c (invokeNative): Use
	reflect_method_invoke.
	* src/native/vm/sun/jvm.c (JVM_InvokeMethod): Use
	reflect_method_invoke. (JVM_NewInstanceFromConstructor): Use
	reflect_constructor_newinstance.
	[a3189e2fbd34]

	* src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h:
	* src/native/vm/gnu/java_lang_reflect_Constructor.c (getSignature):
	Implemented directly.
	* src/native/vm/java_lang_reflect_Constructor.c (getSignature):
	Removed.
	* src/native/vm/java_lang_reflect_Constructor.h: Likewise.
	[d1ea50387ceb]

	* src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h:
	* src/native/vm/gnu/java_lang_reflect_Constructor.c
	(getExceptionTypes): Implemented directly.
	* src/native/vm/java_lang_reflect_Constructor.c (getExceptionTypes):
	Removed.
	* src/native/vm/java_lang_reflect_Constructor.h: Likewise.
	[2bfcb5cbdd18]

	* src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h:
	* src/native/vm/gnu/java_lang_reflect_Constructor.c
	(getParameterTypes): Implemented directly.
	* src/native/vm/java_lang_reflect_Constructor.c (getParameterTypes):
	Removed.
	* src/native/vm/java_lang_reflect_Constructor.h: Likewise.
	[5b6da046d461]

	* src/native/vm/gnu/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Constructor.h:
	* src/native/vm/gnu/java_lang_reflect_Constructor.c
	(getModifiersInternal): Implemented directly.
	* src/native/vm/java_lang_reflect_Constructor.c (getModifiers):
	Removed.
	* src/native/vm/java_lang_reflect_Constructor.h: Likewise.
	[f1da619c1b0b]

2008-04-03  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/posix/Makefile.am, src/threads/posix/threadlist-posix.c,
	src/threads/threadlist.c:
	* src/threads/posix/threadlist-posix.c: Removed.
	* src/threads/posix/Makefile.am (libposix_la_SOURCES): Removed
	threadlist-posix.c.
	* src/threads/threadlist.c (threads/mutex.h): Added.
	(threadlist_mutex): New global variable. (threadlist_init):
	Initialize mutex. (threadlist_lock, threadlist_unlock): New
	functions.
	[d8f389d4b3f7]

2008-04-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/exceptions.c:
	* src/vm/exceptions.c (exceptions_new_class_utf): Check for c ==
	NULL when VM is initializing.
	[3ac1ce7dadb2]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (TRACEJVMCALLSENTER, TRACEJVMCALLSEXIT):
	New macro. (JVM_GetClassLoader): Trace return value.
	[c4ceb9518a19]

	* src/vm/jit/stacktrace.c:
	* src/vm/jit/stacktrace.c (stacktrace_get): Correctly skip
	Throwable.init() functions. (stacktrace_stackframeinfo_fill):
	Changed debugging messge.
	[18f868142155]

	* src/threads/thread.c, src/threads/thread.h:
	* src/threads/thread.c (threads_thread_print_info): Renamed to
	thread_print_info, removed assert on THREAD_STATE_NEW but print as
	much info as possible. (threads_dump): Use new functio name.
	* src/threads/thread.h: Likewise.
	[d6c927d2e029]

	* * Merged with tip.
	[da113f4ae466]

	* src/vm/string.c:
	* src/vm/string.c (javastring_safe_new_from_utf8): Don't assert on
	text is NULL, but return NULL. Checked with jconsole.
	[af3aa1b2e676]

	* src/mm/Makefile.am:
	* src/mm/Makefile.am: Changed copyright.
	[906626e18451]

2008-04-02  Michael Starzinger  <michi@complang.tuwien.ac.at>

	* src/cacao/cacao.c, src/native/jvmti/cacaodbg.c,
	src/native/jvmti/cacaodbg.h, src/native/jvmti/jvmti.c,
	src/threads/Makefile.am, src/threads/mutex.h,
	src/threads/posix/Makefile.am, src/threads/posix/generic-
	primitives.h, src/threads/posix/lock.c, src/threads/posix/lock.h,
	src/threads/posix/mutex-posix.h, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h, src/threads/posix/threadlist-
	posix.c, src/vm/vm.c:
	* src/threads/Makefile.am: Added mutex.h.
	* src/threads/posix/Makefile.am: Added mutex-posix.h.

	* src/threads/mutex.h: Added new file.
	* src/threads/posix/mutex-posix.h: Likewise. (mutex_init): Implemented
	inline wrapper function. (mutex_lock): Likewise. (mutex_unlock):
	Likewise. (mutex_destroy): Likewise.

	* src/cacao/cacao.c, src/native/jvmti/cacaodbg.c,
	src/native/jvmti/cacaodbg.h, src/native/jvmti/jvmti.c,
	src/threads/posix/generic-primitives.h, src/threads/posix/lock.c,
	src/threads/posix/lock.h, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h, src/threads/posix/threadlist-
	posix.c, src/vm/vm.c: Included mutex.h and used wrapper functions
	throughout the whole file.
	[30bdc35a0486]

2008-04-01  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/none/thread-none.h, src/threads/none/threads.h,
	src/threads/thread.h:
	* src/threads/none/threads.h: Renamed from here...
	* src/threads/none/thread-none.h: ...to here.
	* src/threads/thread.h: Fixed include.
	[cce680c919ac]

	* src/native/jni.c, src/native/vm/cldc1.1/java_lang_Thread.c,
	src/native/vm/gnu/java_lang_VMThread.c, src/native/vm/sun/jvm.c,
	src/threads/none/threads.h, src/threads/posix/thread-posix.c,
	src/threads/thread.c, src/threads/thread.h, src/vm/exceptions.c:
	* src/native/jni.c (_Jv_JNI_FindClass): Renamed to jni_FindClass,
	call resolve_handle_pending_exception in exception case.
	(_Jv_JNI_ExceptionDescribe): Renamed to jni_ExceptionDescribe, use
	exceptions_print_stacktrace. (_Jv_JNI_ExceptionClear): Renamed to
	jni_ExceptionClear.

	* src/threads/thread.h (threads_thread_get_object): Renamed to
	thread_get_object. (threads_thread_set_object): Renamed to
	thread_set_object. (threads_get_current_object): Renamed to
	thread_get_current_object. (thread_is_attached): Use new function
	names. (thread_fprint_name): Export.

	* src/threads/none/threads.h (threads_get_current_object): Renamed
	to thread_get_current_object.

	* src/native/vm/cldc1.1/java_lang_Thread.c (currentThread): Use new
	function names.
	* src/native/vm/gnu/java_lang_VMThread.c (currentThread): Likewise.
	* src/native/vm/sun/jvm.c (JVM_CurrentThread): Likewise.
	* src/threads/posix/thread-posix.c (threads_startup_thread): Likewise.
	(threads_detach_thread): Likewise.
	* src/threads/thread.c (thread_create_object): Likewise.
	(thread_free): Likewise. (threads_thread_start): Likewise.
	(thread_fprint_name): New function. (threads_thread_print_info): Use
	thread_fprint_name.

	* src/vm/exceptions.c (exceptions_print_stacktrace): Implemented
	(mostly) as in HotSpot.
	[10f85b96a2de]

	* src/vm/string.c, src/vm/stringlocal.h:
	* src/vm/string.c (javastring_print): Renamed to javastring_fprint
	and added a stream argument.
	* src/vm/stringlocal.h: Likewise.
	[abde7ae98d1d]

	* src/vm/vm.c:
	* src/vm/vm.c (vm_run) [ENABLE_THREADS]: #ifdef'ed threading stuff.
	[9d9bdfdef420]

	* configure.ac:
	* configure.ac (AC_CHECK_HEADERS): Added stdio.h.
	[68c3572dec69]

	* src/threads/thread.c, src/threads/thread.h,
	src/threads/threadlist.c:
	* src/threads/thread.c (thread_create_object): New function.
	(thread_method_init): Made static. (threadgroup_system,
	threadgroup_main): Changed type to java_handle_t.
	(thread_create_initial_threadgroup): Chnaged type of
	threadgroup_system and threadgroup_main.
	(thread_create_initial_thread): Use thread_create_object.
	(threads_thread_start_internal): Likewise.
	(threads_attach_current_thread): Likewise.
	(threads_thread_print_info): Use thread_is_daemon.
	* src/threads/thread.h (thread_method_init): Removed.
	(thread_is_daemon): New function.
	* src/threads/threadlist.c (threadlist_get_non_daemons): Use
	thread_is_daemon.
	[ea1ec101d6fe]

	* src/threads/posix/thread-posix.c, src/threads/thread.c,
	src/threads/thread.h:
	* src/threads/thread.c (threads_thread_new): Renamed to thread_new
	and made static. (threads_thread_free): Renamed to thread_free.
	(threads_thread_start_internal): Use new function names.
	(threads_thread_start): Likewise. (threads_attach_current_thread):
	Likewise.
	* src/threads/thread.h (threads_thread_new): Removed.
	(threads_thread_free): Renamed to thread_free.

	* src/threads/posix/thread-posix.c (threads_detach_thread): Use new
	function names.
	[e5e0b246a78b]

	* src/mm/cacao-gc/gc.c, src/mm/cacao-gc/gc.h, src/mm/cacao-
	gc/rootset.c, src/mm/cacao-gc/rootset.h, src/mm/codememory.c,
	src/mm/dumpmemory.c, src/mm/memory.c, src/native/jni.c,
	src/native/jvmti/cacaodbg.c, src/native/jvmti/cacaodbg.h,
	src/native/jvmti/jvmti.c, src/native/llni.c, src/native/llni.h,
	src/native/localref.c, src/native/vm/cldc1.1/java_lang_Thread.c,
	src/native/vm/gnu/java_lang_VMThread.c, src/native/vm/sun/jvm.c,
	src/threads/Makefile.am, src/threads/posix/Makefile.am,
	src/threads/posix/lock.c, src/threads/posix/thread-posix.c,
	src/threads/posix/thread-posix.h, src/threads/posix/threads.c,
	src/threads/posix/threads.h, src/threads/thread.c,
	src/threads/thread.h, src/threads/threadlist.c,
	src/threads/threadlist.h, src/threads/threads-common.c, src/threads
	/threads-common.h, src/toolbox/logging.c, src/vm/builtin.c,
	src/vm/exceptions.c, src/vm/finalizer.c, src/vm/jit/alpha/linux/md-
	os.c, src/vm/jit/arm/linux/md-os.c, src/vm/jit/codegen-common.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/inline/inline.c, src/vm/jit/intrp/asmpart.c,
	src/vm/jit/intrp/engine.c, src/vm/jit/jit.c,
	src/vm/jit/methodtree.c, src/vm/jit/optimizing/profile.c,
	src/vm/jit/optimizing/recompile.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc64/linux/md-os.c, src/vm/jit/replace.c,
	src/vm/jit/s390/md.c, src/vm/jit/show.c, src/vm/jit/stacktrace.c,
	src/vm/jit/trace.c, src/vm/jit/x86_64/freebsd/md-os.c,
	src/vm/jit/x86_64/linux/md-os.c, src/vm/signal.c, src/vm/vm.c:
	* src/threads/posix/threads.c: Renamed from here...
	* src/threads/posix/threads.h, src/threads/threads-common.c,
	src/threads/threads-common.h: Likewise.

	* src/threads/posix/thread-posix.c: ...to here.
	* src/threads/posix/thread-posix.h, src/threads/thread.c,
	src/threads/thread.h: Likewise.

	* src/mm/cacao-gc/gc.c, src/mm/cacao-gc/gc.h, src/mm/cacao-
	gc/rootset.c, src/mm/cacao-gc/rootset.h, src/mm/codememory.c,
	src/mm/dumpmemory.c, src/mm/memory.c, src/native/jni.c,
	src/native/jvmti/cacaodbg.c, src/native/jvmti/cacaodbg.h,
	src/native/jvmti/jvmti.c, src/native/llni.c, src/native/llni.h,
	src/native/localref.c, src/native/vm/cldc1.1/java_lang_Thread.c,
	src/native/vm/gnu/java_lang_VMThread.c, src/native/vm/sun/jvm.c,
	src/threads/Makefile.am, src/threads/posix/lock.c,
	src/threads/posix/Makefile.am, src/threads/threadlist.c,
	src/threads/threadlist.h, src/toolbox/logging.c, src/vm/builtin.c,
	src/vm/exceptions.c, src/vm/finalizer.c, src/vm/jit/alpha/linux/md-
	os.c, src/vm/jit/arm/linux/md-os.c, src/vm/jit/codegen-common.c,
	src/vm/jit/i386/darwin/md-os.c, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/inline/inline.c, src/vm/jit/intrp/asmpart.c,
	src/vm/jit/intrp/engine.c, src/vm/jit/jit.c,
	src/vm/jit/methodtree.c, src/vm/jit/optimizing/profile.c,
	src/vm/jit/optimizing/recompile.c, src/vm/jit/powerpc/codegen.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc64/linux/md-os.c, src/vm/jit/replace.c,
	src/vm/jit/s390/md.c, src/vm/jit/show.c, src/vm/jit/stacktrace.c,
	src/vm/jit/trace.c, src/vm/jit/x86_64/freebsd/md-os.c,
	src/vm/jit/x86_64/linux/md-os.c, src/vm/signal.c, src/vm/vm.c:
	Changed filename occurrences.
	[38d26f1a1c95]

2008-03-31  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/jni.c, src/threads/posix/threads.c, src/threads/threads-
	common.c, src/threads/threads-common.h, src/vm/global.h,
	src/vm/vm.c:
	Fixes PR59.
	* src/native/jni.c (_Jv_JNI_Get##name##Field): Added TRACEJNICALLS.
	(_Jv_JNI_Set##name##Field): Likewise.
	(_Jv_JNI_CallStaticObjectMethod): Likewise.
	(_Jv_JNI_CallStaticObjectMethodV): Likewise.
	(_Jv_JNI_CallStaticObjectMethodA): Likewise.
	(_Jv_JNI_CallStaticVoidMethod): Likewise.
	(_Jv_JNI_CallStaticVoidMethodV): Likewise.
	(_Jv_JNI_CallStaticVoidMethodA): Likewise. (_Jv_JNI_GetArrayLength):
	Likewise. (_Jv_JNI_Get##name##ArrayElements): Likewise.
	(_Jv_JNI_Get##name##ArrayRegion): Likewise.
	(jni_attach_current_thread): Check correctly if current thread is
	already attached. (_Jv_JNI_DetachCurrentThread): Check if current
	thread is already detached.
	* src/threads/posix/threads.c (threads_detach_thread): Likewise.

	* src/threads/threads-common.c (threads_init) [WITH_CLASSPATH_SUN]:
	Resolve correct thread init method. (thread_create_object): New
	function, but not yet implemented. (thread_create_initial_thread):
	Lot of changes.

	* src/threads/threads-common.h (thread_is_attached): New function.
	(thread_current_is_attached): Likewise.

	* src/vm/global.h (STR): New macro, stolen from OpenJDK.

	* src/vm/vm.c (vm_run): Detach the main thread before calling
	vm_destroy. (vm_destroy): Attach the main thread again as
	DestroyJavaVM thread.
	[5b1738cbdeac]

	* src/native/jni.c, src/native/jvmti/cacaodbg.c,
	src/threads/posix/threads.c, src/threads/posix/threads.h,
	src/threads/threads-common.c, src/threads/threads-common.h:
	* src/threads/posix/threads.c (threads_set_current_threadobject):
	Moved from here... (threads_get_current_threadobject): Likewise.
	* src/threads/posix/threads.h (thread_get_current): ...to here.
	(thread_set_current): Likewise.
	* src/threads/threads-common.h (threads_set_current_threadobject):
	Removed.

	* src/native/jni.c (jni_attach_current_thread): Use new function
	name. (_Jv_JNI_DetachCurrentThread): Likewise. (_Jv_JNI_GetEnv):
	Likewise.
	* src/native/jvmti/cacaodbg.c (jvmti_get_current_thread): Likewise.
	* src/threads/threads-common.c (threads_preinit): Likewise.
	[6bdc40cea36e]

	* configure.ac, m4/classpath.m4, m4/hpi.m4, src/native/vm/nativevm.c,
	src/native/vm/sun/Makefile.am, src/native/vm/sun/hpi.c,
	src/native/vm/sun/hpi.h, src/native/vm/sun/jvm.c,
	src/vmcore/options.c, src/vmcore/options.h:
	* configure.ac (AC_CHECK_WITH_HPI_MD_H): Added.
	(AC_CHECK_WITH_HPI_H): Likewise.
	* m4/classpath.m4 (AC_CHECK_WITH_CLASSPATH_CLASSES): Changed default
	for OpenJDK. (AC_CHECK_WITH_CLASSPATH_LIBDIR): Likewise.
	(AC_CHECK_WITH_JNI_MD_H): Likewise. (AC_CHECK_WITH_JNI_H): Likewise.

	* m4/hpi.m4: New file.
	* src/native/vm/nativevm.c (nativevm_preinit): Call hpi_initialize.
	* src/native/vm/sun/Makefile.am (libnativevmcore_la_SOURCES): Added
	hpi.[ch].
	* src/native/vm/sun/hpi.c: New file.
	* src/native/vm/sun/hpi.h: Likewise.

	* src/native/vm/sun/jvm.c (JVM_GetLastErrorString): Use HPI
	function. (JVM_NativePath): Likewise. (JVM_Open): Likewise.
	(JVM_Close): Likewise. (JVM_Read): Likewise. (JVM_Write): Likewise.
	(JVM_Available): Likewise. (JVM_Lseek): Likewise. (JVM_SetLength):
	Likewise. (JVM_Sync): Likewise. (JVM_InitializeSocketLibrary): Call
	hpi_initialize_socket_library.

	* src/vmcore/options.c (opt_TraceHPI): Added global variable.
	(options_xx): Handle new option.
	* src/vmcore/options.h: Likewise.
	[fceac7c38a1b]

	* src/native/vm/nativevm.c:
	* src/native/vm/nativevm.c (nativevm_preinit) [WITH_CLASSPATH_SUN]:
	Check for native_library_open error.
	[fc69ca6c9fbe]

2008-03-29  Edwin Steiner  <edwin.steiner@gmx.net>

	* src/vm/jit/stack.c:
	* src/vm/jit/stack.c (stack_analyse): Clean up: removed an obsolete
	assignment to copy->varkind. (It is set in SET_TEMPVAR anyway.)
	[da706966db7d]

	* src/vm/jit/stack.c:
	* src/vm/jit/stack.c (stack_analyse): Use the javaindex instead of
	the CACAO varindex for checking conflicts with local variables.
	While there is no real conflict between CACAO variables of different
	types, the register allocator makes the implicit assumption that
	variables corresponding to the same javaindex may be coalesced. As
	long as this assumption is made, we must consider variables with the
	same javaindex as conflicting (and also check against that in the
	verifier). This fixes [Bug 49] VerifyError with obfuscated classes.
	[08444c22b833]

	* src/vm/jit/stack.c:
	* src/vm/jit/stack.c (stack_analyse): Clean up the ICMD_IINC case so
	it uses the javaindex variable. (No functional change.)
	[18e1045d35f2]

	* src/vm/jit/jit.h, src/vm/jit/parse.c, src/vm/jit/verify/typecheck-
	common.h, src/vm/jit/verify/typecheck.c:
	* src/vm/jit/jit.h (jitdata): Added reverselocalmap.

	* src/vm/jit/parse.c (parse): Fill the reverselocalmap.

	* src/vm/jit/verify/typecheck-common.h (verifier_state): Removed the
	reverselocalmap.

	* src/vm/jit/verify/typecheck.c (typecheck_invalidate_locals): Use
	jd->reverselocalmap. (typecheck): Likewise.
	[8a9d9cd39976]

	* tests/regression/jasmin/Makefile.am,
	tests/regression/jasmin/test_load_store_conflict_different_types.j:
	*
	tests/regression/jasmin/test_load_store_conflict_different_types.j:
	New test exposing the bug in conflict checking for local variables
	([Bug 49] VerifyError with obfuscated classes).

	* tests/regression/jasmin/Makefile.am: Added new test.
	[e5dbef3898c1]

	* contrib/vmlog/vmlog_cacao.h:
	* contrib/vmlog/vmlog_cacao.h: Removed #include of a header that
	does not exist anymore.
	[5b8c6c097400]

2008-03-27  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/posix/threads.c, src/threads/posix/threads.h,
	src/threads/threads-common.c, src/threads/threads-common.h:
	* src/threads/posix/threads.c (threads_attach_current_thread):
	Removed.
	* src/threads/posix/threads.h: Likewise.
	* src/threads/threads-common.c (threads_attach_current_thread): Added.
	* src/threads/threads-common.h: Likewise.
	[e1fa9148b033]

	* src/native/vm/nativevm.c, src/native/vm/nativevm.h,
	src/native/vm/sun/jvm.c, src/vm/global.h, src/vm/initialize.c,
	src/vm/initialize.h, src/vm/vm.c, src/vmcore/options.c,
	src/vmcore/options.h:
	* src/native/vm/nativevm.c (nativevm_preinit): Changed signature,
	use system_* functions. (nativevm_init): Changed signature.
	* src/native/vm/nativevm.h: Likewise.

	* src/native/vm/sun/jvm.c (JVM_InitProperties): Added
	sun.nio.MaxDirectMemorySize handling.

	* src/vm/global.h (PRINTF_FORMAT_INT64_T): Added define for int64_t
	formater.

	* src/vm/initialize.c (initialize_init): New function.
	* src/vm/initialize.h: Likewise.

	* src/vm/vm.c (vm_create): Added initialize_init.

	* src/vmcore/options.c (opt_MaxDirectMemorySize): New global
	variable. (options_xx): Use system_* functions.
	* src/vmcore/options.h: Likewise.
	[bd1fba089d84]

	* configure.ac, src/vmcore/system.h:
	* configure.ac (AC_CHECK_FUNCS): Added strcat, strcpy.
	* src/vmcore/system.h (system_atoi): New function. (system_strcat):
	Likewise. (system_strcpy): Likewise.
	[3bc1e510dba5]

2008-03-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vmcore/loader.c, tests/regression/bugzilla/PR58.java:
	* src/vmcore/loader.c (load_class_from_classbuffer_intern): Also
	call resolve_handle_pending_exception for super interfaces.
	* tests/regression/bugzilla/PR58.java (test): Renamed to
	testSuperClass. (testSuperInterface): New method.
	[a9203003de40]

	* src/cacaoh/dummy.c, src/native/vm/sun/jvm.c, src/vm/exceptions.c,
	src/vm/exceptions.h, src/vm/resolve.c, src/vm/resolve.h,
	src/vmcore/class.c, src/vmcore/class.h, src/vmcore/linker.c,
	src/vmcore/loader.c, src/vmcore/utf8.c, src/vmcore/utf8.h,
	tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR58.java:
	* src/cacaoh/dummy.c (resolve_handle_pending_exception): New
	function.

	* src/native/vm/sun/jvm.c (JVM_FindClassFromClassLoader): Added
	assert on throwError. (JVM_DoPrivileged): Throw
	PrivilegedActionException only if the exception is an instance of
	java.lang.Exception but not of java.lang.RuntimeException.

	* src/vm/exceptions.c (exceptions_new_class_utf): New function.
	(exceptions_throw_class_utf): Likewise.
	(exceptions_throw_classnotfoundexception): Use
	exceptions_throw_class_utf.
	(exceptions_classnotfoundexception_to_noclassdeffounderror):
	Removed.
	* src/vm/exceptions.h: Likewise.

	* src/vm/resolve.c (resolve_handle_pending_exception): New function.
	(resolve_class_from_name): Don't convert exception.
	* src/vm/resolve.h (resolve_handle_pending_exception): Added.

	* src/vmcore/class.c (class_java_lang_Exception): New global
	variable. (class_java_lang_ClassNotFoundException): Likewise.
	(class_java_lang_RuntimeException): Likewise.
	* src/vmcore/class.h: Likewise.

	* src/vmcore/linker.c (linker_init): Link new global classes.
	* src/vmcore/loader.c (loader_init): Load new global classes.

	* src/vmcore/utf8.c (utf_java_lang_RuntimeException): New global
	variable. (utf8_init): Initialize new global variable.
	* src/vmcore/utf8.h (utf_java_lang_RuntimeException): Export.

	* tests/regression/bugzilla/All.java: Added PR58.
	* tests/regression/bugzilla/PR58.java: New file.
	[4067fe3a3bee]

	* tests/A2.java, tests/AA.java, tests/AA1.java, tests/AA2.java,
	tests/BB.java, tests/C.java, tests/C2.java, tests/C3.java,
	tests/CC.java, tests/D.java, tests/DD.java, tests/EE.java,
	tests/GG.java, tests/HI2.java, tests/II.java, tests/IIAA.java,
	tests/IIBB.java, tests/IICC.java, tests/IIexample.java,
	tests/Makefile.am, tests/n.java, tests/scribble.java:
	* tests/Makefile.am: Cleanup, removed checkall, added build target.
	* tests/A2.java: Removed.
	* tests/AA.java, tests/AA1.java, tests/AA2.java, tests/BB.java,
	tests/C.java, tests/C2.java, tests/C3.java, tests/CC.java,
	tests/D.java, tests/DD.java, tests/EE.java, tests/GG.java,
	tests/HI2.java, tests/II.java, tests/IIAA.java, tests/IIBB.java,
	tests/IICC.java, tests/IIexample.java, tests/n.java,
	tests/scribble.java: Likewise.
	[91251aac4dec]

	* tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/PR57.java:
	* tests/regression/bugzilla/All.java: Added PR57.
	* tests/regression/bugzilla/PR57.java: New file.
	[8a65518935cf]

	* tests/regression/bugzilla/Makefile.am:
	* tests/regression/bugzilla/Makefile.am (JAVA): Added
	LD_LIBRARY_PATH so we can really overrite JAVA. (build): Added
	$(srcdir) to find .java files. (check): Removed LD_LIBRARY_PATH.
	[dbf4b68b6d25]

2008-03-25  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/native/Makefile.am, src/threads/native/generic-
	primitives.h, src/threads/native/lock.c, src/threads/native/lock.h,
	src/threads/native/threadlist-posix.c, src/threads/native/threads.c,
	src/threads/native/threads.h:
	* src/threads/native/Makefile.am: Removed.
	* src/threads/native/generic-primitives.h, src/threads/native/lock.c,
	src/threads/native/lock.h, src/threads/native/threadlist-posix.c,
	src/threads/native/threads.c, src/threads/native/threads.h:
	Likewise.
	[0337947f848f]

	* configure.ac, src/mm/cacao-gc/gc.h, src/mm/cacao-gc/rootset.h,
	src/native/jvmti/cacaodbg.c, src/native/jvmti/cacaodbg.h,
	src/native/jvmti/jvmti.c, src/native/llni.h,
	src/threads/Makefile.am, src/threads/lock-common.h,
	src/threads/posix/Makefile.am, src/threads/posix/generic-
	primitives.h, src/threads/posix/lock.c, src/threads/posix/lock.h,
	src/threads/posix/threadlist-posix.c, src/threads/posix/threads.c,
	src/threads/posix/threads.h, src/threads/threads-common.c,
	src/threads/threads-common.h, src/vm/builtintable.inc,
	src/vm/jit/alpha/linux/md-os.c, src/vm/jit/arm/linux/md-os.c,
	src/vm/jit/intrp/asmpart.c, src/vm/jit/intrp/dynamic-super.c,
	src/vm/jit/intrp/engine.c, src/vm/jit/powerpc/darwin/md-os.c,
	src/vm/jit/powerpc/linux/md-os.c, src/vm/jit/powerpc64/linux/md-
	os.c, src/vm/jit/s390/codegen.c, src/vm/jit/s390/emit.c,
	src/vm/jit/s390/md.c, src/vm/jit/show.c, src/vm/jit/stacktrace.c,
	src/vm/jit/x86_64/freebsd/md-os.c, src/vm/jit/x86_64/linux/md-os.c:
	* configure.ac (AC_CONFIG_FILES): Moved src/threads/native/Makefile
	to src/threads/posix/Makefile.

	* src/threads/posix/Makefile.am, src/threads/posix/generic-
	primitives.h, src/threads/posix/lock.c, src/threads/posix/lock.h,
	src/threads/posix/threadlist-posix.c, src/threads/posix/threads.c,
	src/threads/posix/threads.h: Moved from src/threads/native/.

	* src/mm/cacao-gc/gc.h, src/mm/cacao-gc/rootset.h,
	src/native/jvmti/cacaodbg.c, src/native/jvmti/cacaodbg.h,
	src/native/jvmti/jvmti.c, src/native/llni.h,
	src/threads/Makefile.am, src/threads/lock-common.h, src/threads
	/threads-common.c, src/threads/threads-common.h,
	src/vm/builtintable.inc, src/vm/jit/alpha/linux/md-os.c,
	src/vm/jit/arm/linux/md-os.c, src/vm/jit/intrp/asmpart.c,
	src/vm/jit/intrp/dynamic-super.c, src/vm/jit/intrp/engine.c,
	src/vm/jit/powerpc/darwin/md-os.c, src/vm/jit/powerpc/linux/md-os.c,
	src/vm/jit/powerpc64/linux/md-os.c, src/vm/jit/s390/codegen.c,
	src/vm/jit/s390/emit.c, src/vm/jit/s390/md.c, src/vm/jit/show.c,
	src/vm/jit/stacktrace.c, src/vm/jit/x86_64/freebsd/md-os.c,
	src/vm/jit/x86_64/linux/md-os.c: Fixed header includes.
	[e852f2d0d4c4]

	* src/cacaoh/Makefile.am:
	* src/cacaoh/Makefile.am: Changed copyright.
	[5974a060a410]

2008-03-25  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/vm/jit/optimizing/ssa.h:
	Dummy push for testing.
	[484dcf446038]

	* src/vm/jit/optimizing/ssa.h:
	Dummy push for testing.
	[177737032317]

	* src/vm/jit/optimizing/ssa.h:
	Dummy push for testing.
	[119782e1ae60]

	* src/vm/jit/optimizing/ssa.h:
	Dummy push for testing.
	[0a173b247580]

2008-03-25  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/mm/cacao-gc/gc.c, src/mm/cacao-gc/mark.c, src/mm/cacao-
	gc/rootset.c, src/threads/native/lock.c, src/threads/threadlist.c,
	src/toolbox/list.c, src/toolbox/list.h, src/vm/assertion.c,
	src/vm/jit/codegen-common.c, src/vm/jit/emit-common.c,
	src/vm/jit/linenumbertable.c, src/vm/jit/optimizing/recompile.c,
	src/vm/jit/patcher-common.c, src/vm/jit/s390/codegen.c,
	src/vm/properties.c:
	* src/toolbox/list.c (list_add_first_unsynced): Removed.
	(list_add_last_unsynced): Likewise. (list_remove_unsynced):
	Likewise. (list_first_unsynced): Likewise. (list_last_unsynced):
	Likewise. (list_next_unsynced): Likewise. (list_prev_unsynced):
	Likewise.
	* src/toolbox/list.h: Likewise.

	* src/mm/cacao-gc/gc.c, src/mm/cacao-gc/mark.c, src/mm/cacao-
	gc/rootset.c, src/threads/native/lock.c, src/threads/threadlist.c,
	src/vm/assertion.c, src/vm/jit/codegen-common.c, src/vm/jit/emit-
	common.c, src/vm/jit/linenumbertable.c,
	src/vm/jit/optimizing/recompile.c, src/vm/jit/patcher-common.c,
	src/vm/jit/s390/codegen.c, src/vm/properties.c: Use normal list
	functions instead of the unsynced ones.
	[0795aaaa726c]

2008-03-22  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/vm/jit/cfg.c:
	* src/vm/jit/cfg.c (cfg_build): Fixed off by one in predecessorcount
	for exception handler blocks. See #53.
	[2065c6bdf8b7]

2008-03-21  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* .hgignore, configure.ac, src/vm/array.c,
	tests/regression/Makefile.am, tests/regression/bugzilla/All.java,
	tests/regression/bugzilla/Makefile.am,
	tests/regression/bugzilla/PR52.java:
	Fixes PR52.
	* src/vm/array.c (array_objectarray_element_set): Use
	builtin_canstore.

	* .hgignore (tests/regression/assertion/*.class)
	(tests/regression/assertion/packagetest/*.class)
	(tests/regression/bugzilla/*.class): Added.
	* configure.ac (AC_CONFIG_FILES): Added
	tests/regression/bugzilla/Makefile.
	* tests/regression/Makefile.am (SUBDIRS): Added bugzilla.
	* tests/regression/bugzilla/All.java: New file.
	* tests/regression/bugzilla/Makefile.am: Likewise.
	* tests/regression/bugzilla/PR52.java: Likewise.
	[a5fe9a36676e]

2008-03-20  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun/jvm.c, src/vm/array.c:
	* src/vm/array.c (array_length_get): Removed
	IllegalArgumentException check for size.
	* src/native/vm/sun/jvm.c (JVM_NewMultiArray): Explicitely check for
	exceptions.
	[c6ca807dc249]

	* src/native/vm/gnu/java_lang_reflect_Field.c,
	src/native/vm/java_lang_reflect_Constructor.c,
	src/native/vm/java_lang_reflect_Method.c, src/vm/access.c,
	src/vm/access.h:
	* src/vm/access.c (access_check_field): Changed signature, use
	stacktrace_get_caller_class. (access_check_method): Likewise.
	* src/vm/access.h: Likewise.
	* src/native/vm/gnu/java_lang_reflect_Field.c (_field_access_check):
	Adapted access_check_field call.
	* src/native/vm/java_lang_reflect_Constructor.c (newInstance):
	Likewise.
	* src/native/vm/java_lang_reflect_Method.c (invoke): Likewise.
	[b4a54e5c1918]

	* src/vm/array.c:
	* src/vm/array.c (array_element_get): Do a null-pointer check.
	(array_element_primitive_get): Likewise.
	(array_element_primitive_set): Likewise.
	(array_objectarray_element_set): Check if the object can be stored
	in the array.
	[5054ec21e133]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (JVM_NewArray): Check for error on
	primitive_arrayclass_get_by_name. (JVM_NewMultiArray): Check for
	error on array_length_get.
	[7d1278cb4b5c]

	* src/vm/array.c:
	* src/vm/array.c (array_##name##array_element_get): Fixed
	ArrayIndexOutOfBoundsException check.
	(array_objectarray_element_get): Likewise.
	(array_##name##array_element_set): Likewise.
	(array_objectarray_element_set): Likewise.
	[8dd39f5428c8]

	* src/vm/array.c:
	* src/vm/array.c (array_length_get): Check length and thrown an
	exception in case.
	[73b479b0dc93]

	* src/vm/primitive.c:
	* src/vm/primitive.c (primitive_unbox): Check for NULL values.
	[868526f93774]

	* src/native/vm/gnu/gnu_classpath_VMStackWalker.c,
	src/native/vm/sun/jvm.c, src/vm/jit/stacktrace.c,
	src/vm/jit/stacktrace.h, src/vm/vm.c, src/vmcore/method.c,
	src/vmcore/method.h, src/vmcore/utf8.c, src/vmcore/utf8.h:
	* src/vm/jit/stacktrace.c [ENABLE_JAVASE]
	(stacktrace_get_caller_class): New function.
	* src/vm/jit/stacktrace.h: Likewise.

	* src/native/vm/gnu/gnu_classpath_VMStackWalker.c (getCallingClass):
	Use stacktrace_get_caller_class. (getCallingClassLoader): Likewise.
	(firstNonNullClassLoader): Use stacktrace_first_nonnull_classloader.

	* src/native/vm/sun/jvm.c (JVM_GetCallerClass): Use
	stacktrace_get_caller_class.

	* src/vm/vm.c (vm_create): Call method_init.

	* src/vmcore/method.c (method_java_lang_reflect_Method_invoke): New
	global variable. (method_init): New function.
	* src/vmcore/method.h: Likewise.

	* src/vmcore/utf8.c (utf_invoke): New global variable.
	* src/vmcore/utf8.h: Likewise.
	[fd282c9caa0b]

	* src/vm/jit/trace.c:
	* src/vm/jit/trace.c (trace_java_call_print_argument): Pass
	methodinfo, added sun.misc.Unsafe check. (trace_java_call_enter,
	trace_java_call_exit): Pass methodinfo to
	trace_java_call_print_argument.
	[b6cdad87ff4c]

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (putIntVolatile): Implemented.
	(putLongVolatile): Likewise. (putOrderedObject): Likewise.
	(putOrderedInt): Likewise. (putOrderedLong): Likewise.
	(UNSAFE_GET_VOLATILE): Added macro. (UNSAFE_PUT_VOLATILE): Likewise.
	(getIntVolatile): Use UNSAFE_GET_VOLATILE. (getLongVolatile
	[10f08de2a96c]

	* src/vm/jit/trace.c:
	* src/vm/jit/trace.c (trace_java_call_exit): Workaround for
	sun.misc.Unsafe.staticFieldBase().
	[08b89131a6f0]

2008-03-19  Peter Molnar  <pm@complang.tuwien.ac.at>

	* src/lib/Makefile.am,
	src/lib/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/lib/gnu/gnu/classpath/VMStackWalker.java,
	src/lib/gnu/gnu/classpath/VMSystemProperties.java,
	src/lib/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/lib/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/lib/gnu/java/lang/VMClassLoader.java,
	src/lib/gnu/java/lang/VMString.java,
	src/lib/gnu/java/lang/VMThread.java,
	src/lib/gnu/java/lang/VMThrowable.java,
	src/lib/gnu/java/lang/reflect/Constructor.java,
	src/lib/gnu/java/lang/reflect/Field.java,
	src/lib/gnu/java/lang/reflect/Method.java,
	src/lib/gnu/java/security/VMAccessController.java,
	src/lib/gnu/sun/misc/Unsafe.java,
	src/lib/gnu/sun/reflect/ConstantPool.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationType.java, src/lib/gnu/
	sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.java, sr
	c/lib/gnu/sun/reflect/annotation/EnumConstantNotPresentExceptionProx
	y.java, src/lib/gnu/sun/reflect/annotation/ExceptionProxy.java, src/
	lib/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/native/vm/java_lang_Thread.c, src/native/vm/java_lang_Thread.h,
	tests/threadInterrupt.java:
	Merging 7971:887db7d64bc9 with 7970:21b063622472.
	[d870367cbe49]

	* src/vm/jit/cfg.c, src/vm/jit/jit.c, src/vm/jit/optimizing/ssa3.c,
	src/vm/jit/stack.c:
	* src/vm/jit/cfg.c (cfg_build): Support for strange basicblocks,
	where an IF can be followed by a NOP and GOTO.
	* src/vm/jit/jit.c (jit_compile_intern) [ENABLE_SSA]: Adapted for
	changes.
	* src/vm/jit/optimizing/ssa3.c: Changed a lot.
	* src/vm/jit/stack.c (stack_reach_next_block) [STACK_VERBOSE]: More
	verbosity to identify basicblocks where an IF can be followed by a
	GOTO.
	[887db7d64bc9]

2008-03-19  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/native/generic-primitives.h, src/vm/jit/alpha/machine-
	instr.h, src/vm/jit/arm/machine-instr.h, src/vm/jit/i386/machine-
	instr.h, src/vm/jit/m68k/machine-instr.h, src/vm/jit/mips/machine-
	instr.h, src/vm/jit/powerpc/machine-instr.h, src/vm/jit/powerpc64
	/machine-instr.h, src/vm/jit/s390/machine-instr.h,
	src/vm/jit/sparc64/machine-instr.h, src/vm/jit/x86_64/machine-
	instr.h:
	* src/threads/native/generic-primitives.h
	(MEMORY_BARRIER_BEFORE_ATOMIC): Removed.
	* src/vm/jit/alpha/machine-instr.h, src/vm/jit/arm/machine-instr.h,
	src/vm/jit/i386/machine-instr.h, src/vm/jit/m68k/machine-instr.h,
	src/vm/jit/mips/machine-instr.h, src/vm/jit/powerpc/machine-instr.h,
	src/vm/jit/powerpc64/machine-instr.h, src/vm/jit/s390/machine-
	instr.h, src/vm/jit/sparc64/machine-instr.h, src/vm/jit/x86_64
	/machine-instr.h: Likewise.
	[21b063622472]

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (setMemory): Fixed compiler
	warning on 32-bit architectures. (copyMemory): Likewise.
	[a7e35749c949]

	* src/threads/native/generic-primitives.h,
	src/threads/native/threads.c, src/vm/jit/alpha/machine-instr.h,
	src/vm/jit/arm/machine-instr.h, src/vm/jit/i386/machine-instr.h,
	src/vm/jit/mips/machine-instr.h, src/vm/jit/powerpc/machine-instr.h,
	src/vm/jit/s390/machine-instr.h, src/vm/jit/sparc64/machine-instr.h,
	src/vm/jit/x86_64/machine-instr.h:
	* src/threads/native/generic-primitives.h (atomic_add): Removed.
	* src/threads/native/threads.c [USE_FAKE_ATOMIC_INSTRUCTIONS]
	(_atomic_add_lock): Removed.
	* src/vm/jit/alpha/machine-instr.h (atomic_add): Removed.
	* src/vm/jit/arm/machine-instr.h, src/vm/jit/i386/machine-instr.h,
	src/vm/jit/mips/machine-instr.h, src/vm/jit/powerpc/machine-instr.h,
	src/vm/jit/s390/machine-instr.h, src/vm/jit/sparc64/machine-instr.h,
	src/vm/jit/x86_64/machine-instr.h: Likewise.
	[c2f69cf3790e]

2008-03-18  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/gnu/java_lang_VMThread.c, src/native/vm/sun/jvm.c:
	* src/native/vm/gnu/java_lang_VMThread.c (interrupt): Use
	thread_get_thread. (isInterrupted): Likewise. (nativeSetPriority):
	Likewise. (getState): Likewise.
	* src/native/vm/sun/jvm.c (threads/threadlist.h): Removed.
	(JVM_IsThreadAlive): Use thread_get_thread. (JVM_SetThreadPriority):
	Likewise. (JVM_Interrupt): Implemented. (JVM_IsInterrupted): Use
	thread_get_thread.
	[056edaebc79b]

	* src/threads/threads-common.c, src/threads/threads-common.h:
	* src/threads/threads-common.c (thread_get_thread): New function.
	* src/threads/threads-common.h: Likewise.
	[ae7763ff1c13]

	* src/classes/gnu/sun/misc/Unsafe.java,
	src/native/vm/sun_misc_Unsafe.c:
	* src/classes/gnu/sun/misc/Unsafe.java: Imported the OpenJDK 6
	version.
	* src/native/vm/sun_misc_Unsafe.c (vmcore/system.h): Added.
	(setMemory, copyMemory): Changed to be OpenJDK 6 compatible.
	[162965872cfb]

	* contrib/setenvinstalled.in, contrib/setenvsource.in:
	* contrib/setenvinstalled.in: Updated BOOTCLASSPATH.
	* contrib/setenvsource.in: Likewise.
	[ccd8958ff259]

	* .hgignore:
	* .hgignore: Removed src/lib/classes/ and src/lib/vm.zip, added
	src/classes/classes/ and src/classes/vm.zip.
	[3b80e57be422]

	* configure.ac, m4/classpath.m4, src/Makefile.am,
	src/classes/Makefile.am,
	src/classes/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/classes/gnu/gnu/classpath/VMStackWalker.java,
	src/classes/gnu/gnu/classpath/VMSystemProperties.java,
	src/classes/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/classes/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/classes/gnu/java/lang/VMClassLoader.java,
	src/classes/gnu/java/lang/VMString.java,
	src/classes/gnu/java/lang/VMThread.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/security/VMAccessController.java,
	src/classes/gnu/sun/misc/Unsafe.java,
	src/classes/gnu/sun/reflect/ConstantPool.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationType.java, src/clas
	ses/gnu/sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.
	java, src/classes/gnu/sun/reflect/annotation/EnumConstantNotPresentE
	xceptionProxy.java,
	src/classes/gnu/sun/reflect/annotation/ExceptionProxy.java, src/clas
	ses/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/lib/Makefile.am,
	src/lib/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/lib/gnu/gnu/classpath/VMStackWalker.java,
	src/lib/gnu/gnu/classpath/VMSystemProperties.java,
	src/lib/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/lib/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/lib/gnu/java/lang/VMClassLoader.java,
	src/lib/gnu/java/lang/VMString.java,
	src/lib/gnu/java/lang/VMThread.java,
	src/lib/gnu/java/lang/reflect/Constructor.java,
	src/lib/gnu/java/lang/reflect/Field.java,
	src/lib/gnu/java/lang/reflect/Method.java,
	src/lib/gnu/java/security/VMAccessController.java,
	src/lib/gnu/sun/misc/Unsafe.java,
	src/lib/gnu/sun/reflect/ConstantPool.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationType.java, src/lib/gnu/
	sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.java, sr
	c/lib/gnu/sun/reflect/annotation/EnumConstantNotPresentExceptionProx
	y.java, src/lib/gnu/sun/reflect/annotation/ExceptionProxy.java, src/
	lib/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/native/include/Makefile.am:
	* configure.ac (AC_CONFIG_FILES): Removed src/lib/Makefile, added
	src/classes/Makefile.
	* m4/classpath.m4 (AC_CHECK_WITH_CLASSPATH_CLASSES): Fixed
	BOOTCLASSPATH.
	* src/Makefile.am (DIST_SUBDIRS): Removed lib, added classes.
	(SUBDIRS): Likewise.

	* src/classes/Makefile.am,
	src/classes/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/classes/gnu/gnu/classpath/VMStackWalker.java,
	src/classes/gnu/gnu/classpath/VMSystemProperties.java,
	src/classes/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/classes/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/classes/gnu/java/lang/VMClassLoader.java,
	src/classes/gnu/java/lang/VMString.java,
	src/classes/gnu/java/lang/VMThread.java,
	src/classes/gnu/java/lang/reflect/Constructor.java,
	src/classes/gnu/java/lang/reflect/Field.java,
	src/classes/gnu/java/lang/reflect/Method.java,
	src/classes/gnu/java/security/VMAccessController.java,
	src/classes/gnu/sun/misc/Unsafe.java,
	src/classes/gnu/sun/reflect/ConstantPool.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/classes/gnu/sun/reflect/annotation/AnnotationType.java, src/clas
	ses/gnu/sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.
	java, src/classes/gnu/sun/reflect/annotation/EnumConstantNotPresentE
	xceptionProxy.java,
	src/classes/gnu/sun/reflect/annotation/ExceptionProxy.java, src/clas
	ses/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java,
	src/native/include/Makefile.am: Moved from lib.

	* src/lib/Makefile.am,
	src/lib/cldc1.1/com/sun/cldchi/jvm/FileDescriptor.java,
	src/lib/gnu/gnu/classpath/VMStackWalker.java,
	src/lib/gnu/gnu/classpath/VMSystemProperties.java,
	src/lib/gnu/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	src/lib/gnu/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	src/lib/gnu/java/lang/VMClassLoader.java,
	src/lib/gnu/java/lang/VMString.java,
	src/lib/gnu/java/lang/VMThread.java,
	src/lib/gnu/java/lang/reflect/Constructor.java,
	src/lib/gnu/java/lang/reflect/Field.java,
	src/lib/gnu/java/lang/reflect/Method.java,
	src/lib/gnu/java/security/VMAccessController.java,
	src/lib/gnu/sun/misc/Unsafe.java,
	src/lib/gnu/sun/reflect/ConstantPool.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationParser.java,
	src/lib/gnu/sun/reflect/annotation/AnnotationType.java, src/lib/gnu/
	sun/reflect/annotation/AnnotationTypeMismatchExceptionProxy.java, sr
	c/lib/gnu/sun/reflect/annotation/EnumConstantNotPresentExceptionProx
	y.java, src/lib/gnu/sun/reflect/annotation/ExceptionProxy.java, src/
	lib/gnu/sun/reflect/annotation/TypeNotPresentExceptionProxy.java:
	Moved to lib.
	[79be8092620d]

	* m4/classpath.m4, tests/regression/Makefile.am,
	tests/regression/assertion/Makefile.am,
	tests/regression/codepatching/Makefile.am,
	tests/regression/jasmin/Makefile.am,
	tests/regression/native/Makefile.am,
	tests/regression/resolving/Makefile.am:
	* m4/classpath.m4 (AC_CHECK_WITH_CLASSPATH_CLASSES): Set
	BOOTCLASSPATH for Makefiles.
	* tests/regression/Makefile.am,
	tests/regression/assertion/Makefile.am,
	tests/regression/codepatching/Makefile.am,
	tests/regression/jasmin/Makefile.am,
	tests/regression/native/Makefile.am,
	tests/regression/resolving/Makefile.am (BOOTCLASSPATH): Removed.
	[c8c412f3563d]

2008-03-17  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/stacktrace.c:
	* Merged with 60f051a3c5ae.
	[66c52d0ae7d3]

	* * Merged with b78ab2bd233a.
	[60f051a3c5ae]

	* src/vm/jit/m68k/md.h:
	* src/vm/jit/m68k/md.h: Replaced codegen_get_pv_from_pc with
	methodtree_find.
	[17f63c532b66]

	* src/vm/jit/intrp/asmpart.c:
	* src/vm/jit/intrp/asmpart.c: Replaced codegen_get_pv_from_pc with
	methodtree_find.
	[b78ab2bd233a]

	* src/vm/jit/s390/md.c, src/vm/jit/s390/md.h:
	* src/vm/jit/s390/md.c: Replaced codegen_get_pv_from_pc with
	methodtree_find.
	* src/vm/jit/s390/md.h: Likewise.
	[ba13719a1aab]

	* src/vm/jit/methodtree.c:
	* src/vm/jit/methodtree.c (threads/threads-common.h): Added.
	(methodtree_find): Removed unnecessary assert.
	[929aa234977f]

	* src/vm/jit/i386/asmpart.S, src/vm/jit/i386/cygwin/md-asm.h,
	src/vm/jit/i386/darwin/md-asm.h, src/vm/jit/i386/md.h:
	* src/vm/jit/i386/asmpart.S: Replaced codegen_get_pv_from_pc with
	methodtree_find.
	* src/vm/jit/i386/cygwin/md-asm.h src/vm/jit/i386/darwin/md-asm.h,
	src/vm/jit/i386/md.h: Likewise.
	[726425cd358a]

2008-03-13  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/vm/jit/Makefile.am, src/vm/jit/code.c, src/vm/jit/codegen-
	common.c, src/vm/jit/codegen-common.h, src/vm/jit/methodtree.c,
	src/vm/jit/methodtree.h, src/vm/jit/optimizing/profile.c,
	src/vm/jit/stacktrace.c, src/vm/jit/x86_64/asmpart.S,
	src/vm/jit/x86_64/md.h, src/vm/signal.c, src/vm/vm.c:
	* src/vm/jit/methodtree.c: New file.
	* src/vm/jit/methodtree.h: Likewise.
	* src/vm/jit/Makefile.am (libjit_la_SOURCES): Added methodtree.[ch].

	* src/vm/jit/codegen-common.c (methodtree): Removed. (codegen_init):
	Removed methodtree stuff. (methodtree_comparator): Removed.
	(codegen_insertmethod): Likewise. (codegen_get_pv_from_pc):
	Likewise. (codegen_get_pv_from_pc_nocheck): Likewise.
	(codegen_finish): Call methodtree_insert.
	* src/vm/jit/codegen-common.h (methodtree_element): Removed.
	(codegen_insertmethod): Likewise. (codegen_get_pv_from_pc):
	Likewise. (codegen_get_pv_from_pc_nocheck): Likewise.

	* src/vm/vm.c (vm_create): Call methodtree_init.

	* src/vm/jit/code.c, src/vm/jit/optimizing/profile.c,
	src/vm/jit/stacktrace.c, src/vm/jit/x86_64/asmpart.S,
	src/vm/jit/x86_64/md.h, src/vm/signal.c: Replaced
	codegen_get_pv_from_pc* with methodtree_find*.
	[414c5fa5f01e]

	* src/vm/jit/inline/inline.c, src/vm/jit/inline/inline_debug.inc:
	* src/vm/jit/inline/inline.c (inline_add_blocknr_reference):
	Commented as it's not used and produces a compiler warning.
	* src/vm/jit/inline/inline_debug.inc (debug_dump_inline_context):
	Likewise.
	[9c8901fcff0a]

	* src/lib/Makefile.am, src/lib/gnu/java/lang/VMThrowable.java,
	src/native/vm/gnu/java_lang_VMThrowable.c, src/vm/jit/stacktrace.c:
	* src/lib/gnu/java/lang/VMThrowable.java: Removed, as the local
	changes made years ago are not necessary.
	* src/lib/Makefile.am (VM_JAVA_FILES_GNU): Removed
	gnu/java/lang/VMThrowable.java.

	* src/native/vm/gnu/java_lang_VMThrowable.c (fillInStackTrace): Use
	vmdata instead of vmData. (getStackTrace): Likewise.
	* src/vm/jit/stacktrace.c (stacktrace_print_exception)
	[WITH_CLASSPATH_GNU]: Likewise.
	[ac9fca996d5e]

	* src/threads/native/threads.c:
	* src/threads/native/threads.c (threads_detach_thread): Fixed
	compiler warning.
	[2f60b3f9a1da]

	* src/vm/jit/alpha/linux/md-os.c:
	* src/vm/jit/alpha/linux/md-os.c (md_replace_executionstate_read):
	Renamed to md_executionstate_read.
	(md_replace_executionstate_write): Renamed to
	md_executionstate_write.
	[190dab35c7f0]

	* src/vm/jit/x86_64/linux/md-os.c:
	* src/vm/jit/x86_64/linux/md-os.c (md_replace_executionstate_read):
	Renamed to md_executionstate_read.
	(md_replace_executionstate_write): Renamed to
	md_executionstate_write.
	[28eb425cbf17]

	* src/vm/jit/executionstate.c, src/vm/jit/executionstate.h:
	* src/vm/jit/executionstate.c: Fixed file comment.
	* src/vm/jit/executionstate.h: Fixed copyright.
	[d044bbdb3010]

	* src/vm/jit/Makefile.am, src/vm/jit/executionstate.c,
	src/vm/jit/executionstate.h, src/vm/jit/i386/linux/md-os.c,
	src/vm/jit/replace.c, src/vm/jit/replace.h:
	* src/vm/jit/executionstate.c: New file.
	* src/vm/jit/executionstate.h: Likewise.
	* src/vm/jit/Makefile.am (libjit_la_SOURCES): Added
	executionstate.[ch].

	* src/vm/jit/replace.c (replace_executionstate_println): Moved to
	executionstate.[ch]. (replace_sanity_check_read_write): Likewise.
	* src/vm/jit/replace.h (executionstate_t): Likwise.
	(replace_executionstate_println): Likewise.
	(md_replace_executionstate_read): Likewise.
	(md_replace_executionstate_write): Likewise.

	* src/vm/jit/i386/linux/md-os.c (md_replace_executionstate_read):
	Renamed to md_executionstate_read.
	(md_replace_executionstate_write): Renamed to
	md_executionstate_write.
	[015609f9c237]

	* src/vm/jit/alpha/codegen.c:
	* src/vm/jit/alpha/codegen.c (codegen_emit): Added thread unsafe
	comments.
	[fe0f7708d735]

	* src/threads/none/threads.h, src/threads/threads-common.h:
	* src/threads/none/threads.h (threads_get_current_object): Changed
	return type to java_handle_t.
	* src/threads/threads-common.h: Likewise.
	[ba1986e7117c]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (TRACEJVMCALLS): Changed to normal macro
	instead of a variadic one.
	[ac949484e6cd]

	* src/native/vm/sun/jvm.c:
	* src/native/vm/sun/jvm.c (PRINTJVMWARNINGS): Changed to normal
	macro instead of variadic. (JVM_GetStackTraceDepth): Fixed compiler
	warning. (JVM_GetStackTraceElement): Likewise. (JVM_IsThreadAlive):
	Likewise.
	[4a49aeff7fd7]

	* src/native/localref.c:
	* src/native/localref.c [!NDEBUG] (localref_check_uncleared): Fixed
	compiler warning.
	[4126ae263bbd]

2008-03-12  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/cacaoh/dummy.c, src/vm/jit/code.c, src/vm/jit/code.h,
	src/vm/jit_interface.h, src/vmcore/method.c:
	* src/vm/jit/code.c (code_find_codeinfo_for_pc): Use void* instead
	of u1*. (code_find_codeinfo_for_pc_nocheck): Likewise.
	(code_get_methodinfo_for_pv): Likewise.
	* src/vm/jit/code.h: Likewise.
	* src/cacaoh/dummy.c (vm/jit/code.h): Added.
	(code_get_methodinfo_for_pv): Likewise.
	* src/vm/jit_interface.h (code_get_methodinfo_for_pv): Removed.
	* src/vmcore/method.c (vm/jit/code.h): Added.
	[a2f65e9ce093]

	* src/native/jni.c:
	* src/native/jni.c (_Jv_JNI_GetDirectBufferAddress): Fixed compiler
	warnings.
	[42e52f1166c9]

	* src/threads/none/threads.h, src/threads/threads-common.c,
	src/threads/threads-common.h, src/vm/jit/stacktrace.c,
	src/vm/jit/stacktrace.h:
	* src/threads/none/threads.h (threads_get_current_object): New
	function. (threads_get_current_stackframeinfo): Fixed name to
	threads_set_current_stackframeinfo.

	* src/threads/threads-common.c (threads_get_current_object):
	Removed.
	* src/threads/threads-common.h (threads_get_current_object): New
	function. (threads_get_current_object): Removed.

	* src/vm/jit/stacktrace.c: Small fix.
	* src/vm/jit/stacktrace.h [!ENABLE_THREADS]
	(_no_threads_stackframeinfo): Added.
	[2b9f0242d4f6]

	* src/native/vm/reflect.c:
	* src/native/vm/reflect.c (reflect_field_new): Fixed compiler
	warnings. (reflect_method_new): Likewise.
	[c71069a7c75a]

	* src/vm/jit/code.c, src/vm/jit/code.h, src/vm/vm.c:
	* src/vm/jit/code.c (code_init): Changed signature, use vm_abort
	instead of assert.
	* src/vm/jit/code.h (code_init): Change signature.
	* src/vm/vm.c (vm_create): Call code_init.
	[9f0c6db8a687]

2008-03-12  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/threads/native/threads.c:
	Oh no, it worketh!

	* src/threads/native/threads.c: Include Boehm header on Darwin.
	[ac7444e86ffc]

2008-03-11  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* configure.ac, src/mm/boehm-gc/AmigaOS.c, src/mm/boehm-
	gc/BCC_MAKEFILE, src/mm/boehm-gc/ChangeLog, src/mm/boehm-
	gc/EMX_MAKEFILE, src/mm/boehm-gc/MacOS.c, src/mm/boehm-
	gc/Makefile.am, src/mm/boehm-gc/Makefile.direct, src/mm/boehm-
	gc/Makefile.dj, src/mm/boehm-gc/NT_MAKEFILE, src/mm/boehm-
	gc/NT_STATIC_THREADS_MAKEFILE, src/mm/boehm-gc/NT_THREADS_MAKEFILE,
	src/mm/boehm-gc/NT_X64_STATIC_THREADS_MAKEFILE, src/mm/boehm-
	gc/OS2_MAKEFILE, src/mm/boehm-gc/PCR-Makefile, src/mm/boehm-
	gc/README.QUICK, src/mm/boehm-gc/SMakefile.amiga, src/mm/boehm-
	gc/WCC_MAKEFILE, src/mm/boehm-gc/allchblk.c, src/mm/boehm-
	gc/alloc.c, src/mm/boehm-gc/autogen.sh, src/mm/boehm-gc/backgraph.c,
	src/mm/boehm-gc/bdw-gc.pc.in, src/mm/boehm-gc/blacklst.c, src/mm
	/boehm-gc/callprocs, src/mm/boehm-gc/checksums.c, src/mm/boehm-
	gc/configure.ac, src/mm/boehm-gc/configure.in, src/mm/boehm-
	gc/configure_atomic_ops.sh, src/mm/boehm-gc/cord/cord.am, src/mm
	/boehm-gc/cord/de_win.ICO, src/mm/boehm-gc/cord/de_win.c, src/mm
	/boehm-gc/darwin_stop_world.c, src/mm/boehm-gc/dbg_mlc.c, src/mm
	/boehm-gc/digimars.mak, src/mm/boehm-gc/doc/Makefile.am, src/mm
	/boehm-gc/doc/README, src/mm/boehm-gc/doc/README.Mac, src/mm/boehm-
	gc/doc/README.changes, src/mm/boehm-gc/doc/README.darwin, src/mm
	/boehm-gc/doc/README.environment, src/mm/boehm-gc/doc/README.linux,
	src/mm/boehm-gc/doc/README.macros, src/mm/boehm-
	gc/doc/README.solaris2, src/mm/boehm-gc/doc/README.win32, src/mm
	/boehm-gc/doc/README.win64, src/mm/boehm-gc/doc/doc.am, src/mm
	/boehm-gc/doc/gcdescr.html, src/mm/boehm-gc/doc/gcinterface.html,
	src/mm/boehm-gc/doc/leak.html, src/mm/boehm-gc/doc/overview.html,
	src/mm/boehm-gc/doc/porting.html, src/mm/boehm-gc/dyn_load.c, src/mm
	/boehm-gc/finalize.c, src/mm/boehm-gc/gc.mak, src/mm/boehm-
	gc/gc_cpp.cc, src/mm/boehm-gc/gc_dlopen.c, src/mm/boehm-
	gc/gcc_support.c, src/mm/boehm-gc/gcj_mlc.c, src/mm/boehm-
	gc/headers.c, src/mm/boehm-gc/if_mach.c, src/mm/boehm-
	gc/if_not_there.c, src/mm/boehm-gc/include/Makefile.am, src/mm
	/boehm-gc/include/gc.h, src/mm/boehm-gc/include/gc_alloc.h, src/mm
	/boehm-gc/include/gc_allocator.h, src/mm/boehm-
	gc/include/gc_config_macros.h, src/mm/boehm-gc/include/gc_cpp.h,
	src/mm/boehm-gc/include/gc_gcj.h, src/mm/boehm-gc/include/gc_inl.h,
	src/mm/boehm-gc/include/gc_inline.h, src/mm/boehm-
	gc/include/gc_local_alloc.h, src/mm/boehm-gc/include/gc_mark.h,
	src/mm/boehm-gc/include/gc_pthread_redirects.h, src/mm/boehm-
	gc/include/gc_tiny_fl.h, src/mm/boehm-gc/include/gc_typed.h, src/mm
	/boehm-gc/include/include.am, src/mm/boehm-
	gc/include/new_gc_alloc.h, src/mm/boehm-
	gc/include/private/dbg_mlc.h, src/mm/boehm-
	gc/include/private/gc_hdrs.h, src/mm/boehm-
	gc/include/private/gc_locks.h, src/mm/boehm-
	gc/include/private/gc_pmark.h, src/mm/boehm-
	gc/include/private/gc_priv.h, src/mm/boehm-
	gc/include/private/gcconfig.h, src/mm/boehm-
	gc/include/private/msvc_dbg.h, src/mm/boehm-
	gc/include/private/pthread_support.h, src/mm/boehm-
	gc/include/private/solaris_threads.h, src/mm/boehm-
	gc/include/private/specific.h, src/mm/boehm-
	gc/include/private/thread_local_alloc.h, src/mm/boehm-
	gc/libatomic_ops-1.2/AUTHORS, src/mm/boehm-
	gc/libatomic_ops-1.2/COPYING, src/mm/boehm-
	gc/libatomic_ops-1.2/ChangeLog, src/mm/boehm-
	gc/libatomic_ops-1.2/INSTALL, src/mm/boehm-
	gc/libatomic_ops-1.2/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/NEWS, src/mm/boehm-gc/libatomic_ops-1.2/README,
	src/mm/boehm-gc/libatomic_ops-1.2/autogen.sh, src/mm/boehm-
	gc/libatomic_ops-1.2/configure.ac, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/COPYING, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/LICENSING.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/README.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/README_malloc.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/README_stack.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/doc/README_win32.txt, src/mm/boehm-
	gc/libatomic_ops-1.2/mkinstalldirs, src/mm/boehm-
	gc/libatomic_ops-1.2/src/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/Makefile.msft, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops.c, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/generalize-small.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/generalize-
	small.template, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/generalize.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/Makefile.am, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/README, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/acquire_release_v
	olatile.h, src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/
	aligned_atomic_load_store.h, src/mm/boehm-gc/libatomic_ops-1.2/src/a
	tomic_ops/sysdeps/all_acquire_release_volatile.h, src/mm/boehm-gc/li
	batomic_ops-1.2/src/atomic_ops/sysdeps/all_aligned_atomic_load_store
	.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/all_atomic_load_store.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/ao_t_is_int.h, src/mm
	/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/atomic_load_store.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/char_acquir
	e_release_volatile.h, src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_o
	ps/sysdeps/char_atomic_load_store.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/emul_cas.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/alpha.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/arm.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/cris.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/hppa.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/ia64.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/m68k.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/powerpc.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/s390.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/sparc.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/x86.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/gcc/x86_64.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/generic_pthread.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/hpc/hppa.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/hpc/ia64.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/ibmc/powerpc.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/icc/ia64.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/int_acquire
	_release_volatile.h, src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_op
	s/sysdeps/int_aligned_atomic_load_store.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/int_atomic_load_store.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/msftc/x86.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/msftc/x86_64.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/ordered.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/ordered_except_wr.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/read_ordered.h, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/short_acquire_rel
	ease_volatile.h, src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sy
	sdeps/short_aligned_atomic_load_store.h, src/mm/boehm-gc/libatomic_o
	ps-1.2/src/atomic_ops/sysdeps/short_atomic_load_store.h, src/mm
	/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/standard_ao_double_t.h,
	src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/sunc/sparc.S, src/mm
	/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/sunc/sparc.h,
	src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysdeps/test_and_se
	t_t_is_ao_t.h, src/mm/boehm-gc/libatomic_ops-1.2/src/atomic_ops/sysd
	eps/test_and_set_t_is_char.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops_malloc.c, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops_malloc.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops_stack.c, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops_stack.h, src/mm/boehm-
	gc/libatomic_ops-1.2/src/atomic_ops_sysdeps.S, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/Makefile.am, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/list_atomic.c, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/list_atomic.template, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/run_parallel.inc, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/test_atomic.c, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/test_atomic.template, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/test_atomic_include.h, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/test_malloc.c, src/mm/boehm-
	gc/libatomic_ops-1.2/tests/test_stack.c, src/mm/boehm-gc/libtool.m4,
	src/mm/boehm-gc/ltconfig, src/mm/boehm-gc/mach_dep.c, src/mm/boehm-
	gc/malloc.c, src/mm/boehm-gc/mallocx.c, src/mm/boehm-gc/mark.c,
	src/mm/boehm-gc/mark_rts.c, src/mm/boehm-gc/misc.c, src/mm/boehm-
	gc/mkinstalldirs, src/mm/boehm-gc/msvc_dbg.c, src/mm/boehm-
	gc/new_hblk.c, src/mm/boehm-gc/obj_map.c, src/mm/boehm-gc/os_dep.c,
	src/mm/boehm-gc/pc_excludes, src/mm/boehm-gc/pcr_interface.c, src/mm
	/boehm-gc/powerpc_darwin_mach_dep.s, src/mm/boehm-
	gc/pthread_stop_world.c, src/mm/boehm-gc/pthread_support.c, src/mm
	/boehm-gc/ptr_chck.c, src/mm/boehm-gc/real_malloc.c, src/mm/boehm-
	gc/reclaim.c, src/mm/boehm-gc/setjmp_t.c, src/mm/boehm-
	gc/solaris_pthreads.c, src/mm/boehm-gc/solaris_threads.c, src/mm
	/boehm-gc/sparc_mach_dep.S, src/mm/boehm-gc/specific.c, src/mm
	/boehm-gc/stubborn.c, src/mm/boehm-gc/tests/leak_test.c, src/mm
	/boehm-gc/tests/middle.c, src/mm/boehm-gc/tests/test.c, src/mm
	/boehm-gc/tests/test_cpp.cc, src/mm/boehm-gc/tests/tests.am, src/mm
	/boehm-gc/tests/thread_leak_test.c, src/mm/boehm-
	gc/tests/trace_test.c, src/mm/boehm-gc/thread_local_alloc.c, src/mm
	/boehm-gc/threadlibs.c, src/mm/boehm-gc/typd_mlc.c, src/mm/boehm-
	gc/version.h, src/mm/boehm-gc/win32_threads.c, src/mm/boehm.c:
	Imported and merged Boehm GC 7.0
	[85f594678514]

	* src/mm/boehm.c:
	* src/mm/boehm.c: Define GC_DARWIN_THREADS.
	[6342939f5ec7]

	* Merge -> trunk
	[785419807437]

2008-03-05  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* src/mm/boehm-gc/BCC_MAKEFILE, src/mm/boehm-gc/digimars.mak:
	* src/mm/boehm-gc/BCC_MAKEFILE, src/mm/boehm-gc/digimars.mak:
	unix2dos'ed the way they were in gc6.8.
	[70786a061a3c]

2008-03-11  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/threads-common.c:
	* src/threads/threads-common.c (threads_thread_start_internal): Code
	reworked. (threads_thread_start): Likewise.
	[28798cbb3598]

	* src/threads/threads-common.c:
	* src/threads/threads-common.c [ENABLE_JAVASE] (threadgroup_system,
	(threadgroup_main): New variables. (threads_init): Call
	thread_create_initial_threadgroups and thread_create_initial_thread.
	(thread_create_initial_threadgroups): New function.
	(thread_create_initial_thread): Likewise.
	(threads_get_current_object): Removed empty-group hack.
	[4587829c96e0]

	* src/vmcore/utf8.c, src/vmcore/utf8.h:
	* src/vmcore/utf8.c
	(utf_Ljava_lang_ThreadGroup_Ljava_lang_String__V): Added.
	* src/vmcore/utf8.h: Likewise.
	[11c519559b6e]

	* src/native/jni.c, src/vm/vm.c, src/vm/vm.h:
	* src/vm/vm.c (vm_created): Added. (vm_create): Set vm_created.
	(vm_destroy): Unset vm_created.
	* src/vm/vm.h: (vm_created): Added.
	* src/native/jni.c (_Jv_JNI_DestroyJavaVM): Added vm_created check.
	(_Jv_JNI_AttachCurrentThread): Likewise. (_Jv_JNI_GetEnv): Likewise.
	(_Jv_JNI_AttachCurrentThreadAsDaemon): Likewise.
	[df45c6a94042]

	* src/cacaoh/cacaoh.c, src/vm/vm.c, src/vmcore/utf8.c,
	src/vmcore/utf8.h:
	* src/vmcore/utf8.c (utf_main): Added. (utf8_init): Changed
	signature.
	* src/vmcore/utf8.h: Likewise.
	* src/cacaoh/cacaoh.c (main): Removed return value check for
	utf8_init.
	* src/vm/vm.c (vm_create): Likewise.
	[b02fb9ce8032]

	* src/threads/native/threads.c, src/threads/native/threads.h,
	src/threads/threads-common.c, src/threads/threads-common.h,
	src/vm/vm.c:
	* src/threads/native/threads.c (method_thread_init): Removed.
	(threads_init): Removed. (threads_impl_init): New function.
	(threads_attach_current_thread): Renamed method_thread_init to
	thread_method_init.
	* src/threads/native/threads.h (threads_init): Removed

	* src/threads/threads-common.c (native/native.h): Added.
	[ENABLE_JAVASE] (native/include/java_lang_ThreadGroup.h): Likewise.
	[WITH_CLASSPATH_GNU] (native/include/java_lang_Throwable.h):
	Removed. (toolbox/list.h): Likewise. (vm/exceptions.h): Added.
	(vmcore/method.h): Likewise. (thread_method_init): Likewise.
	(threads_init): New function.
	* src/threads/threads-common.h (thread_method_init): Added.
	(threads_init): Likewise. (threads_impl_init): Likewise.

	* src/vm/vm.c (vm_create) [ENABLE_THREADS]: Removed return value
	check for threads_init.
	[a55398aa6b7a]

	* src/vm/vm.c:
	* src/vm/vm.c (vm_create) [!NDEBUG]: Removed conditional, as we want
	the config for production builds too.
	[634e86c4c855]

2008-03-10  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/native/Makefile.am, src/threads/native/lock.c,
	src/threads/native/threadlist-posix.c, src/threads/native/threads.c,
	src/threads/threadlist.c, src/threads/threadlist.h, src/threads
	/threads-common.c, src/threads/threads-common.h,
	src/vm/jit/optimizing/profile.c:
	* src/threads/native/threadlist-posix.c: New file.
	* src/threads/native/Makefile.am (libthreadsposix_la_SOURCES): Added
	threadlist-posix.c.

	* src/threads/native/threads.c (mutex_threads_list): Removed.
	(threads_impl_preinit): Removed mutex_threads_list initialization.
	(threads_list_lock, threads_list_unlock): Removed.

	* src/threads/threadlist.c (threadlist_init): Call
	threadlist_impl_init.

	* src/threads/threadlist.h (threadlist_impl_init, threadlist_lock)
	(threadlist_unlock): Added.

	* src/threads/threads-common.h (threads_list_lock)
	(threads_list_unlock): Removed.

	* src/threads/native/lock.c, src/threads/threads-common.c,
	src/vm/jit/optimizing/profile.c: Use new threadlist_{lock,unlock}
	functions.
	[f47de576dda1]

	* src/threads/threads-common.c:
	* src/threads/threads-common.c [ENABLE_JAVASE]
	(native/include/java_lang_ThreadGroup.h): Only a temporary hack.
	[8ba3980d54fa]

	* src/vm/signal.c, src/vmcore/options.c, src/vmcore/options.h:
	* src/vmcore/options.c (opt_TraceTraps): Added.
	* src/vmcore/options.h: Likewise.

	* src/vm/signal.c (signal_handle) [!NDEBUG]: Added opt_TraceTraps
	debug output. This is not finished yet.
	[ea6e9a832c48]

	* src/cacaoh/dummy.c, src/vmcore/options.c:
	* src/cacaoh/dummy.c (errno.h): Added. (vmcore/system.h): Likewise.
	(vm_abort_errno): New function. (vm_abort_errnum): Likewise.

	* src/vmcore/options.c (errno.h): Removed. (options_xx): Use
	vm_abort_errno.
	[96dddc7f5487]

	* src/vm/signal.c:
	* src/vm/signal.c (errno.h): Removed. (signal_init): Use
	vm_abort_errno. (signal_register_signal): Likewise. (signal_thread):
	Likewise.
	[b85835120e85]

	* NEWS:
	* NEWS: Added 0.99 news.
	[09791a7c5a1b]

2008-03-06  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (putObjectVolatile): OK, this time
	WITHOUT debug output. Damn.
	[f1757b2a1bb3]

	* src/native/vm/sun_misc_Unsafe.c:
	* src/native/vm/sun_misc_Unsafe.c (putObjectVolatile): Implemented.
	[a8989730157b]

2008-03-05  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* src/threads/threadlist.c:
	* src/threads/threadlist.c (threadlist_index_add): Actually set the
	index in the structure.
	[70cea5d87e1a]

	* src/mm/cacao-gc/rootset.c, src/native/vm/sun/jvm.c,
	src/vm/jit/optimizing/profile.c:
	* src/mm/cacao-gc/rootset.c (threads/threadlist.h): Added.
	(rootset_readout): Use threadlist_* functions.

	* src/native/vm/sun/jvm.c (threads/threadlist.h): Added.
	(JVM_IsThreadAlive): Use threadlist_* functions.
	(JVM_SetThreadPriority): Likewise. (JVM_IsInterrupted): Likewise.

	* src/vm/jit/optimizing/profile.c (threads/threadlist.h): Added.
	(profile_thread): Use threadlist_* functions.
	[bfdd735b3ecb]

	* src/native/vm/Makefile.am, src/native/vm/cldc1.1/java_lang_Thread.c,
	src/native/vm/gnu/java_lang_VMThread.c,
	src/native/vm/java_lang_Thread.c, src/native/vm/java_lang_Thread.h,
	src/native/vm/sun/jvm.c, src/threads/threads-common.c, src/threads
	/threads-common.h:
